## org.eclipse.uml2.uml
Interface UMLPackage.Literals

Enclosing interface:
  UMLPackage

    public static interface UMLPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static org.eclipse.emf.ecore.EClass` `ABSTRACTION` The meta object literal for the '`Abstraction`' class
`static org.eclipse.emf.ecore.EReference` `ABSTRACTION__MAPPING` The meta object literal for the 'Mapping' containment reference feature
`static org.eclipse.emf.ecore.EClass` `ACCEPT_CALL_ACTION` The meta object literal for the '`Accept Call Action`' class
`static org.eclipse.emf.ecore.EReference` `ACCEPT_CALL_ACTION__RETURN_INFORMATION` The meta object literal for the 'Return Information' containment reference feature
`static org.eclipse.emf.ecore.EClass` `ACCEPT_EVENT_ACTION` The meta object literal for the '`Accept Event Action`' class
`static org.eclipse.emf.ecore.EAttribute` `ACCEPT_EVENT_ACTION__IS_UNMARSHALL` The meta object literal for the 'Is Unmarshall' attribute feature
`static org.eclipse.emf.ecore.EReference` `ACCEPT_EVENT_ACTION__RESULT` The meta object literal for the 'Result' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `ACCEPT_EVENT_ACTION__TRIGGER` The meta object literal for the 'Trigger' containment reference list feature
`static org.eclipse.emf.ecore.EClass` `ACTION` The meta object literal for the '`Action`' class
`static org.eclipse.emf.ecore.EReference` `ACTION__CONTEXT` The meta object literal for the 'Context' reference feature
`static org.eclipse.emf.ecore.EReference` `ACTION__INPUT` The meta object literal for the 'Input' reference list feature
`static org.eclipse.emf.ecore.EReference` `ACTION__LOCAL_POSTCONDITION` The meta object literal for the 'Local Postcondition' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `ACTION__LOCAL_PRECONDITION` The meta object literal for the 'Local Precondition' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `ACTION__OUTPUT` The meta object literal for the 'Output' reference list feature
`static org.eclipse.emf.ecore.EClass` `ACTION_EXECUTION_SPECIFICATION` The meta object literal for the '`Action Execution Specification`' class
`static org.eclipse.emf.ecore.EReference` `ACTION_EXECUTION_SPECIFICATION__ACTION` The meta object literal for the 'Action' reference feature
`static org.eclipse.emf.ecore.EClass` `ACTION_INPUT_PIN` The meta object literal for the '`Action Input Pin`' class
`static org.eclipse.emf.ecore.EReference` `ACTION_INPUT_PIN__FROM_ACTION` The meta object literal for the 'From Action' containment reference feature
`static org.eclipse.emf.ecore.EClass` `ACTIVITY` The meta object literal for the '`Activity`' class
`static org.eclipse.emf.ecore.EReference` `ACTIVITY__EDGE` The meta object literal for the 'Edge' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `ACTIVITY__GROUP` The meta object literal for the 'Group' containment reference list feature
`static org.eclipse.emf.ecore.EAttribute` `ACTIVITY__IS_READ_ONLY` The meta object literal for the 'Is Read Only' attribute feature
`static org.eclipse.emf.ecore.EAttribute` `ACTIVITY__IS_SINGLE_EXECUTION` The meta object literal for the 'Is Single Execution' attribute feature
`static org.eclipse.emf.ecore.EReference` `ACTIVITY__NODE` The meta object literal for the 'Node' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `ACTIVITY__PARTITION` The meta object literal for the 'Partition' reference list feature
`static org.eclipse.emf.ecore.EReference` `ACTIVITY__STRUCTURED_NODE` The meta object literal for the 'Structured Node' reference list feature
`static org.eclipse.emf.ecore.EReference` `ACTIVITY__VARIABLE` The meta object literal for the 'Variable' containment reference list feature
`static org.eclipse.emf.ecore.EClass` `ACTIVITY_EDGE` The meta object literal for the '`Activity Edge`' class
`static org.eclipse.emf.ecore.EReference` `ACTIVITY_EDGE__ACTIVITY` The meta object literal for the 'Activity' container reference feature
`static org.eclipse.emf.ecore.EReference` `ACTIVITY_EDGE__GUARD` The meta object literal for the 'Guard' containment reference feature
`static org.eclipse.emf.ecore.EReference` `ACTIVITY_EDGE__IN_GROUP` The meta object literal for the 'In Group' reference list feature
`static org.eclipse.emf.ecore.EReference` `ACTIVITY_EDGE__IN_PARTITION` The meta object literal for the 'In Partition' reference list feature
`static org.eclipse.emf.ecore.EReference` `ACTIVITY_EDGE__IN_STRUCTURED_NODE` The meta object literal for the 'In Structured Node' container reference feature
`static org.eclipse.emf.ecore.EReference` `ACTIVITY_EDGE__INTERRUPTS` The meta object literal for the 'Interrupts' reference feature
`static org.eclipse.emf.ecore.EReference` `ACTIVITY_EDGE__REDEFINED_EDGE` The meta object literal for the 'Redefined Edge' reference list feature
`static org.eclipse.emf.ecore.EReference` `ACTIVITY_EDGE__SOURCE` The meta object literal for the 'Source' reference feature
`static org.eclipse.emf.ecore.EReference` `ACTIVITY_EDGE__TARGET` The meta object literal for the 'Target' reference feature
`static org.eclipse.emf.ecore.EReference` `ACTIVITY_EDGE__WEIGHT` The meta object literal for the 'Weight' containment reference feature
`static org.eclipse.emf.ecore.EClass` `ACTIVITY_FINAL_NODE` The meta object literal for the '`Activity Final Node`' class
`static org.eclipse.emf.ecore.EClass` `ACTIVITY_GROUP` The meta object literal for the '`Activity Group`' class
`static org.eclipse.emf.ecore.EReference` `ACTIVITY_GROUP__CONTAINED_EDGE` The meta object literal for the 'Contained Edge' reference list feature
`static org.eclipse.emf.ecore.EReference` `ACTIVITY_GROUP__CONTAINED_NODE` The meta object literal for the 'Contained Node' reference list feature
`static org.eclipse.emf.ecore.EReference` `ACTIVITY_GROUP__IN_ACTIVITY` The meta object literal for the 'In Activity' container reference feature
`static org.eclipse.emf.ecore.EReference` `ACTIVITY_GROUP__SUBGROUP` The meta object literal for the 'Subgroup' reference list feature
`static org.eclipse.emf.ecore.EReference` `ACTIVITY_GROUP__SUPER_GROUP` The meta object literal for the 'Super Group' reference feature
`static org.eclipse.emf.ecore.EClass` `ACTIVITY_NODE` The meta object literal for the '`Activity Node`' class
`static org.eclipse.emf.ecore.EReference` `ACTIVITY_NODE__ACTIVITY` The meta object literal for the 'Activity' container reference feature
`static org.eclipse.emf.ecore.EReference` `ACTIVITY_NODE__IN_GROUP` The meta object literal for the 'In Group' reference list feature
`static org.eclipse.emf.ecore.EReference` `ACTIVITY_NODE__IN_INTERRUPTIBLE_REGION` The meta object literal for the 'In Interruptible Region' reference list feature
`static org.eclipse.emf.ecore.EReference` `ACTIVITY_NODE__IN_PARTITION` The meta object literal for the 'In Partition' reference list feature
`static org.eclipse.emf.ecore.EReference` `ACTIVITY_NODE__IN_STRUCTURED_NODE` The meta object literal for the 'In Structured Node' container reference feature
`static org.eclipse.emf.ecore.EReference` `ACTIVITY_NODE__INCOMING` The meta object literal for the 'Incoming' reference list feature
`static org.eclipse.emf.ecore.EReference` `ACTIVITY_NODE__OUTGOING` The meta object literal for the 'Outgoing' reference list feature
`static org.eclipse.emf.ecore.EReference` `ACTIVITY_NODE__REDEFINED_NODE` The meta object literal for the 'Redefined Node' reference list feature
`static org.eclipse.emf.ecore.EClass` `ACTIVITY_PARAMETER_NODE` The meta object literal for the '`Activity Parameter Node`' class
`static org.eclipse.emf.ecore.EReference` `ACTIVITY_PARAMETER_NODE__PARAMETER` The meta object literal for the 'Parameter' reference feature
`static org.eclipse.emf.ecore.EClass` `ACTIVITY_PARTITION` The meta object literal for the '`Activity Partition`' class
`static org.eclipse.emf.ecore.EReference` `ACTIVITY_PARTITION__EDGE` The meta object literal for the 'Edge' reference list feature
`static org.eclipse.emf.ecore.EAttribute` `ACTIVITY_PARTITION__IS_DIMENSION` The meta object literal for the 'Is Dimension' attribute feature
`static org.eclipse.emf.ecore.EAttribute` `ACTIVITY_PARTITION__IS_EXTERNAL` The meta object literal for the 'Is External' attribute feature
`static org.eclipse.emf.ecore.EReference` `ACTIVITY_PARTITION__NODE` The meta object literal for the 'Node' reference list feature
`static org.eclipse.emf.ecore.EReference` `ACTIVITY_PARTITION__REPRESENTS` The meta object literal for the 'Represents' reference feature
`static org.eclipse.emf.ecore.EReference` `ACTIVITY_PARTITION__SUBPARTITION` The meta object literal for the 'Subpartition' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `ACTIVITY_PARTITION__SUPER_PARTITION` The meta object literal for the 'Super Partition' container reference feature
`static org.eclipse.emf.ecore.EClass` `ACTOR` The meta object literal for the '`Actor`' class
`static org.eclipse.emf.ecore.EClass` `ADD_STRUCTURAL_FEATURE_VALUE_ACTION` The meta object literal for the '`Add Structural Feature Value Action`' class
`static org.eclipse.emf.ecore.EReference` `ADD_STRUCTURAL_FEATURE_VALUE_ACTION__INSERT_AT` The meta object literal for the 'Insert At' containment reference feature
`static org.eclipse.emf.ecore.EAttribute` `ADD_STRUCTURAL_FEATURE_VALUE_ACTION__IS_REPLACE_ALL` The meta object literal for the 'Is Replace All' attribute feature
`static org.eclipse.emf.ecore.EClass` `ADD_VARIABLE_VALUE_ACTION` The meta object literal for the '`Add Variable Value Action`' class
`static org.eclipse.emf.ecore.EReference` `ADD_VARIABLE_VALUE_ACTION__INSERT_AT` The meta object literal for the 'Insert At' containment reference feature
`static org.eclipse.emf.ecore.EAttribute` `ADD_VARIABLE_VALUE_ACTION__IS_REPLACE_ALL` The meta object literal for the 'Is Replace All' attribute feature
`static org.eclipse.emf.ecore.EEnum` `AGGREGATION_KIND` The meta object literal for the '`Aggregation Kind`' enum
`static org.eclipse.emf.ecore.EClass` `ANY_RECEIVE_EVENT` The meta object literal for the '`Any Receive Event`' class
`static org.eclipse.emf.ecore.EClass` `ARTIFACT` The meta object literal for the '`Artifact`' class
`static org.eclipse.emf.ecore.EAttribute` `ARTIFACT__FILE_NAME` The meta object literal for the 'File Name' attribute feature
`static org.eclipse.emf.ecore.EReference` `ARTIFACT__MANIFESTATION` The meta object literal for the 'Manifestation' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `ARTIFACT__NESTED_ARTIFACT` The meta object literal for the 'Nested Artifact' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `ARTIFACT__OWNED_ATTRIBUTE` The meta object literal for the 'Owned Attribute' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `ARTIFACT__OWNED_OPERATION` The meta object literal for the 'Owned Operation' containment reference list feature
`static org.eclipse.emf.ecore.EClass` `ASSOCIATION` The meta object literal for the '`Association`' class
`static org.eclipse.emf.ecore.EReference` `ASSOCIATION__END_TYPE` The meta object literal for the 'End Type' reference list feature
`static org.eclipse.emf.ecore.EAttribute` `ASSOCIATION__IS_DERIVED` The meta object literal for the 'Is Derived' attribute feature
`static org.eclipse.emf.ecore.EReference` `ASSOCIATION__MEMBER_END` The meta object literal for the 'Member End' reference list feature
`static org.eclipse.emf.ecore.EReference` `ASSOCIATION__NAVIGABLE_OWNED_END` The meta object literal for the 'Navigable Owned End' reference list feature
`static org.eclipse.emf.ecore.EReference` `ASSOCIATION__OWNED_END` The meta object literal for the 'Owned End' containment reference list feature
`static org.eclipse.emf.ecore.EClass` `ASSOCIATION_CLASS` The meta object literal for the '`Association Class`' class
`static org.eclipse.emf.ecore.EClass` `BEHAVIOR` The meta object literal for the '`Behavior`' class
`static org.eclipse.emf.ecore.EReference` `BEHAVIOR__CONTEXT` The meta object literal for the 'Context' reference feature
`static org.eclipse.emf.ecore.EAttribute` `BEHAVIOR__IS_REENTRANT` The meta object literal for the 'Is Reentrant' attribute feature
`static org.eclipse.emf.ecore.EReference` `BEHAVIOR__OWNED_PARAMETER` The meta object literal for the 'Owned Parameter' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `BEHAVIOR__OWNED_PARAMETER_SET` The meta object literal for the 'Owned Parameter Set' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `BEHAVIOR__POSTCONDITION` The meta object literal for the 'Postcondition' reference list feature
`static org.eclipse.emf.ecore.EReference` `BEHAVIOR__PRECONDITION` The meta object literal for the 'Precondition' reference list feature
`static org.eclipse.emf.ecore.EReference` `BEHAVIOR__REDEFINED_BEHAVIOR` The meta object literal for the 'Redefined Behavior' reference list feature
`static org.eclipse.emf.ecore.EReference` `BEHAVIOR__SPECIFICATION` The meta object literal for the 'Specification' reference feature
`static org.eclipse.emf.ecore.EClass` `BEHAVIOR_EXECUTION_SPECIFICATION` The meta object literal for the '`Behavior Execution Specification`' class
`static org.eclipse.emf.ecore.EReference` `BEHAVIOR_EXECUTION_SPECIFICATION__BEHAVIOR` The meta object literal for the 'Behavior' reference feature
`static org.eclipse.emf.ecore.EClass` `BEHAVIORAL_FEATURE` The meta object literal for the '`Behavioral Feature`' class
`static org.eclipse.emf.ecore.EAttribute` `BEHAVIORAL_FEATURE__CONCURRENCY` The meta object literal for the 'Concurrency' attribute feature
`static org.eclipse.emf.ecore.EAttribute` `BEHAVIORAL_FEATURE__IS_ABSTRACT` The meta object literal for the 'Is Abstract' attribute feature
`static org.eclipse.emf.ecore.EReference` `BEHAVIORAL_FEATURE__METHOD` The meta object literal for the 'Method' reference list feature
`static org.eclipse.emf.ecore.EReference` `BEHAVIORAL_FEATURE__OWNED_PARAMETER` The meta object literal for the 'Owned Parameter' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `BEHAVIORAL_FEATURE__OWNED_PARAMETER_SET` The meta object literal for the 'Owned Parameter Set' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `BEHAVIORAL_FEATURE__RAISED_EXCEPTION` The meta object literal for the 'Raised Exception' reference list feature
`static org.eclipse.emf.ecore.EClass` `BEHAVIORED_CLASSIFIER` The meta object literal for the '`Behaviored Classifier`' class
`static org.eclipse.emf.ecore.EReference` `BEHAVIORED_CLASSIFIER__CLASSIFIER_BEHAVIOR` The meta object literal for the 'Classifier Behavior' reference feature
`static org.eclipse.emf.ecore.EReference` `BEHAVIORED_CLASSIFIER__INTERFACE_REALIZATION` The meta object literal for the 'Interface Realization' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `BEHAVIORED_CLASSIFIER__OWNED_BEHAVIOR` The meta object literal for the 'Owned Behavior' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `BEHAVIORED_CLASSIFIER__OWNED_TRIGGER` The meta object literal for the 'Owned Trigger' containment reference list feature
`static org.eclipse.emf.ecore.EDataType` `BOOLEAN` The meta object literal for the 'Boolean' data type
`static org.eclipse.emf.ecore.EClass` `BROADCAST_SIGNAL_ACTION` The meta object literal for the '`Broadcast Signal Action`' class
`static org.eclipse.emf.ecore.EReference` `BROADCAST_SIGNAL_ACTION__SIGNAL` The meta object literal for the 'Signal' reference feature
`static org.eclipse.emf.ecore.EClass` `CALL_ACTION` The meta object literal for the '`Call Action`' class
`static org.eclipse.emf.ecore.EAttribute` `CALL_ACTION__IS_SYNCHRONOUS` The meta object literal for the 'Is Synchronous' attribute feature
`static org.eclipse.emf.ecore.EReference` `CALL_ACTION__RESULT` The meta object literal for the 'Result' containment reference list feature
`static org.eclipse.emf.ecore.EClass` `CALL_BEHAVIOR_ACTION` The meta object literal for the '`Call Behavior Action`' class
`static org.eclipse.emf.ecore.EReference` `CALL_BEHAVIOR_ACTION__BEHAVIOR` The meta object literal for the 'Behavior' reference feature
`static org.eclipse.emf.ecore.EEnum` `CALL_CONCURRENCY_KIND` The meta object literal for the '`Call Concurrency Kind`' enum
`static org.eclipse.emf.ecore.EClass` `CALL_EVENT` The meta object literal for the '`Call Event`' class
`static org.eclipse.emf.ecore.EReference` `CALL_EVENT__OPERATION` The meta object literal for the 'Operation' reference feature
`static org.eclipse.emf.ecore.EClass` `CALL_OPERATION_ACTION` The meta object literal for the '`Call Operation Action`' class
`static org.eclipse.emf.ecore.EReference` `CALL_OPERATION_ACTION__OPERATION` The meta object literal for the 'Operation' reference feature
`static org.eclipse.emf.ecore.EReference` `CALL_OPERATION_ACTION__TARGET` The meta object literal for the 'Target' containment reference feature
`static org.eclipse.emf.ecore.EClass` `CENTRAL_BUFFER_NODE` The meta object literal for the '`Central Buffer Node`' class
`static org.eclipse.emf.ecore.EClass` `CHANGE_EVENT` The meta object literal for the '`Change Event`' class
`static org.eclipse.emf.ecore.EReference` `CHANGE_EVENT__CHANGE_EXPRESSION` The meta object literal for the 'Change Expression' containment reference feature
`static org.eclipse.emf.ecore.EClass` `CLASS` The meta object literal for the '`Class`' class
`static org.eclipse.emf.ecore.EReference` `CLASS__EXTENSION` The meta object literal for the 'Extension' reference list feature
`static org.eclipse.emf.ecore.EAttribute` `CLASS__IS_ACTIVE` The meta object literal for the 'Is Active' attribute feature
`static org.eclipse.emf.ecore.EReference` `CLASS__NESTED_CLASSIFIER` The meta object literal for the 'Nested Classifier' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `CLASS__OWNED_OPERATION` The meta object literal for the 'Owned Operation' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `CLASS__OWNED_RECEPTION` The meta object literal for the 'Owned Reception' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `CLASS__SUPER_CLASS` The meta object literal for the 'Super Class' reference list feature
`static org.eclipse.emf.ecore.EClass` `CLASSIFIER` The meta object literal for the '`Classifier`' class
`static org.eclipse.emf.ecore.EReference` `CLASSIFIER__ATTRIBUTE` The meta object literal for the 'Attribute' reference list feature
`static org.eclipse.emf.ecore.EReference` `CLASSIFIER__COLLABORATION_USE` The meta object literal for the 'Collaboration Use' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `CLASSIFIER__FEATURE` The meta object literal for the 'Feature' reference list feature
`static org.eclipse.emf.ecore.EReference` `CLASSIFIER__GENERAL` The meta object literal for the 'General' reference list feature
`static org.eclipse.emf.ecore.EReference` `CLASSIFIER__GENERALIZATION` The meta object literal for the 'Generalization' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `CLASSIFIER__INHERITED_MEMBER` The meta object literal for the 'Inherited Member' reference list feature
`static org.eclipse.emf.ecore.EAttribute` `CLASSIFIER__IS_ABSTRACT` The meta object literal for the 'Is Abstract' attribute feature
`static org.eclipse.emf.ecore.EReference` `CLASSIFIER__OWNED_USE_CASE` The meta object literal for the 'Owned Use Case' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `CLASSIFIER__POWERTYPE_EXTENT` The meta object literal for the 'Powertype Extent' reference list feature
`static org.eclipse.emf.ecore.EReference` `CLASSIFIER__REDEFINED_CLASSIFIER` The meta object literal for the 'Redefined Classifier' reference list feature
`static org.eclipse.emf.ecore.EReference` `CLASSIFIER__REPRESENTATION` The meta object literal for the 'Representation' reference feature
`static org.eclipse.emf.ecore.EReference` `CLASSIFIER__SUBSTITUTION` The meta object literal for the 'Substitution' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `CLASSIFIER__USE_CASE` The meta object literal for the 'Use Case' reference list feature
`static org.eclipse.emf.ecore.EClass` `CLASSIFIER_TEMPLATE_PARAMETER` The meta object literal for the '`Classifier Template Parameter`' class
`static org.eclipse.emf.ecore.EAttribute` `CLASSIFIER_TEMPLATE_PARAMETER__ALLOW_SUBSTITUTABLE` The meta object literal for the 'Allow Substitutable' attribute feature
`static org.eclipse.emf.ecore.EReference` `CLASSIFIER_TEMPLATE_PARAMETER__CONSTRAINING_CLASSIFIER` The meta object literal for the 'Constraining Classifier' reference list feature
`static org.eclipse.emf.ecore.EClass` `CLAUSE` The meta object literal for the '`Clause`' class
`static org.eclipse.emf.ecore.EReference` `CLAUSE__BODY` The meta object literal for the 'Body' reference list feature
`static org.eclipse.emf.ecore.EReference` `CLAUSE__BODY_OUTPUT` The meta object literal for the 'Body Output' reference list feature
`static org.eclipse.emf.ecore.EReference` `CLAUSE__DECIDER` The meta object literal for the 'Decider' reference feature
`static org.eclipse.emf.ecore.EReference` `CLAUSE__PREDECESSOR_CLAUSE` The meta object literal for the 'Predecessor Clause' reference list feature
`static org.eclipse.emf.ecore.EReference` `CLAUSE__SUCCESSOR_CLAUSE` The meta object literal for the 'Successor Clause' reference list feature
`static org.eclipse.emf.ecore.EReference` `CLAUSE__TEST` The meta object literal for the 'Test' reference list feature
`static org.eclipse.emf.ecore.EClass` `CLEAR_ASSOCIATION_ACTION` The meta object literal for the '`Clear Association Action`' class
`static org.eclipse.emf.ecore.EReference` `CLEAR_ASSOCIATION_ACTION__ASSOCIATION` The meta object literal for the 'Association' reference feature
`static org.eclipse.emf.ecore.EReference` `CLEAR_ASSOCIATION_ACTION__OBJECT` The meta object literal for the 'Object' containment reference feature
`static org.eclipse.emf.ecore.EClass` `CLEAR_STRUCTURAL_FEATURE_ACTION` The meta object literal for the '`Clear Structural Feature Action`' class
`static org.eclipse.emf.ecore.EReference` `CLEAR_STRUCTURAL_FEATURE_ACTION__RESULT` The meta object literal for the 'Result' containment reference feature
`static org.eclipse.emf.ecore.EClass` `CLEAR_VARIABLE_ACTION` The meta object literal for the '`Clear Variable Action`' class
`static org.eclipse.emf.ecore.EClass` `COLLABORATION` The meta object literal for the '`Collaboration`' class
`static org.eclipse.emf.ecore.EReference` `COLLABORATION__COLLABORATION_ROLE` The meta object literal for the 'Collaboration Role' reference list feature
`static org.eclipse.emf.ecore.EClass` `COLLABORATION_USE` The meta object literal for the '`Collaboration Use`' class
`static org.eclipse.emf.ecore.EReference` `COLLABORATION_USE__ROLE_BINDING` The meta object literal for the 'Role Binding' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `COLLABORATION_USE__TYPE` The meta object literal for the 'Type' reference feature
`static org.eclipse.emf.ecore.EClass` `COMBINED_FRAGMENT` The meta object literal for the '`Combined Fragment`' class
`static org.eclipse.emf.ecore.EReference` `COMBINED_FRAGMENT__CFRAGMENT_GATE` The meta object literal for the 'Cfragment Gate' containment reference list feature
`static org.eclipse.emf.ecore.EAttribute` `COMBINED_FRAGMENT__INTERACTION_OPERATOR` The meta object literal for the 'Interaction Operator' attribute feature
`static org.eclipse.emf.ecore.EReference` `COMBINED_FRAGMENT__OPERAND` The meta object literal for the 'Operand' containment reference list feature
`static org.eclipse.emf.ecore.EClass` `COMMENT` The meta object literal for the '`Comment`' class
`static org.eclipse.emf.ecore.EReference` `COMMENT__ANNOTATED_ELEMENT` The meta object literal for the 'Annotated Element' reference list feature
`static org.eclipse.emf.ecore.EAttribute` `COMMENT__BODY` The meta object literal for the 'Body' attribute feature
`static org.eclipse.emf.ecore.EClass` `COMMUNICATION_PATH` The meta object literal for the '`Communication Path`' class
`static org.eclipse.emf.ecore.EClass` `COMPONENT` The meta object literal for the '`Component`' class
`static org.eclipse.emf.ecore.EAttribute` `COMPONENT__IS_INDIRECTLY_INSTANTIATED` The meta object literal for the 'Is Indirectly Instantiated' attribute feature
`static org.eclipse.emf.ecore.EReference` `COMPONENT__PACKAGED_ELEMENT` The meta object literal for the 'Packaged Element' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `COMPONENT__PROVIDED` The meta object literal for the 'Provided' reference list feature
`static org.eclipse.emf.ecore.EReference` `COMPONENT__REALIZATION` The meta object literal for the 'Realization' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `COMPONENT__REQUIRED` The meta object literal for the 'Required' reference list feature
`static org.eclipse.emf.ecore.EClass` `COMPONENT_REALIZATION` The meta object literal for the '`Component Realization`' class
`static org.eclipse.emf.ecore.EReference` `COMPONENT_REALIZATION__ABSTRACTION` The meta object literal for the 'Abstraction' container reference feature
`static org.eclipse.emf.ecore.EReference` `COMPONENT_REALIZATION__REALIZING_CLASSIFIER` The meta object literal for the 'Realizing Classifier' reference list feature
`static org.eclipse.emf.ecore.EClass` `CONDITIONAL_NODE` The meta object literal for the '`Conditional Node`' class
`static org.eclipse.emf.ecore.EReference` `CONDITIONAL_NODE__CLAUSE` The meta object literal for the 'Clause' containment reference list feature
`static org.eclipse.emf.ecore.EAttribute` `CONDITIONAL_NODE__IS_ASSURED` The meta object literal for the 'Is Assured' attribute feature
`static org.eclipse.emf.ecore.EAttribute` `CONDITIONAL_NODE__IS_DETERMINATE` The meta object literal for the 'Is Determinate' attribute feature
`static org.eclipse.emf.ecore.EReference` `CONDITIONAL_NODE__RESULT` The meta object literal for the 'Result' containment reference list feature
`static org.eclipse.emf.ecore.EClass` `CONNECTABLE_ELEMENT` The meta object literal for the '`Connectable Element`' class
`static org.eclipse.emf.ecore.EReference` `CONNECTABLE_ELEMENT__END` The meta object literal for the 'End' reference list feature
`static org.eclipse.emf.ecore.EClass` `CONNECTABLE_ELEMENT_TEMPLATE_PARAMETER` The meta object literal for the '`Connectable Element Template Parameter`' class
`static org.eclipse.emf.ecore.EClass` `CONNECTION_POINT_REFERENCE` The meta object literal for the '`Connection Point Reference`' class
`static org.eclipse.emf.ecore.EReference` `CONNECTION_POINT_REFERENCE__ENTRY` The meta object literal for the 'Entry' reference list feature
`static org.eclipse.emf.ecore.EReference` `CONNECTION_POINT_REFERENCE__EXIT` The meta object literal for the 'Exit' reference list feature
`static org.eclipse.emf.ecore.EReference` `CONNECTION_POINT_REFERENCE__STATE` The meta object literal for the 'State' container reference feature
`static org.eclipse.emf.ecore.EClass` `CONNECTOR` The meta object literal for the '`Connector`' class
`static org.eclipse.emf.ecore.EReference` `CONNECTOR__CONTRACT` The meta object literal for the 'Contract' reference list feature
`static org.eclipse.emf.ecore.EReference` `CONNECTOR__END` The meta object literal for the 'End' containment reference list feature
`static org.eclipse.emf.ecore.EAttribute` `CONNECTOR__KIND` The meta object literal for the 'Kind' attribute feature
`static org.eclipse.emf.ecore.EReference` `CONNECTOR__REDEFINED_CONNECTOR` The meta object literal for the 'Redefined Connector' reference list feature
`static org.eclipse.emf.ecore.EReference` `CONNECTOR__TYPE` The meta object literal for the 'Type' reference feature
`static org.eclipse.emf.ecore.EClass` `CONNECTOR_END` The meta object literal for the '`Connector End`' class
`static org.eclipse.emf.ecore.EReference` `CONNECTOR_END__DEFINING_END` The meta object literal for the 'Defining End' reference feature
`static org.eclipse.emf.ecore.EReference` `CONNECTOR_END__PART_WITH_PORT` The meta object literal for the 'Part With Port' reference feature
`static org.eclipse.emf.ecore.EReference` `CONNECTOR_END__ROLE` The meta object literal for the 'Role' reference feature
`static org.eclipse.emf.ecore.EEnum` `CONNECTOR_KIND` The meta object literal for the '`Connector Kind`' enum
`static org.eclipse.emf.ecore.EClass` `CONSIDER_IGNORE_FRAGMENT` The meta object literal for the '`Consider Ignore Fragment`' class
`static org.eclipse.emf.ecore.EReference` `CONSIDER_IGNORE_FRAGMENT__MESSAGE` The meta object literal for the 'Message' reference list feature
`static org.eclipse.emf.ecore.EClass` `CONSTRAINT` The meta object literal for the '`Constraint`' class
`static org.eclipse.emf.ecore.EReference` `CONSTRAINT__CONSTRAINED_ELEMENT` The meta object literal for the 'Constrained Element' reference list feature
`static org.eclipse.emf.ecore.EReference` `CONSTRAINT__CONTEXT` The meta object literal for the 'Context' container reference feature
`static org.eclipse.emf.ecore.EReference` `CONSTRAINT__SPECIFICATION` The meta object literal for the 'Specification' containment reference feature
`static org.eclipse.emf.ecore.EClass` `CONTINUATION` The meta object literal for the '`Continuation`' class
`static org.eclipse.emf.ecore.EAttribute` `CONTINUATION__SETTING` The meta object literal for the 'Setting' attribute feature
`static org.eclipse.emf.ecore.EClass` `CONTROL_FLOW` The meta object literal for the '`Control Flow`' class
`static org.eclipse.emf.ecore.EClass` `CONTROL_NODE` The meta object literal for the '`Control Node`' class
`static org.eclipse.emf.ecore.EClass` `CREATE_LINK_ACTION` The meta object literal for the '`Create Link Action`' class
`static org.eclipse.emf.ecore.EClass` `CREATE_LINK_OBJECT_ACTION` The meta object literal for the '`Create Link Object Action`' class
`static org.eclipse.emf.ecore.EReference` `CREATE_LINK_OBJECT_ACTION__RESULT` The meta object literal for the 'Result' containment reference feature
`static org.eclipse.emf.ecore.EClass` `CREATE_OBJECT_ACTION` The meta object literal for the '`Create Object Action`' class
`static org.eclipse.emf.ecore.EReference` `CREATE_OBJECT_ACTION__CLASSIFIER` The meta object literal for the 'Classifier' reference feature
`static org.eclipse.emf.ecore.EReference` `CREATE_OBJECT_ACTION__RESULT` The meta object literal for the 'Result' containment reference feature
`static org.eclipse.emf.ecore.EClass` `CREATION_EVENT` The meta object literal for the '`Creation Event`' class
`static org.eclipse.emf.ecore.EClass` `DATA_STORE_NODE` The meta object literal for the '`Data Store Node`' class
`static org.eclipse.emf.ecore.EClass` `DATA_TYPE` The meta object literal for the '`Data Type`' class
`static org.eclipse.emf.ecore.EReference` `DATA_TYPE__OWNED_ATTRIBUTE` The meta object literal for the 'Owned Attribute' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `DATA_TYPE__OWNED_OPERATION` The meta object literal for the 'Owned Operation' containment reference list feature
`static org.eclipse.emf.ecore.EClass` `DECISION_NODE` The meta object literal for the '`Decision Node`' class
`static org.eclipse.emf.ecore.EReference` `DECISION_NODE__DECISION_INPUT` The meta object literal for the 'Decision Input' reference feature
`static org.eclipse.emf.ecore.EReference` `DECISION_NODE__DECISION_INPUT_FLOW` The meta object literal for the 'Decision Input Flow' reference feature
`static org.eclipse.emf.ecore.EClass` `DEPENDENCY` The meta object literal for the '`Dependency`' class
`static org.eclipse.emf.ecore.EReference` `DEPENDENCY__CLIENT` The meta object literal for the 'Client' reference list feature
`static org.eclipse.emf.ecore.EReference` `DEPENDENCY__SUPPLIER` The meta object literal for the 'Supplier' reference list feature
`static org.eclipse.emf.ecore.EClass` `DEPLOYED_ARTIFACT` The meta object literal for the '`Deployed Artifact`' class
`static org.eclipse.emf.ecore.EClass` `DEPLOYMENT` The meta object literal for the '`Deployment`' class
`static org.eclipse.emf.ecore.EReference` `DEPLOYMENT__CONFIGURATION` The meta object literal for the 'Configuration' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `DEPLOYMENT__DEPLOYED_ARTIFACT` The meta object literal for the 'Deployed Artifact' reference list feature
`static org.eclipse.emf.ecore.EReference` `DEPLOYMENT__LOCATION` The meta object literal for the 'Location' container reference feature
`static org.eclipse.emf.ecore.EClass` `DEPLOYMENT_SPECIFICATION` The meta object literal for the '`Deployment Specification`' class
`static org.eclipse.emf.ecore.EReference` `DEPLOYMENT_SPECIFICATION__DEPLOYMENT` The meta object literal for the 'Deployment' container reference feature
`static org.eclipse.emf.ecore.EAttribute` `DEPLOYMENT_SPECIFICATION__DEPLOYMENT_LOCATION` The meta object literal for the 'Deployment Location' attribute feature
`static org.eclipse.emf.ecore.EAttribute` `DEPLOYMENT_SPECIFICATION__EXECUTION_LOCATION` The meta object literal for the 'Execution Location' attribute feature
`static org.eclipse.emf.ecore.EClass` `DEPLOYMENT_TARGET` The meta object literal for the '`Deployment Target`' class
`static org.eclipse.emf.ecore.EReference` `DEPLOYMENT_TARGET__DEPLOYED_ELEMENT` The meta object literal for the 'Deployed Element' reference list feature
`static org.eclipse.emf.ecore.EReference` `DEPLOYMENT_TARGET__DEPLOYMENT` The meta object literal for the 'Deployment' containment reference list feature
`static org.eclipse.emf.ecore.EClass` `DESTROY_LINK_ACTION` The meta object literal for the '`Destroy Link Action`' class
`static org.eclipse.emf.ecore.EClass` `DESTROY_OBJECT_ACTION` The meta object literal for the '`Destroy Object Action`' class
`static org.eclipse.emf.ecore.EAttribute` `DESTROY_OBJECT_ACTION__IS_DESTROY_LINKS` The meta object literal for the 'Is Destroy Links' attribute feature
`static org.eclipse.emf.ecore.EAttribute` `DESTROY_OBJECT_ACTION__IS_DESTROY_OWNED_OBJECTS` The meta object literal for the 'Is Destroy Owned Objects' attribute feature
`static org.eclipse.emf.ecore.EReference` `DESTROY_OBJECT_ACTION__TARGET` The meta object literal for the 'Target' containment reference feature
`static org.eclipse.emf.ecore.EClass` `DESTRUCTION_EVENT` The meta object literal for the '`Destruction Event`' class
`static org.eclipse.emf.ecore.EClass` `DEVICE` The meta object literal for the '`Device`' class
`static org.eclipse.emf.ecore.EClass` `DIRECTED_RELATIONSHIP` The meta object literal for the '`Directed Relationship`' class
`static org.eclipse.emf.ecore.EReference` `DIRECTED_RELATIONSHIP__SOURCE` The meta object literal for the 'Source' reference list feature
`static org.eclipse.emf.ecore.EReference` `DIRECTED_RELATIONSHIP__TARGET` The meta object literal for the 'Target' reference list feature
`static org.eclipse.emf.ecore.EClass` `DURATION` The meta object literal for the '`Duration`' class
`static org.eclipse.emf.ecore.EReference` `DURATION__EXPR` The meta object literal for the 'Expr' containment reference feature
`static org.eclipse.emf.ecore.EReference` `DURATION__OBSERVATION` The meta object literal for the 'Observation' reference list feature
`static org.eclipse.emf.ecore.EClass` `DURATION_CONSTRAINT` The meta object literal for the '`Duration Constraint`' class
`static org.eclipse.emf.ecore.EAttribute` `DURATION_CONSTRAINT__FIRST_EVENT` The meta object literal for the 'First Event' attribute list feature
`static org.eclipse.emf.ecore.EClass` `DURATION_INTERVAL` The meta object literal for the '`Duration Interval`' class
`static org.eclipse.emf.ecore.EClass` `DURATION_OBSERVATION` The meta object literal for the '`Duration Observation`' class
`static org.eclipse.emf.ecore.EReference` `DURATION_OBSERVATION__EVENT` The meta object literal for the 'Event' reference list feature
`static org.eclipse.emf.ecore.EAttribute` `DURATION_OBSERVATION__FIRST_EVENT` The meta object literal for the 'First Event' attribute list feature
`static org.eclipse.emf.ecore.EClass` `ELEMENT` The meta object literal for the '`Element`' class
`static org.eclipse.emf.ecore.EReference` `ELEMENT__OWNED_COMMENT` The meta object literal for the 'Owned Comment' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `ELEMENT__OWNED_ELEMENT` The meta object literal for the 'Owned Element' reference list feature
`static org.eclipse.emf.ecore.EReference` `ELEMENT__OWNER` The meta object literal for the 'Owner' reference feature
`static org.eclipse.emf.ecore.EClass` `ELEMENT_IMPORT` The meta object literal for the '`Element Import`' class
`static org.eclipse.emf.ecore.EAttribute` `ELEMENT_IMPORT__ALIAS` The meta object literal for the 'Alias' attribute feature
`static org.eclipse.emf.ecore.EReference` `ELEMENT_IMPORT__IMPORTED_ELEMENT` The meta object literal for the 'Imported Element' reference feature
`static org.eclipse.emf.ecore.EReference` `ELEMENT_IMPORT__IMPORTING_NAMESPACE` The meta object literal for the 'Importing Namespace' container reference feature
`static org.eclipse.emf.ecore.EAttribute` `ELEMENT_IMPORT__VISIBILITY` The meta object literal for the 'Visibility' attribute feature
`static org.eclipse.emf.ecore.EClass` `ENCAPSULATED_CLASSIFIER` The meta object literal for the '`Encapsulated Classifier`' class
`static org.eclipse.emf.ecore.EReference` `ENCAPSULATED_CLASSIFIER__OWNED_PORT` The meta object literal for the 'Owned Port' reference list feature
`static org.eclipse.emf.ecore.EClass` `ENUMERATION` The meta object literal for the '`Enumeration`' class
`static org.eclipse.emf.ecore.EReference` `ENUMERATION__OWNED_LITERAL` The meta object literal for the 'Owned Literal' containment reference list feature
`static org.eclipse.emf.ecore.EClass` `ENUMERATION_LITERAL` The meta object literal for the '`Enumeration Literal`' class
`static org.eclipse.emf.ecore.EReference` `ENUMERATION_LITERAL__ENUMERATION` The meta object literal for the 'Enumeration' container reference feature
`static org.eclipse.emf.ecore.EClass` `EVENT` The meta object literal for the '`Event`' class
`static org.eclipse.emf.ecore.EClass` `EXCEPTION_HANDLER` The meta object literal for the '`Exception Handler`' class
`static org.eclipse.emf.ecore.EReference` `EXCEPTION_HANDLER__EXCEPTION_INPUT` The meta object literal for the 'Exception Input' reference feature
`static org.eclipse.emf.ecore.EReference` `EXCEPTION_HANDLER__EXCEPTION_TYPE` The meta object literal for the 'Exception Type' reference list feature
`static org.eclipse.emf.ecore.EReference` `EXCEPTION_HANDLER__HANDLER_BODY` The meta object literal for the 'Handler Body' reference feature
`static org.eclipse.emf.ecore.EReference` `EXCEPTION_HANDLER__PROTECTED_NODE` The meta object literal for the 'Protected Node' container reference feature
`static org.eclipse.emf.ecore.EClass` `EXECUTABLE_NODE` The meta object literal for the '`Executable Node`' class
`static org.eclipse.emf.ecore.EReference` `EXECUTABLE_NODE__HANDLER` The meta object literal for the 'Handler' containment reference list feature
`static org.eclipse.emf.ecore.EClass` `EXECUTION_ENVIRONMENT` The meta object literal for the '`Execution Environment`' class
`static org.eclipse.emf.ecore.EClass` `EXECUTION_EVENT` The meta object literal for the '`Execution Event`' class
`static org.eclipse.emf.ecore.EClass` `EXECUTION_OCCURRENCE_SPECIFICATION` The meta object literal for the '`Execution Occurrence Specification`' class
`static org.eclipse.emf.ecore.EReference` `EXECUTION_OCCURRENCE_SPECIFICATION__EXECUTION` The meta object literal for the 'Execution' reference feature
`static org.eclipse.emf.ecore.EClass` `EXECUTION_SPECIFICATION` The meta object literal for the '`Execution Specification`' class
`static org.eclipse.emf.ecore.EReference` `EXECUTION_SPECIFICATION__FINISH` The meta object literal for the 'Finish' reference feature
`static org.eclipse.emf.ecore.EReference` `EXECUTION_SPECIFICATION__START` The meta object literal for the 'Start' reference feature
`static org.eclipse.emf.ecore.EEnum` `EXPANSION_KIND` The meta object literal for the '`Expansion Kind`' enum
`static org.eclipse.emf.ecore.EClass` `EXPANSION_NODE` The meta object literal for the '`Expansion Node`' class
`static org.eclipse.emf.ecore.EReference` `EXPANSION_NODE__REGION_AS_INPUT` The meta object literal for the 'Region As Input' reference feature
`static org.eclipse.emf.ecore.EReference` `EXPANSION_NODE__REGION_AS_OUTPUT` The meta object literal for the 'Region As Output' reference feature
`static org.eclipse.emf.ecore.EClass` `EXPANSION_REGION` The meta object literal for the '`Expansion Region`' class
`static org.eclipse.emf.ecore.EReference` `EXPANSION_REGION__INPUT_ELEMENT` The meta object literal for the 'Input Element' reference list feature
`static org.eclipse.emf.ecore.EAttribute` `EXPANSION_REGION__MODE` The meta object literal for the 'Mode' attribute feature
`static org.eclipse.emf.ecore.EReference` `EXPANSION_REGION__OUTPUT_ELEMENT` The meta object literal for the 'Output Element' reference list feature
`static org.eclipse.emf.ecore.EClass` `EXPRESSION` The meta object literal for the '`Expression`' class
`static org.eclipse.emf.ecore.EReference` `EXPRESSION__OPERAND` The meta object literal for the 'Operand' containment reference list feature
`static org.eclipse.emf.ecore.EAttribute` `EXPRESSION__SYMBOL` The meta object literal for the 'Symbol' attribute feature
`static org.eclipse.emf.ecore.EClass` `EXTEND` The meta object literal for the '`Extend`' class
`static org.eclipse.emf.ecore.EReference` `EXTEND__CONDITION` The meta object literal for the 'Condition' containment reference feature
`static org.eclipse.emf.ecore.EReference` `EXTEND__EXTENDED_CASE` The meta object literal for the 'Extended Case' reference feature
`static org.eclipse.emf.ecore.EReference` `EXTEND__EXTENSION` The meta object literal for the 'Extension' container reference feature
`static org.eclipse.emf.ecore.EReference` `EXTEND__EXTENSION_LOCATION` The meta object literal for the 'Extension Location' reference list feature
`static org.eclipse.emf.ecore.EClass` `EXTENSION` The meta object literal for the '`Extension`' class
`static org.eclipse.emf.ecore.EAttribute` `EXTENSION__IS_REQUIRED` The meta object literal for the 'Is Required' attribute feature
`static org.eclipse.emf.ecore.EReference` `EXTENSION__METACLASS` The meta object literal for the 'Metaclass' reference feature
`static org.eclipse.emf.ecore.EClass` `EXTENSION_END` The meta object literal for the '`Extension End`' class
`static org.eclipse.emf.ecore.EClass` `EXTENSION_POINT` The meta object literal for the '`Extension Point`' class
`static org.eclipse.emf.ecore.EReference` `EXTENSION_POINT__USE_CASE` The meta object literal for the 'Use Case' container reference feature
`static org.eclipse.emf.ecore.EClass` `FEATURE` The meta object literal for the '`Feature`' class
`static org.eclipse.emf.ecore.EReference` `FEATURE__FEATURING_CLASSIFIER` The meta object literal for the 'Featuring Classifier' reference list feature
`static org.eclipse.emf.ecore.EAttribute` `FEATURE__IS_STATIC` The meta object literal for the 'Is Static' attribute feature
`static org.eclipse.emf.ecore.EClass` `FINAL_NODE` The meta object literal for the '`Final Node`' class
`static org.eclipse.emf.ecore.EClass` `FINAL_STATE` The meta object literal for the '`Final State`' class
`static org.eclipse.emf.ecore.EClass` `FLOW_FINAL_NODE` The meta object literal for the '`Flow Final Node`' class
`static org.eclipse.emf.ecore.EClass` `FORK_NODE` The meta object literal for the '`Fork Node`' class
`static org.eclipse.emf.ecore.EClass` `FUNCTION_BEHAVIOR` The meta object literal for the '`Function Behavior`' class
`static org.eclipse.emf.ecore.EClass` `GATE` The meta object literal for the '`Gate`' class
`static org.eclipse.emf.ecore.EClass` `GENERAL_ORDERING` The meta object literal for the '`General Ordering`' class
`static org.eclipse.emf.ecore.EReference` `GENERAL_ORDERING__AFTER` The meta object literal for the 'After' reference feature
`static org.eclipse.emf.ecore.EReference` `GENERAL_ORDERING__BEFORE` The meta object literal for the 'Before' reference feature
`static org.eclipse.emf.ecore.EClass` `GENERALIZATION` The meta object literal for the '`Generalization`' class
`static org.eclipse.emf.ecore.EReference` `GENERALIZATION__GENERAL` The meta object literal for the 'General' reference feature
`static org.eclipse.emf.ecore.EReference` `GENERALIZATION__GENERALIZATION_SET` The meta object literal for the 'Generalization Set' reference list feature
`static org.eclipse.emf.ecore.EAttribute` `GENERALIZATION__IS_SUBSTITUTABLE` The meta object literal for the 'Is Substitutable' attribute feature
`static org.eclipse.emf.ecore.EReference` `GENERALIZATION__SPECIFIC` The meta object literal for the 'Specific' container reference feature
`static org.eclipse.emf.ecore.EClass` `GENERALIZATION_SET` The meta object literal for the '`Generalization Set`' class
`static org.eclipse.emf.ecore.EReference` `GENERALIZATION_SET__GENERALIZATION` The meta object literal for the 'Generalization' reference list feature
`static org.eclipse.emf.ecore.EAttribute` `GENERALIZATION_SET__IS_COVERING` The meta object literal for the 'Is Covering' attribute feature
`static org.eclipse.emf.ecore.EAttribute` `GENERALIZATION_SET__IS_DISJOINT` The meta object literal for the 'Is Disjoint' attribute feature
`static org.eclipse.emf.ecore.EReference` `GENERALIZATION_SET__POWERTYPE` The meta object literal for the 'Powertype' reference feature
`static org.eclipse.emf.ecore.EClass` `IMAGE` The meta object literal for the '`Image`' class
`static org.eclipse.emf.ecore.EAttribute` `IMAGE__CONTENT` The meta object literal for the 'Content' attribute feature
`static org.eclipse.emf.ecore.EAttribute` `IMAGE__FORMAT` The meta object literal for the 'Format' attribute feature
`static org.eclipse.emf.ecore.EAttribute` `IMAGE__LOCATION` The meta object literal for the 'Location' attribute feature
`static org.eclipse.emf.ecore.EClass` `INCLUDE` The meta object literal for the '`Include`' class
`static org.eclipse.emf.ecore.EReference` `INCLUDE__ADDITION` The meta object literal for the 'Addition' reference feature
`static org.eclipse.emf.ecore.EReference` `INCLUDE__INCLUDING_CASE` The meta object literal for the 'Including Case' container reference feature
`static org.eclipse.emf.ecore.EClass` `INFORMATION_FLOW` The meta object literal for the '`Information Flow`' class
`static org.eclipse.emf.ecore.EReference` `INFORMATION_FLOW__CONVEYED` The meta object literal for the 'Conveyed' reference list feature
`static org.eclipse.emf.ecore.EReference` `INFORMATION_FLOW__INFORMATION_SOURCE` The meta object literal for the 'Information Source' reference list feature
`static org.eclipse.emf.ecore.EReference` `INFORMATION_FLOW__INFORMATION_TARGET` The meta object literal for the 'Information Target' reference list feature
`static org.eclipse.emf.ecore.EReference` `INFORMATION_FLOW__REALIZATION` The meta object literal for the 'Realization' reference list feature
`static org.eclipse.emf.ecore.EReference` `INFORMATION_FLOW__REALIZING_ACTIVITY_EDGE` The meta object literal for the 'Realizing Activity Edge' reference list feature
`static org.eclipse.emf.ecore.EReference` `INFORMATION_FLOW__REALIZING_CONNECTOR` The meta object literal for the 'Realizing Connector' reference list feature
`static org.eclipse.emf.ecore.EReference` `INFORMATION_FLOW__REALIZING_MESSAGE` The meta object literal for the 'Realizing Message' reference list feature
`static org.eclipse.emf.ecore.EClass` `INFORMATION_ITEM` The meta object literal for the '`Information Item`' class
`static org.eclipse.emf.ecore.EReference` `INFORMATION_ITEM__REPRESENTED` The meta object literal for the 'Represented' reference list feature
`static org.eclipse.emf.ecore.EClass` `INITIAL_NODE` The meta object literal for the '`Initial Node`' class
`static org.eclipse.emf.ecore.EClass` `INPUT_PIN` The meta object literal for the '`Input Pin`' class
`static org.eclipse.emf.ecore.EClass` `INSTANCE_SPECIFICATION` The meta object literal for the '`Instance Specification`' class
`static org.eclipse.emf.ecore.EReference` `INSTANCE_SPECIFICATION__CLASSIFIER` The meta object literal for the 'Classifier' reference list feature
`static org.eclipse.emf.ecore.EReference` `INSTANCE_SPECIFICATION__SLOT` The meta object literal for the 'Slot' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `INSTANCE_SPECIFICATION__SPECIFICATION` The meta object literal for the 'Specification' containment reference feature
`static org.eclipse.emf.ecore.EClass` `INSTANCE_VALUE` The meta object literal for the '`Instance Value`' class
`static org.eclipse.emf.ecore.EReference` `INSTANCE_VALUE__INSTANCE` The meta object literal for the 'Instance' reference feature
`static org.eclipse.emf.ecore.EDataType` `INTEGER` The meta object literal for the 'Integer' data type
`static org.eclipse.emf.ecore.EClass` `INTERACTION` The meta object literal for the '`Interaction`' class
`static org.eclipse.emf.ecore.EReference` `INTERACTION__ACTION` The meta object literal for the 'Action' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `INTERACTION__FORMAL_GATE` The meta object literal for the 'Formal Gate' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `INTERACTION__FRAGMENT` The meta object literal for the 'Fragment' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `INTERACTION__LIFELINE` The meta object literal for the 'Lifeline' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `INTERACTION__MESSAGE` The meta object literal for the 'Message' containment reference list feature
`static org.eclipse.emf.ecore.EClass` `INTERACTION_CONSTRAINT` The meta object literal for the '`Interaction Constraint`' class
`static org.eclipse.emf.ecore.EReference` `INTERACTION_CONSTRAINT__MAXINT` The meta object literal for the 'Maxint' containment reference feature
`static org.eclipse.emf.ecore.EReference` `INTERACTION_CONSTRAINT__MININT` The meta object literal for the 'Minint' containment reference feature
`static org.eclipse.emf.ecore.EClass` `INTERACTION_FRAGMENT` The meta object literal for the '`Interaction Fragment`' class
`static org.eclipse.emf.ecore.EReference` `INTERACTION_FRAGMENT__COVERED` The meta object literal for the 'Covered' reference list feature
`static org.eclipse.emf.ecore.EReference` `INTERACTION_FRAGMENT__ENCLOSING_INTERACTION` The meta object literal for the 'Enclosing Interaction' container reference feature
`static org.eclipse.emf.ecore.EReference` `INTERACTION_FRAGMENT__ENCLOSING_OPERAND` The meta object literal for the 'Enclosing Operand' container reference feature
`static org.eclipse.emf.ecore.EReference` `INTERACTION_FRAGMENT__GENERAL_ORDERING` The meta object literal for the 'General Ordering' containment reference list feature
`static org.eclipse.emf.ecore.EClass` `INTERACTION_OPERAND` The meta object literal for the '`Interaction Operand`' class
`static org.eclipse.emf.ecore.EReference` `INTERACTION_OPERAND__FRAGMENT` The meta object literal for the 'Fragment' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `INTERACTION_OPERAND__GUARD` The meta object literal for the 'Guard' containment reference feature
`static org.eclipse.emf.ecore.EEnum` `INTERACTION_OPERATOR_KIND` The meta object literal for the '`Interaction Operator Kind`' enum
`static org.eclipse.emf.ecore.EClass` `INTERACTION_USE` The meta object literal for the '`Interaction Use`' class
`static org.eclipse.emf.ecore.EReference` `INTERACTION_USE__ACTUAL_GATE` The meta object literal for the 'Actual Gate' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `INTERACTION_USE__ARGUMENT` The meta object literal for the 'Argument' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `INTERACTION_USE__REFERS_TO` The meta object literal for the 'Refers To' reference feature
`static org.eclipse.emf.ecore.EClass` `INTERFACE` The meta object literal for the '`Interface`' class
`static org.eclipse.emf.ecore.EReference` `INTERFACE__NESTED_CLASSIFIER` The meta object literal for the 'Nested Classifier' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `INTERFACE__OWNED_ATTRIBUTE` The meta object literal for the 'Owned Attribute' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `INTERFACE__OWNED_OPERATION` The meta object literal for the 'Owned Operation' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `INTERFACE__OWNED_RECEPTION` The meta object literal for the 'Owned Reception' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `INTERFACE__PROTOCOL` The meta object literal for the 'Protocol' containment reference feature
`static org.eclipse.emf.ecore.EReference` `INTERFACE__REDEFINED_INTERFACE` The meta object literal for the 'Redefined Interface' reference list feature
`static org.eclipse.emf.ecore.EClass` `INTERFACE_REALIZATION` The meta object literal for the '`Interface Realization`' class
`static org.eclipse.emf.ecore.EReference` `INTERFACE_REALIZATION__CONTRACT` The meta object literal for the 'Contract' reference feature
`static org.eclipse.emf.ecore.EReference` `INTERFACE_REALIZATION__IMPLEMENTING_CLASSIFIER` The meta object literal for the 'Implementing Classifier' container reference feature
`static org.eclipse.emf.ecore.EClass` `INTERRUPTIBLE_ACTIVITY_REGION` The meta object literal for the '`Interruptible Activity Region`' class
`static org.eclipse.emf.ecore.EReference` `INTERRUPTIBLE_ACTIVITY_REGION__INTERRUPTING_EDGE` The meta object literal for the 'Interrupting Edge' reference list feature
`static org.eclipse.emf.ecore.EReference` `INTERRUPTIBLE_ACTIVITY_REGION__NODE` The meta object literal for the 'Node' reference list feature
`static org.eclipse.emf.ecore.EClass` `INTERVAL` The meta object literal for the '`Interval`' class
`static org.eclipse.emf.ecore.EReference` `INTERVAL__MAX` The meta object literal for the 'Max' reference feature
`static org.eclipse.emf.ecore.EReference` `INTERVAL__MIN` The meta object literal for the 'Min' reference feature
`static org.eclipse.emf.ecore.EClass` `INTERVAL_CONSTRAINT` The meta object literal for the '`Interval Constraint`' class
`static org.eclipse.emf.ecore.EClass` `INVOCATION_ACTION` The meta object literal for the '`Invocation Action`' class
`static org.eclipse.emf.ecore.EReference` `INVOCATION_ACTION__ARGUMENT` The meta object literal for the 'Argument' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `INVOCATION_ACTION__ON_PORT` The meta object literal for the 'On Port' reference feature
`static org.eclipse.emf.ecore.EClass` `JOIN_NODE` The meta object literal for the '`Join Node`' class
`static org.eclipse.emf.ecore.EAttribute` `JOIN_NODE__IS_COMBINE_DUPLICATE` The meta object literal for the 'Is Combine Duplicate' attribute feature
`static org.eclipse.emf.ecore.EReference` `JOIN_NODE__JOIN_SPEC` The meta object literal for the 'Join Spec' containment reference feature
`static org.eclipse.emf.ecore.EClass` `LIFELINE` The meta object literal for the '`Lifeline`' class
`static org.eclipse.emf.ecore.EReference` `LIFELINE__COVERED_BY` The meta object literal for the 'Covered By' reference list feature
`static org.eclipse.emf.ecore.EReference` `LIFELINE__DECOMPOSED_AS` The meta object literal for the 'Decomposed As' reference feature
`static org.eclipse.emf.ecore.EReference` `LIFELINE__INTERACTION` The meta object literal for the 'Interaction' container reference feature
`static org.eclipse.emf.ecore.EReference` `LIFELINE__REPRESENTS` The meta object literal for the 'Represents' reference feature
`static org.eclipse.emf.ecore.EReference` `LIFELINE__SELECTOR` The meta object literal for the 'Selector' containment reference feature
`static org.eclipse.emf.ecore.EClass` `LINK_ACTION` The meta object literal for the '`Link Action`' class
`static org.eclipse.emf.ecore.EReference` `LINK_ACTION__END_DATA` The meta object literal for the 'End Data' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `LINK_ACTION__INPUT_VALUE` The meta object literal for the 'Input Value' containment reference list feature
`static org.eclipse.emf.ecore.EClass` `LINK_END_CREATION_DATA` The meta object literal for the '`Link End Creation Data`' class
`static org.eclipse.emf.ecore.EReference` `LINK_END_CREATION_DATA__INSERT_AT` The meta object literal for the 'Insert At' reference feature
`static org.eclipse.emf.ecore.EAttribute` `LINK_END_CREATION_DATA__IS_REPLACE_ALL` The meta object literal for the 'Is Replace All' attribute feature
`static org.eclipse.emf.ecore.EClass` `LINK_END_DATA` The meta object literal for the '`Link End Data`' class
`static org.eclipse.emf.ecore.EReference` `LINK_END_DATA__END` The meta object literal for the 'End' reference feature
`static org.eclipse.emf.ecore.EReference` `LINK_END_DATA__QUALIFIER` The meta object literal for the 'Qualifier' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `LINK_END_DATA__VALUE` The meta object literal for the 'Value' reference feature
`static org.eclipse.emf.ecore.EClass` `LINK_END_DESTRUCTION_DATA` The meta object literal for the '`Link End Destruction Data`' class
`static org.eclipse.emf.ecore.EReference` `LINK_END_DESTRUCTION_DATA__DESTROY_AT` The meta object literal for the 'Destroy At' reference feature
`static org.eclipse.emf.ecore.EAttribute` `LINK_END_DESTRUCTION_DATA__IS_DESTROY_DUPLICATES` The meta object literal for the 'Is Destroy Duplicates' attribute feature
`static org.eclipse.emf.ecore.EClass` `LITERAL_BOOLEAN` The meta object literal for the '`Literal Boolean`' class
`static org.eclipse.emf.ecore.EAttribute` `LITERAL_BOOLEAN__VALUE` The meta object literal for the 'Value' attribute feature
`static org.eclipse.emf.ecore.EClass` `LITERAL_INTEGER` The meta object literal for the '`Literal Integer`' class
`static org.eclipse.emf.ecore.EAttribute` `LITERAL_INTEGER__VALUE` The meta object literal for the 'Value' attribute feature
`static org.eclipse.emf.ecore.EClass` `LITERAL_NULL` The meta object literal for the '`Literal Null`' class
`static org.eclipse.emf.ecore.EClass` `LITERAL_SPECIFICATION` The meta object literal for the '`Literal Specification`' class
`static org.eclipse.emf.ecore.EClass` `LITERAL_STRING` The meta object literal for the '`Literal String`' class
`static org.eclipse.emf.ecore.EAttribute` `LITERAL_STRING__VALUE` The meta object literal for the 'Value' attribute feature
`static org.eclipse.emf.ecore.EClass` `LITERAL_UNLIMITED_NATURAL` The meta object literal for the '`Literal Unlimited Natural`' class
`static org.eclipse.emf.ecore.EAttribute` `LITERAL_UNLIMITED_NATURAL__VALUE` The meta object literal for the 'Value' attribute feature
`static org.eclipse.emf.ecore.EClass` `LOOP_NODE` The meta object literal for the '`Loop Node`' class
`static org.eclipse.emf.ecore.EReference` `LOOP_NODE__BODY_OUTPUT` The meta object literal for the 'Body Output' reference list feature
`static org.eclipse.emf.ecore.EReference` `LOOP_NODE__BODY_PART` The meta object literal for the 'Body Part' reference list feature
`static org.eclipse.emf.ecore.EReference` `LOOP_NODE__DECIDER` The meta object literal for the 'Decider' reference feature
`static org.eclipse.emf.ecore.EAttribute` `LOOP_NODE__IS_TESTED_FIRST` The meta object literal for the 'Is Tested First' attribute feature
`static org.eclipse.emf.ecore.EReference` `LOOP_NODE__LOOP_VARIABLE` The meta object literal for the 'Loop Variable' reference list feature
`static org.eclipse.emf.ecore.EReference` `LOOP_NODE__LOOP_VARIABLE_INPUT` The meta object literal for the 'Loop Variable Input' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `LOOP_NODE__RESULT` The meta object literal for the 'Result' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `LOOP_NODE__SETUP_PART` The meta object literal for the 'Setup Part' reference list feature
`static org.eclipse.emf.ecore.EReference` `LOOP_NODE__TEST` The meta object literal for the 'Test' reference list feature
`static org.eclipse.emf.ecore.EClass` `MANIFESTATION` The meta object literal for the '`Manifestation`' class
`static org.eclipse.emf.ecore.EReference` `MANIFESTATION__UTILIZED_ELEMENT` The meta object literal for the 'Utilized Element' reference feature
`static org.eclipse.emf.ecore.EClass` `MERGE_NODE` The meta object literal for the '`Merge Node`' class
`static org.eclipse.emf.ecore.EClass` `MESSAGE` The meta object literal for the '`Message`' class
`static org.eclipse.emf.ecore.EReference` `MESSAGE__ARGUMENT` The meta object literal for the 'Argument' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `MESSAGE__CONNECTOR` The meta object literal for the 'Connector' reference feature
`static org.eclipse.emf.ecore.EReference` `MESSAGE__INTERACTION` The meta object literal for the 'Interaction' container reference feature
`static org.eclipse.emf.ecore.EAttribute` `MESSAGE__MESSAGE_KIND` The meta object literal for the 'Message Kind' attribute feature
`static org.eclipse.emf.ecore.EAttribute` `MESSAGE__MESSAGE_SORT` The meta object literal for the 'Message Sort' attribute feature
`static org.eclipse.emf.ecore.EReference` `MESSAGE__RECEIVE_EVENT` The meta object literal for the 'Receive Event' reference feature
`static org.eclipse.emf.ecore.EReference` `MESSAGE__SEND_EVENT` The meta object literal for the 'Send Event' reference feature
`static org.eclipse.emf.ecore.EReference` `MESSAGE__SIGNATURE` The meta object literal for the 'Signature' reference feature
`static org.eclipse.emf.ecore.EClass` `MESSAGE_END` The meta object literal for the '`Message End`' class
`static org.eclipse.emf.ecore.EReference` `MESSAGE_END__MESSAGE` The meta object literal for the 'Message' reference feature
`static org.eclipse.emf.ecore.EClass` `MESSAGE_EVENT` The meta object literal for the '`Message Event`' class
`static org.eclipse.emf.ecore.EEnum` `MESSAGE_KIND` The meta object literal for the '`Message Kind`' enum
`static org.eclipse.emf.ecore.EClass` `MESSAGE_OCCURRENCE_SPECIFICATION` The meta object literal for the '`Message Occurrence Specification`' class
`static org.eclipse.emf.ecore.EEnum` `MESSAGE_SORT` The meta object literal for the '`Message Sort`' enum
`static org.eclipse.emf.ecore.EClass` `MODEL` The meta object literal for the '`Model`' class
`static org.eclipse.emf.ecore.EAttribute` `MODEL__VIEWPOINT` The meta object literal for the 'Viewpoint' attribute feature
`static org.eclipse.emf.ecore.EClass` `MULTIPLICITY_ELEMENT` The meta object literal for the '`Multiplicity Element`' class
`static org.eclipse.emf.ecore.EAttribute` `MULTIPLICITY_ELEMENT__IS_ORDERED` The meta object literal for the 'Is Ordered' attribute feature
`static org.eclipse.emf.ecore.EAttribute` `MULTIPLICITY_ELEMENT__IS_UNIQUE` The meta object literal for the 'Is Unique' attribute feature
`static org.eclipse.emf.ecore.EAttribute` `MULTIPLICITY_ELEMENT__LOWER` The meta object literal for the 'Lower' attribute feature
`static org.eclipse.emf.ecore.EReference` `MULTIPLICITY_ELEMENT__LOWER_VALUE` The meta object literal for the 'Lower Value' containment reference feature
`static org.eclipse.emf.ecore.EAttribute` `MULTIPLICITY_ELEMENT__UPPER` The meta object literal for the 'Upper' attribute feature
`static org.eclipse.emf.ecore.EReference` `MULTIPLICITY_ELEMENT__UPPER_VALUE` The meta object literal for the 'Upper Value' containment reference feature
`static org.eclipse.emf.ecore.EClass` `NAMED_ELEMENT` The meta object literal for the '`Named Element`' class
`static org.eclipse.emf.ecore.EReference` `NAMED_ELEMENT__CLIENT_DEPENDENCY` The meta object literal for the 'Client Dependency' reference list feature
`static org.eclipse.emf.ecore.EAttribute` `NAMED_ELEMENT__NAME` The meta object literal for the 'Name' attribute feature
`static org.eclipse.emf.ecore.EReference` `NAMED_ELEMENT__NAME_EXPRESSION` The meta object literal for the 'Name Expression' containment reference feature
`static org.eclipse.emf.ecore.EReference` `NAMED_ELEMENT__NAMESPACE` The meta object literal for the 'Namespace' reference feature
`static org.eclipse.emf.ecore.EAttribute` `NAMED_ELEMENT__QUALIFIED_NAME` The meta object literal for the 'Qualified Name' attribute feature
`static org.eclipse.emf.ecore.EAttribute` `NAMED_ELEMENT__VISIBILITY` The meta object literal for the 'Visibility' attribute feature
`static org.eclipse.emf.ecore.EClass` `NAMESPACE` The meta object literal for the '`Namespace`' class
`static org.eclipse.emf.ecore.EReference` `NAMESPACE__ELEMENT_IMPORT` The meta object literal for the 'Element Import' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `NAMESPACE__IMPORTED_MEMBER` The meta object literal for the 'Imported Member' reference list feature
`static org.eclipse.emf.ecore.EReference` `NAMESPACE__MEMBER` The meta object literal for the 'Member' reference list feature
`static org.eclipse.emf.ecore.EReference` `NAMESPACE__OWNED_MEMBER` The meta object literal for the 'Owned Member' reference list feature
`static org.eclipse.emf.ecore.EReference` `NAMESPACE__OWNED_RULE` The meta object literal for the 'Owned Rule' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `NAMESPACE__PACKAGE_IMPORT` The meta object literal for the 'Package Import' containment reference list feature
`static org.eclipse.emf.ecore.EClass` `NODE` The meta object literal for the '`Node`' class
`static org.eclipse.emf.ecore.EReference` `NODE__NESTED_NODE` The meta object literal for the 'Nested Node' containment reference list feature
`static org.eclipse.emf.ecore.EClass` `OBJECT_FLOW` The meta object literal for the '`Object Flow`' class
`static org.eclipse.emf.ecore.EAttribute` `OBJECT_FLOW__IS_MULTICAST` The meta object literal for the 'Is Multicast' attribute feature
`static org.eclipse.emf.ecore.EAttribute` `OBJECT_FLOW__IS_MULTIRECEIVE` The meta object literal for the 'Is Multireceive' attribute feature
`static org.eclipse.emf.ecore.EReference` `OBJECT_FLOW__SELECTION` The meta object literal for the 'Selection' reference feature
`static org.eclipse.emf.ecore.EReference` `OBJECT_FLOW__TRANSFORMATION` The meta object literal for the 'Transformation' reference feature
`static org.eclipse.emf.ecore.EClass` `OBJECT_NODE` The meta object literal for the '`Object Node`' class
`static org.eclipse.emf.ecore.EReference` `OBJECT_NODE__IN_STATE` The meta object literal for the 'In State' reference list feature
`static org.eclipse.emf.ecore.EAttribute` `OBJECT_NODE__IS_CONTROL_TYPE` The meta object literal for the 'Is Control Type' attribute feature
`static org.eclipse.emf.ecore.EAttribute` `OBJECT_NODE__ORDERING` The meta object literal for the 'Ordering' attribute feature
`static org.eclipse.emf.ecore.EReference` `OBJECT_NODE__SELECTION` The meta object literal for the 'Selection' reference feature
`static org.eclipse.emf.ecore.EReference` `OBJECT_NODE__UPPER_BOUND` The meta object literal for the 'Upper Bound' containment reference feature
`static org.eclipse.emf.ecore.EEnum` `OBJECT_NODE_ORDERING_KIND` The meta object literal for the '`Object Node Ordering Kind`' enum
`static org.eclipse.emf.ecore.EClass` `OBSERVATION` The meta object literal for the '`Observation`' class
`static org.eclipse.emf.ecore.EClass` `OCCURRENCE_SPECIFICATION` The meta object literal for the '`Occurrence Specification`' class
`static org.eclipse.emf.ecore.EReference` `OCCURRENCE_SPECIFICATION__EVENT` The meta object literal for the 'Event' reference feature
`static org.eclipse.emf.ecore.EReference` `OCCURRENCE_SPECIFICATION__TO_AFTER` The meta object literal for the 'To After' reference list feature
`static org.eclipse.emf.ecore.EReference` `OCCURRENCE_SPECIFICATION__TO_BEFORE` The meta object literal for the 'To Before' reference list feature
`static org.eclipse.emf.ecore.EClass` `OPAQUE_ACTION` The meta object literal for the '`Opaque Action`' class
`static org.eclipse.emf.ecore.EAttribute` `OPAQUE_ACTION__BODY` The meta object literal for the 'Body' attribute list feature
`static org.eclipse.emf.ecore.EReference` `OPAQUE_ACTION__INPUT_VALUE` The meta object literal for the 'Input Value' containment reference list feature
`static org.eclipse.emf.ecore.EAttribute` `OPAQUE_ACTION__LANGUAGE` The meta object literal for the 'Language' attribute list feature
`static org.eclipse.emf.ecore.EReference` `OPAQUE_ACTION__OUTPUT_VALUE` The meta object literal for the 'Output Value' containment reference list feature
`static org.eclipse.emf.ecore.EClass` `OPAQUE_BEHAVIOR` The meta object literal for the '`Opaque Behavior`' class
`static org.eclipse.emf.ecore.EAttribute` `OPAQUE_BEHAVIOR__BODY` The meta object literal for the 'Body' attribute list feature
`static org.eclipse.emf.ecore.EAttribute` `OPAQUE_BEHAVIOR__LANGUAGE` The meta object literal for the 'Language' attribute list feature
`static org.eclipse.emf.ecore.EClass` `OPAQUE_EXPRESSION` The meta object literal for the '`Opaque Expression`' class
`static org.eclipse.emf.ecore.EReference` `OPAQUE_EXPRESSION__BEHAVIOR` The meta object literal for the 'Behavior' reference feature
`static org.eclipse.emf.ecore.EAttribute` `OPAQUE_EXPRESSION__BODY` The meta object literal for the 'Body' attribute list feature
`static org.eclipse.emf.ecore.EAttribute` `OPAQUE_EXPRESSION__LANGUAGE` The meta object literal for the 'Language' attribute list feature
`static org.eclipse.emf.ecore.EReference` `OPAQUE_EXPRESSION__RESULT` The meta object literal for the 'Result' reference feature
`static org.eclipse.emf.ecore.EClass` `OPERATION` The meta object literal for the '`Operation`' class
`static org.eclipse.emf.ecore.EReference` `OPERATION__BODY_CONDITION` The meta object literal for the 'Body Condition' reference feature
`static org.eclipse.emf.ecore.EReference` `OPERATION__CLASS` The meta object literal for the 'Class' container reference feature
`static org.eclipse.emf.ecore.EReference` `OPERATION__DATATYPE` The meta object literal for the 'Datatype' container reference feature
`static org.eclipse.emf.ecore.EReference` `OPERATION__INTERFACE` The meta object literal for the 'Interface' container reference feature
`static org.eclipse.emf.ecore.EAttribute` `OPERATION__IS_ORDERED` The meta object literal for the 'Is Ordered' attribute feature
`static org.eclipse.emf.ecore.EAttribute` `OPERATION__IS_QUERY` The meta object literal for the 'Is Query' attribute feature
`static org.eclipse.emf.ecore.EAttribute` `OPERATION__IS_UNIQUE` The meta object literal for the 'Is Unique' attribute feature
`static org.eclipse.emf.ecore.EAttribute` `OPERATION__LOWER` The meta object literal for the 'Lower' attribute feature
`static org.eclipse.emf.ecore.EReference` `OPERATION__POSTCONDITION` The meta object literal for the 'Postcondition' reference list feature
`static org.eclipse.emf.ecore.EReference` `OPERATION__PRECONDITION` The meta object literal for the 'Precondition' reference list feature
`static org.eclipse.emf.ecore.EReference` `OPERATION__REDEFINED_OPERATION` The meta object literal for the 'Redefined Operation' reference list feature
`static org.eclipse.emf.ecore.EReference` `OPERATION__TYPE` The meta object literal for the 'Type' reference feature
`static org.eclipse.emf.ecore.EAttribute` `OPERATION__UPPER` The meta object literal for the 'Upper' attribute feature
`static org.eclipse.emf.ecore.EClass` `OPERATION_TEMPLATE_PARAMETER` The meta object literal for the '`Operation Template Parameter`' class
`static org.eclipse.emf.ecore.EClass` `OUTPUT_PIN` The meta object literal for the '`Output Pin`' class
`static org.eclipse.emf.ecore.EClass` `PACKAGE` The meta object literal for the '`Package`' class
`static org.eclipse.emf.ecore.EReference` `PACKAGE__NESTED_PACKAGE` The meta object literal for the 'Nested Package' reference list feature
`static org.eclipse.emf.ecore.EReference` `PACKAGE__NESTING_PACKAGE` The meta object literal for the 'Nesting Package' reference feature
`static org.eclipse.emf.ecore.EReference` `PACKAGE__OWNED_TYPE` The meta object literal for the 'Owned Type' reference list feature
`static org.eclipse.emf.ecore.EReference` `PACKAGE__PACKAGE_MERGE` The meta object literal for the 'Package Merge' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `PACKAGE__PACKAGED_ELEMENT` The meta object literal for the 'Packaged Element' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `PACKAGE__PROFILE_APPLICATION` The meta object literal for the 'Profile Application' containment reference list feature
`static org.eclipse.emf.ecore.EClass` `PACKAGE_IMPORT` The meta object literal for the '`Package Import`' class
`static org.eclipse.emf.ecore.EReference` `PACKAGE_IMPORT__IMPORTED_PACKAGE` The meta object literal for the 'Imported Package' reference feature
`static org.eclipse.emf.ecore.EReference` `PACKAGE_IMPORT__IMPORTING_NAMESPACE` The meta object literal for the 'Importing Namespace' container reference feature
`static org.eclipse.emf.ecore.EAttribute` `PACKAGE_IMPORT__VISIBILITY` The meta object literal for the 'Visibility' attribute feature
`static org.eclipse.emf.ecore.EClass` `PACKAGE_MERGE` The meta object literal for the '`Package Merge`' class
`static org.eclipse.emf.ecore.EReference` `PACKAGE_MERGE__MERGED_PACKAGE` The meta object literal for the 'Merged Package' reference feature
`static org.eclipse.emf.ecore.EReference` `PACKAGE_MERGE__RECEIVING_PACKAGE` The meta object literal for the 'Receiving Package' container reference feature
`static org.eclipse.emf.ecore.EClass` `PACKAGEABLE_ELEMENT` The meta object literal for the '`Packageable Element`' class
`static org.eclipse.emf.ecore.EClass` `PARAMETER` The meta object literal for the '`Parameter`' class
`static org.eclipse.emf.ecore.EAttribute` `PARAMETER__DEFAULT` The meta object literal for the 'Default' attribute feature
`static org.eclipse.emf.ecore.EReference` `PARAMETER__DEFAULT_VALUE` The meta object literal for the 'Default Value' containment reference feature
`static org.eclipse.emf.ecore.EAttribute` `PARAMETER__DIRECTION` The meta object literal for the 'Direction' attribute feature
`static org.eclipse.emf.ecore.EAttribute` `PARAMETER__EFFECT` The meta object literal for the 'Effect' attribute feature
`static org.eclipse.emf.ecore.EAttribute` `PARAMETER__IS_EXCEPTION` The meta object literal for the 'Is Exception' attribute feature
`static org.eclipse.emf.ecore.EAttribute` `PARAMETER__IS_STREAM` The meta object literal for the 'Is Stream' attribute feature
`static org.eclipse.emf.ecore.EReference` `PARAMETER__OPERATION` The meta object literal for the 'Operation' reference feature
`static org.eclipse.emf.ecore.EReference` `PARAMETER__PARAMETER_SET` The meta object literal for the 'Parameter Set' reference list feature
`static org.eclipse.emf.ecore.EEnum` `PARAMETER_DIRECTION_KIND` The meta object literal for the '`Parameter Direction Kind`' enum
`static org.eclipse.emf.ecore.EEnum` `PARAMETER_EFFECT_KIND` The meta object literal for the '`Parameter Effect Kind`' enum
`static org.eclipse.emf.ecore.EClass` `PARAMETER_SET` The meta object literal for the '`Parameter Set`' class
`static org.eclipse.emf.ecore.EReference` `PARAMETER_SET__CONDITION` The meta object literal for the 'Condition' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `PARAMETER_SET__PARAMETER` The meta object literal for the 'Parameter' reference list feature
`static org.eclipse.emf.ecore.EClass` `PARAMETERABLE_ELEMENT` The meta object literal for the '`Parameterable Element`' class
`static org.eclipse.emf.ecore.EReference` `PARAMETERABLE_ELEMENT__OWNING_TEMPLATE_PARAMETER` The meta object literal for the 'Owning Template Parameter' container reference feature
`static org.eclipse.emf.ecore.EReference` `PARAMETERABLE_ELEMENT__TEMPLATE_PARAMETER` The meta object literal for the 'Template Parameter' reference feature
`static org.eclipse.emf.ecore.EClass` `PART_DECOMPOSITION` The meta object literal for the '`Part Decomposition`' class
`static org.eclipse.emf.ecore.EClass` `PIN` The meta object literal for the '`Pin`' class
`static org.eclipse.emf.ecore.EAttribute` `PIN__IS_CONTROL` The meta object literal for the 'Is Control' attribute feature
`static org.eclipse.emf.ecore.EClass` `PORT` The meta object literal for the '`Port`' class
`static org.eclipse.emf.ecore.EAttribute` `PORT__IS_BEHAVIOR` The meta object literal for the 'Is Behavior' attribute feature
`static org.eclipse.emf.ecore.EAttribute` `PORT__IS_SERVICE` The meta object literal for the 'Is Service' attribute feature
`static org.eclipse.emf.ecore.EReference` `PORT__PROTOCOL` The meta object literal for the 'Protocol' reference feature
`static org.eclipse.emf.ecore.EReference` `PORT__PROVIDED` The meta object literal for the 'Provided' reference list feature
`static org.eclipse.emf.ecore.EReference` `PORT__REDEFINED_PORT` The meta object literal for the 'Redefined Port' reference list feature
`static org.eclipse.emf.ecore.EReference` `PORT__REQUIRED` The meta object literal for the 'Required' reference list feature
`static org.eclipse.emf.ecore.EClass` `PRIMITIVE_TYPE` The meta object literal for the '`Primitive Type`' class
`static org.eclipse.emf.ecore.EClass` `PROFILE` The meta object literal for the '`Profile`' class
`static org.eclipse.emf.ecore.EReference` `PROFILE__METACLASS_REFERENCE` The meta object literal for the 'Metaclass Reference' reference list feature
`static org.eclipse.emf.ecore.EReference` `PROFILE__METAMODEL_REFERENCE` The meta object literal for the 'Metamodel Reference' reference list feature
`static org.eclipse.emf.ecore.EReference` `PROFILE__OWNED_STEREOTYPE` The meta object literal for the 'Owned Stereotype' reference list feature
`static org.eclipse.emf.ecore.EClass` `PROFILE_APPLICATION` The meta object literal for the '`Profile Application`' class
`static org.eclipse.emf.ecore.EReference` `PROFILE_APPLICATION__APPLIED_PROFILE` The meta object literal for the 'Applied Profile' reference feature
`static org.eclipse.emf.ecore.EReference` `PROFILE_APPLICATION__APPLYING_PACKAGE` The meta object literal for the 'Applying Package' container reference feature
`static org.eclipse.emf.ecore.EAttribute` `PROFILE_APPLICATION__IS_STRICT` The meta object literal for the 'Is Strict' attribute feature
`static org.eclipse.emf.ecore.EClass` `PROPERTY` The meta object literal for the '`Property`' class
`static org.eclipse.emf.ecore.EAttribute` `PROPERTY__AGGREGATION` The meta object literal for the 'Aggregation' attribute feature
`static org.eclipse.emf.ecore.EReference` `PROPERTY__ASSOCIATION` The meta object literal for the 'Association' reference feature
`static org.eclipse.emf.ecore.EReference` `PROPERTY__ASSOCIATION_END` The meta object literal for the 'Association End' container reference feature
`static org.eclipse.emf.ecore.EReference` `PROPERTY__CLASS` The meta object literal for the 'Class' reference feature
`static org.eclipse.emf.ecore.EReference` `PROPERTY__DATATYPE` The meta object literal for the 'Datatype' container reference feature
`static org.eclipse.emf.ecore.EAttribute` `PROPERTY__DEFAULT` The meta object literal for the 'Default' attribute feature
`static org.eclipse.emf.ecore.EReference` `PROPERTY__DEFAULT_VALUE` The meta object literal for the 'Default Value' containment reference feature
`static org.eclipse.emf.ecore.EAttribute` `PROPERTY__IS_COMPOSITE` The meta object literal for the 'Is Composite' attribute feature
`static org.eclipse.emf.ecore.EAttribute` `PROPERTY__IS_DERIVED` The meta object literal for the 'Is Derived' attribute feature
`static org.eclipse.emf.ecore.EAttribute` `PROPERTY__IS_DERIVED_UNION` The meta object literal for the 'Is Derived Union' attribute feature
`static org.eclipse.emf.ecore.EReference` `PROPERTY__OPPOSITE` The meta object literal for the 'Opposite' reference feature
`static org.eclipse.emf.ecore.EReference` `PROPERTY__OWNING_ASSOCIATION` The meta object literal for the 'Owning Association' container reference feature
`static org.eclipse.emf.ecore.EReference` `PROPERTY__QUALIFIER` The meta object literal for the 'Qualifier' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `PROPERTY__REDEFINED_PROPERTY` The meta object literal for the 'Redefined Property' reference list feature
`static org.eclipse.emf.ecore.EReference` `PROPERTY__SUBSETTED_PROPERTY` The meta object literal for the 'Subsetted Property' reference list feature
`static org.eclipse.emf.ecore.EClass` `PROTOCOL_CONFORMANCE` The meta object literal for the '`Protocol Conformance`' class
`static org.eclipse.emf.ecore.EReference` `PROTOCOL_CONFORMANCE__GENERAL_MACHINE` The meta object literal for the 'General Machine' reference feature
`static org.eclipse.emf.ecore.EReference` `PROTOCOL_CONFORMANCE__SPECIFIC_MACHINE` The meta object literal for the 'Specific Machine' container reference feature
`static org.eclipse.emf.ecore.EClass` `PROTOCOL_STATE_MACHINE` The meta object literal for the '`Protocol State Machine`' class
`static org.eclipse.emf.ecore.EReference` `PROTOCOL_STATE_MACHINE__CONFORMANCE` The meta object literal for the 'Conformance' containment reference list feature
`static org.eclipse.emf.ecore.EClass` `PROTOCOL_TRANSITION` The meta object literal for the '`Protocol Transition`' class
`static org.eclipse.emf.ecore.EReference` `PROTOCOL_TRANSITION__POST_CONDITION` The meta object literal for the 'Post Condition' reference feature
`static org.eclipse.emf.ecore.EReference` `PROTOCOL_TRANSITION__PRE_CONDITION` The meta object literal for the 'Pre Condition' reference feature
`static org.eclipse.emf.ecore.EReference` `PROTOCOL_TRANSITION__REFERRED` The meta object literal for the 'Referred' reference list feature
`static org.eclipse.emf.ecore.EClass` `PSEUDOSTATE` The meta object literal for the '`Pseudostate`' class
`static org.eclipse.emf.ecore.EAttribute` `PSEUDOSTATE__KIND` The meta object literal for the 'Kind' attribute feature
`static org.eclipse.emf.ecore.EReference` `PSEUDOSTATE__STATE` The meta object literal for the 'State' container reference feature
`static org.eclipse.emf.ecore.EReference` `PSEUDOSTATE__STATE_MACHINE` The meta object literal for the 'State Machine' container reference feature
`static org.eclipse.emf.ecore.EEnum` `PSEUDOSTATE_KIND` The meta object literal for the '`Pseudostate Kind`' enum
`static org.eclipse.emf.ecore.EClass` `QUALIFIER_VALUE` The meta object literal for the '`Qualifier Value`' class
`static org.eclipse.emf.ecore.EReference` `QUALIFIER_VALUE__QUALIFIER` The meta object literal for the 'Qualifier' reference feature
`static org.eclipse.emf.ecore.EReference` `QUALIFIER_VALUE__VALUE` The meta object literal for the 'Value' reference feature
`static org.eclipse.emf.ecore.EClass` `RAISE_EXCEPTION_ACTION` The meta object literal for the '`Raise Exception Action`' class
`static org.eclipse.emf.ecore.EReference` `RAISE_EXCEPTION_ACTION__EXCEPTION` The meta object literal for the 'Exception' containment reference feature
`static org.eclipse.emf.ecore.EClass` `READ_EXTENT_ACTION` The meta object literal for the '`Read Extent Action`' class
`static org.eclipse.emf.ecore.EReference` `READ_EXTENT_ACTION__CLASSIFIER` The meta object literal for the 'Classifier' reference feature
`static org.eclipse.emf.ecore.EReference` `READ_EXTENT_ACTION__RESULT` The meta object literal for the 'Result' containment reference feature
`static org.eclipse.emf.ecore.EClass` `READ_IS_CLASSIFIED_OBJECT_ACTION` The meta object literal for the '`Read Is Classified Object Action`' class
`static org.eclipse.emf.ecore.EReference` `READ_IS_CLASSIFIED_OBJECT_ACTION__CLASSIFIER` The meta object literal for the 'Classifier' reference feature
`static org.eclipse.emf.ecore.EAttribute` `READ_IS_CLASSIFIED_OBJECT_ACTION__IS_DIRECT` The meta object literal for the 'Is Direct' attribute feature
`static org.eclipse.emf.ecore.EReference` `READ_IS_CLASSIFIED_OBJECT_ACTION__OBJECT` The meta object literal for the 'Object' containment reference feature
`static org.eclipse.emf.ecore.EReference` `READ_IS_CLASSIFIED_OBJECT_ACTION__RESULT` The meta object literal for the 'Result' containment reference feature
`static org.eclipse.emf.ecore.EClass` `READ_LINK_ACTION` The meta object literal for the '`Read Link Action`' class
`static org.eclipse.emf.ecore.EReference` `READ_LINK_ACTION__RESULT` The meta object literal for the 'Result' containment reference feature
`static org.eclipse.emf.ecore.EClass` `READ_LINK_OBJECT_END_ACTION` The meta object literal for the '`Read Link Object End Action`' class
`static org.eclipse.emf.ecore.EReference` `READ_LINK_OBJECT_END_ACTION__END` The meta object literal for the 'End' reference feature
`static org.eclipse.emf.ecore.EReference` `READ_LINK_OBJECT_END_ACTION__OBJECT` The meta object literal for the 'Object' containment reference feature
`static org.eclipse.emf.ecore.EReference` `READ_LINK_OBJECT_END_ACTION__RESULT` The meta object literal for the 'Result' containment reference feature
`static org.eclipse.emf.ecore.EClass` `READ_LINK_OBJECT_END_QUALIFIER_ACTION` The meta object literal for the '`Read Link Object End Qualifier Action`' class
`static org.eclipse.emf.ecore.EReference` `READ_LINK_OBJECT_END_QUALIFIER_ACTION__OBJECT` The meta object literal for the 'Object' containment reference feature
`static org.eclipse.emf.ecore.EReference` `READ_LINK_OBJECT_END_QUALIFIER_ACTION__QUALIFIER` The meta object literal for the 'Qualifier' reference feature
`static org.eclipse.emf.ecore.EReference` `READ_LINK_OBJECT_END_QUALIFIER_ACTION__RESULT` The meta object literal for the 'Result' containment reference feature
`static org.eclipse.emf.ecore.EClass` `READ_SELF_ACTION` The meta object literal for the '`Read Self Action`' class
`static org.eclipse.emf.ecore.EReference` `READ_SELF_ACTION__RESULT` The meta object literal for the 'Result' containment reference feature
`static org.eclipse.emf.ecore.EClass` `READ_STRUCTURAL_FEATURE_ACTION` The meta object literal for the '`Read Structural Feature Action`' class
`static org.eclipse.emf.ecore.EReference` `READ_STRUCTURAL_FEATURE_ACTION__RESULT` The meta object literal for the 'Result' containment reference feature
`static org.eclipse.emf.ecore.EClass` `READ_VARIABLE_ACTION` The meta object literal for the '`Read Variable Action`' class
`static org.eclipse.emf.ecore.EReference` `READ_VARIABLE_ACTION__RESULT` The meta object literal for the 'Result' containment reference feature
`static org.eclipse.emf.ecore.EClass` `REALIZATION` The meta object literal for the '`Realization`' class
`static org.eclipse.emf.ecore.EClass` `RECEIVE_OPERATION_EVENT` The meta object literal for the '`Receive Operation Event`' class
`static org.eclipse.emf.ecore.EReference` `RECEIVE_OPERATION_EVENT__OPERATION` The meta object literal for the 'Operation' reference feature
`static org.eclipse.emf.ecore.EClass` `RECEIVE_SIGNAL_EVENT` The meta object literal for the '`Receive Signal Event`' class
`static org.eclipse.emf.ecore.EReference` `RECEIVE_SIGNAL_EVENT__SIGNAL` The meta object literal for the 'Signal' reference feature
`static org.eclipse.emf.ecore.EClass` `RECEPTION` The meta object literal for the '`Reception`' class
`static org.eclipse.emf.ecore.EReference` `RECEPTION__SIGNAL` The meta object literal for the 'Signal' reference feature
`static org.eclipse.emf.ecore.EClass` `RECLASSIFY_OBJECT_ACTION` The meta object literal for the '`Reclassify Object Action`' class
`static org.eclipse.emf.ecore.EAttribute` `RECLASSIFY_OBJECT_ACTION__IS_REPLACE_ALL` The meta object literal for the 'Is Replace All' attribute feature
`static org.eclipse.emf.ecore.EReference` `RECLASSIFY_OBJECT_ACTION__NEW_CLASSIFIER` The meta object literal for the 'New Classifier' reference list feature
`static org.eclipse.emf.ecore.EReference` `RECLASSIFY_OBJECT_ACTION__OBJECT` The meta object literal for the 'Object' containment reference feature
`static org.eclipse.emf.ecore.EReference` `RECLASSIFY_OBJECT_ACTION__OLD_CLASSIFIER` The meta object literal for the 'Old Classifier' reference list feature
`static org.eclipse.emf.ecore.EClass` `REDEFINABLE_ELEMENT` The meta object literal for the '`Redefinable Element`' class
`static org.eclipse.emf.ecore.EAttribute` `REDEFINABLE_ELEMENT__IS_LEAF` The meta object literal for the 'Is Leaf' attribute feature
`static org.eclipse.emf.ecore.EReference` `REDEFINABLE_ELEMENT__REDEFINED_ELEMENT` The meta object literal for the 'Redefined Element' reference list feature
`static org.eclipse.emf.ecore.EReference` `REDEFINABLE_ELEMENT__REDEFINITION_CONTEXT` The meta object literal for the 'Redefinition Context' reference list feature
`static org.eclipse.emf.ecore.EClass` `REDEFINABLE_TEMPLATE_SIGNATURE` The meta object literal for the '`Redefinable Template Signature`' class
`static org.eclipse.emf.ecore.EReference` `REDEFINABLE_TEMPLATE_SIGNATURE__CLASSIFIER` The meta object literal for the 'Classifier' reference feature
`static org.eclipse.emf.ecore.EReference` `REDEFINABLE_TEMPLATE_SIGNATURE__EXTENDED_SIGNATURE` The meta object literal for the 'Extended Signature' reference list feature
`static org.eclipse.emf.ecore.EReference` `REDEFINABLE_TEMPLATE_SIGNATURE__INHERITED_PARAMETER` The meta object literal for the 'Inherited Parameter' reference list feature
`static org.eclipse.emf.ecore.EClass` `REDUCE_ACTION` The meta object literal for the '`Reduce Action`' class
`static org.eclipse.emf.ecore.EReference` `REDUCE_ACTION__COLLECTION` The meta object literal for the 'Collection' containment reference feature
`static org.eclipse.emf.ecore.EAttribute` `REDUCE_ACTION__IS_ORDERED` The meta object literal for the 'Is Ordered' attribute feature
`static org.eclipse.emf.ecore.EReference` `REDUCE_ACTION__REDUCER` The meta object literal for the 'Reducer' reference feature
`static org.eclipse.emf.ecore.EReference` `REDUCE_ACTION__RESULT` The meta object literal for the 'Result' containment reference feature
`static org.eclipse.emf.ecore.EClass` `REGION` The meta object literal for the '`Region`' class
`static org.eclipse.emf.ecore.EReference` `REGION__EXTENDED_REGION` The meta object literal for the 'Extended Region' reference feature
`static org.eclipse.emf.ecore.EReference` `REGION__STATE` The meta object literal for the 'State' container reference feature
`static org.eclipse.emf.ecore.EReference` `REGION__STATE_MACHINE` The meta object literal for the 'State Machine' container reference feature
`static org.eclipse.emf.ecore.EReference` `REGION__SUBVERTEX` The meta object literal for the 'Subvertex' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `REGION__TRANSITION` The meta object literal for the 'Transition' containment reference list feature
`static org.eclipse.emf.ecore.EClass` `RELATIONSHIP` The meta object literal for the '`Relationship`' class
`static org.eclipse.emf.ecore.EReference` `RELATIONSHIP__RELATED_ELEMENT` The meta object literal for the 'Related Element' reference list feature
`static org.eclipse.emf.ecore.EClass` `REMOVE_STRUCTURAL_FEATURE_VALUE_ACTION` The meta object literal for the '`Remove Structural Feature Value Action`' class
`static org.eclipse.emf.ecore.EAttribute` `REMOVE_STRUCTURAL_FEATURE_VALUE_ACTION__IS_REMOVE_DUPLICATES` The meta object literal for the 'Is Remove Duplicates' attribute feature
`static org.eclipse.emf.ecore.EReference` `REMOVE_STRUCTURAL_FEATURE_VALUE_ACTION__REMOVE_AT` The meta object literal for the 'Remove At' containment reference feature
`static org.eclipse.emf.ecore.EClass` `REMOVE_VARIABLE_VALUE_ACTION` The meta object literal for the '`Remove Variable Value Action`' class
`static org.eclipse.emf.ecore.EAttribute` `REMOVE_VARIABLE_VALUE_ACTION__IS_REMOVE_DUPLICATES` The meta object literal for the 'Is Remove Duplicates' attribute feature
`static org.eclipse.emf.ecore.EReference` `REMOVE_VARIABLE_VALUE_ACTION__REMOVE_AT` The meta object literal for the 'Remove At' containment reference feature
`static org.eclipse.emf.ecore.EClass` `REPLY_ACTION` The meta object literal for the '`Reply Action`' class
`static org.eclipse.emf.ecore.EReference` `REPLY_ACTION__REPLY_TO_CALL` The meta object literal for the 'Reply To Call' reference feature
`static org.eclipse.emf.ecore.EReference` `REPLY_ACTION__REPLY_VALUE` The meta object literal for the 'Reply Value' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `REPLY_ACTION__RETURN_INFORMATION` The meta object literal for the 'Return Information' containment reference feature
`static org.eclipse.emf.ecore.EClass` `SEND_OBJECT_ACTION` The meta object literal for the '`Send Object Action`' class
`static org.eclipse.emf.ecore.EReference` `SEND_OBJECT_ACTION__REQUEST` The meta object literal for the 'Request' containment reference feature
`static org.eclipse.emf.ecore.EReference` `SEND_OBJECT_ACTION__TARGET` The meta object literal for the 'Target' containment reference feature
`static org.eclipse.emf.ecore.EClass` `SEND_OPERATION_EVENT` The meta object literal for the '`Send Operation Event`' class
`static org.eclipse.emf.ecore.EReference` `SEND_OPERATION_EVENT__OPERATION` The meta object literal for the 'Operation' reference feature
`static org.eclipse.emf.ecore.EClass` `SEND_SIGNAL_ACTION` The meta object literal for the '`Send Signal Action`' class
`static org.eclipse.emf.ecore.EReference` `SEND_SIGNAL_ACTION__SIGNAL` The meta object literal for the 'Signal' reference feature
`static org.eclipse.emf.ecore.EReference` `SEND_SIGNAL_ACTION__TARGET` The meta object literal for the 'Target' containment reference feature
`static org.eclipse.emf.ecore.EClass` `SEND_SIGNAL_EVENT` The meta object literal for the '`Send Signal Event`' class
`static org.eclipse.emf.ecore.EReference` `SEND_SIGNAL_EVENT__SIGNAL` The meta object literal for the 'Signal' reference feature
`static org.eclipse.emf.ecore.EClass` `SEQUENCE_NODE` The meta object literal for the '`Sequence Node`' class
`static org.eclipse.emf.ecore.EReference` `SEQUENCE_NODE__EXECUTABLE_NODE` The meta object literal for the 'Executable Node' containment reference list feature
`static org.eclipse.emf.ecore.EClass` `SIGNAL` The meta object literal for the '`Signal`' class
`static org.eclipse.emf.ecore.EReference` `SIGNAL__OWNED_ATTRIBUTE` The meta object literal for the 'Owned Attribute' containment reference list feature
`static org.eclipse.emf.ecore.EClass` `SIGNAL_EVENT` The meta object literal for the '`Signal Event`' class
`static org.eclipse.emf.ecore.EReference` `SIGNAL_EVENT__SIGNAL` The meta object literal for the 'Signal' reference feature
`static org.eclipse.emf.ecore.EClass` `SLOT` The meta object literal for the '`Slot`' class
`static org.eclipse.emf.ecore.EReference` `SLOT__DEFINING_FEATURE` The meta object literal for the 'Defining Feature' reference feature
`static org.eclipse.emf.ecore.EReference` `SLOT__OWNING_INSTANCE` The meta object literal for the 'Owning Instance' container reference feature
`static org.eclipse.emf.ecore.EReference` `SLOT__VALUE` The meta object literal for the 'Value' containment reference list feature
`static org.eclipse.emf.ecore.EClass` `START_CLASSIFIER_BEHAVIOR_ACTION` The meta object literal for the '`Start Classifier Behavior Action`' class
`static org.eclipse.emf.ecore.EReference` `START_CLASSIFIER_BEHAVIOR_ACTION__OBJECT` The meta object literal for the 'Object' containment reference feature
`static org.eclipse.emf.ecore.EClass` `START_OBJECT_BEHAVIOR_ACTION` The meta object literal for the '`Start Object Behavior Action`' class
`static org.eclipse.emf.ecore.EReference` `START_OBJECT_BEHAVIOR_ACTION__OBJECT` The meta object literal for the 'Object' containment reference feature
`static org.eclipse.emf.ecore.EClass` `STATE` The meta object literal for the '`State`' class
`static org.eclipse.emf.ecore.EReference` `STATE__CONNECTION` The meta object literal for the 'Connection' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `STATE__CONNECTION_POINT` The meta object literal for the 'Connection Point' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `STATE__DEFERRABLE_TRIGGER` The meta object literal for the 'Deferrable Trigger' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `STATE__DO_ACTIVITY` The meta object literal for the 'Do Activity' containment reference feature
`static org.eclipse.emf.ecore.EReference` `STATE__ENTRY` The meta object literal for the 'Entry' containment reference feature
`static org.eclipse.emf.ecore.EReference` `STATE__EXIT` The meta object literal for the 'Exit' containment reference feature
`static org.eclipse.emf.ecore.EAttribute` `STATE__IS_COMPOSITE` The meta object literal for the 'Is Composite' attribute feature
`static org.eclipse.emf.ecore.EAttribute` `STATE__IS_ORTHOGONAL` The meta object literal for the 'Is Orthogonal' attribute feature
`static org.eclipse.emf.ecore.EAttribute` `STATE__IS_SIMPLE` The meta object literal for the 'Is Simple' attribute feature
`static org.eclipse.emf.ecore.EAttribute` `STATE__IS_SUBMACHINE_STATE` The meta object literal for the 'Is Submachine State' attribute feature
`static org.eclipse.emf.ecore.EReference` `STATE__REDEFINED_STATE` The meta object literal for the 'Redefined State' reference feature
`static org.eclipse.emf.ecore.EReference` `STATE__REGION` The meta object literal for the 'Region' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `STATE__STATE_INVARIANT` The meta object literal for the 'State Invariant' containment reference feature
`static org.eclipse.emf.ecore.EReference` `STATE__SUBMACHINE` The meta object literal for the 'Submachine' reference feature
`static org.eclipse.emf.ecore.EClass` `STATE_INVARIANT` The meta object literal for the '`State Invariant`' class
`static org.eclipse.emf.ecore.EReference` `STATE_INVARIANT__INVARIANT` The meta object literal for the 'Invariant' containment reference feature
`static org.eclipse.emf.ecore.EClass` `STATE_MACHINE` The meta object literal for the '`State Machine`' class
`static org.eclipse.emf.ecore.EReference` `STATE_MACHINE__CONNECTION_POINT` The meta object literal for the 'Connection Point' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `STATE_MACHINE__EXTENDED_STATE_MACHINE` The meta object literal for the 'Extended State Machine' reference list feature
`static org.eclipse.emf.ecore.EReference` `STATE_MACHINE__REGION` The meta object literal for the 'Region' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `STATE_MACHINE__SUBMACHINE_STATE` The meta object literal for the 'Submachine State' reference list feature
`static org.eclipse.emf.ecore.EClass` `STEREOTYPE` The meta object literal for the '`Stereotype`' class
`static org.eclipse.emf.ecore.EReference` `STEREOTYPE__ICON` The meta object literal for the 'Icon' containment reference list feature
`static org.eclipse.emf.ecore.EDataType` `STRING` The meta object literal for the 'String' data type
`static org.eclipse.emf.ecore.EClass` `STRING_EXPRESSION` The meta object literal for the '`String Expression`' class
`static org.eclipse.emf.ecore.EReference` `STRING_EXPRESSION__OWNING_EXPRESSION` The meta object literal for the 'Owning Expression' container reference feature
`static org.eclipse.emf.ecore.EReference` `STRING_EXPRESSION__SUB_EXPRESSION` The meta object literal for the 'Sub Expression' containment reference list feature
`static org.eclipse.emf.ecore.EClass` `STRUCTURAL_FEATURE` The meta object literal for the '`Structural Feature`' class
`static org.eclipse.emf.ecore.EAttribute` `STRUCTURAL_FEATURE__IS_READ_ONLY` The meta object literal for the 'Is Read Only' attribute feature
`static org.eclipse.emf.ecore.EClass` `STRUCTURAL_FEATURE_ACTION` The meta object literal for the '`Structural Feature Action`' class
`static org.eclipse.emf.ecore.EReference` `STRUCTURAL_FEATURE_ACTION__OBJECT` The meta object literal for the 'Object' containment reference feature
`static org.eclipse.emf.ecore.EReference` `STRUCTURAL_FEATURE_ACTION__STRUCTURAL_FEATURE` The meta object literal for the 'Structural Feature' reference feature
`static org.eclipse.emf.ecore.EClass` `STRUCTURED_ACTIVITY_NODE` The meta object literal for the '`Structured Activity Node`' class
`static org.eclipse.emf.ecore.EReference` `STRUCTURED_ACTIVITY_NODE__EDGE` The meta object literal for the 'Edge' containment reference list feature
`static org.eclipse.emf.ecore.EAttribute` `STRUCTURED_ACTIVITY_NODE__MUST_ISOLATE` The meta object literal for the 'Must Isolate' attribute feature
`static org.eclipse.emf.ecore.EReference` `STRUCTURED_ACTIVITY_NODE__NODE` The meta object literal for the 'Node' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `STRUCTURED_ACTIVITY_NODE__VARIABLE` The meta object literal for the 'Variable' containment reference list feature
`static org.eclipse.emf.ecore.EClass` `STRUCTURED_CLASSIFIER` The meta object literal for the '`Structured Classifier`' class
`static org.eclipse.emf.ecore.EReference` `STRUCTURED_CLASSIFIER__OWNED_ATTRIBUTE` The meta object literal for the 'Owned Attribute' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `STRUCTURED_CLASSIFIER__OWNED_CONNECTOR` The meta object literal for the 'Owned Connector' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `STRUCTURED_CLASSIFIER__PART` The meta object literal for the 'Part' reference list feature
`static org.eclipse.emf.ecore.EReference` `STRUCTURED_CLASSIFIER__ROLE` The meta object literal for the 'Role' reference list feature
`static org.eclipse.emf.ecore.EClass` `SUBSTITUTION` The meta object literal for the '`Substitution`' class
`static org.eclipse.emf.ecore.EReference` `SUBSTITUTION__CONTRACT` The meta object literal for the 'Contract' reference feature
`static org.eclipse.emf.ecore.EReference` `SUBSTITUTION__SUBSTITUTING_CLASSIFIER` The meta object literal for the 'Substituting Classifier' container reference feature
`static org.eclipse.emf.ecore.EClass` `TEMPLATE_BINDING` The meta object literal for the '`Template Binding`' class
`static org.eclipse.emf.ecore.EReference` `TEMPLATE_BINDING__BOUND_ELEMENT` The meta object literal for the 'Bound Element' container reference feature
`static org.eclipse.emf.ecore.EReference` `TEMPLATE_BINDING__PARAMETER_SUBSTITUTION` The meta object literal for the 'Parameter Substitution' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `TEMPLATE_BINDING__SIGNATURE` The meta object literal for the 'Signature' reference feature
`static org.eclipse.emf.ecore.EClass` `TEMPLATE_PARAMETER` The meta object literal for the '`Template Parameter`' class
`static org.eclipse.emf.ecore.EReference` `TEMPLATE_PARAMETER__DEFAULT` The meta object literal for the 'Default' reference feature
`static org.eclipse.emf.ecore.EReference` `TEMPLATE_PARAMETER__OWNED_DEFAULT` The meta object literal for the 'Owned Default' containment reference feature
`static org.eclipse.emf.ecore.EReference` `TEMPLATE_PARAMETER__OWNED_PARAMETERED_ELEMENT` The meta object literal for the 'Owned Parametered Element' containment reference feature
`static org.eclipse.emf.ecore.EReference` `TEMPLATE_PARAMETER__PARAMETERED_ELEMENT` The meta object literal for the 'Parametered Element' reference feature
`static org.eclipse.emf.ecore.EReference` `TEMPLATE_PARAMETER__SIGNATURE` The meta object literal for the 'Signature' container reference feature
`static org.eclipse.emf.ecore.EClass` `TEMPLATE_PARAMETER_SUBSTITUTION` The meta object literal for the '`Template Parameter Substitution`' class
`static org.eclipse.emf.ecore.EReference` `TEMPLATE_PARAMETER_SUBSTITUTION__ACTUAL` The meta object literal for the 'Actual' reference feature
`static org.eclipse.emf.ecore.EReference` `TEMPLATE_PARAMETER_SUBSTITUTION__FORMAL` The meta object literal for the 'Formal' reference feature
`static org.eclipse.emf.ecore.EReference` `TEMPLATE_PARAMETER_SUBSTITUTION__OWNED_ACTUAL` The meta object literal for the 'Owned Actual' containment reference feature
`static org.eclipse.emf.ecore.EReference` `TEMPLATE_PARAMETER_SUBSTITUTION__TEMPLATE_BINDING` The meta object literal for the 'Template Binding' container reference feature
`static org.eclipse.emf.ecore.EClass` `TEMPLATE_SIGNATURE` The meta object literal for the '`Template Signature`' class
`static org.eclipse.emf.ecore.EReference` `TEMPLATE_SIGNATURE__OWNED_PARAMETER` The meta object literal for the 'Owned Parameter' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `TEMPLATE_SIGNATURE__PARAMETER` The meta object literal for the 'Parameter' reference list feature
`static org.eclipse.emf.ecore.EReference` `TEMPLATE_SIGNATURE__TEMPLATE` The meta object literal for the 'Template' container reference feature
`static org.eclipse.emf.ecore.EClass` `TEMPLATEABLE_ELEMENT` The meta object literal for the '`Templateable Element`' class
`static org.eclipse.emf.ecore.EReference` `TEMPLATEABLE_ELEMENT__OWNED_TEMPLATE_SIGNATURE` The meta object literal for the 'Owned Template Signature' containment reference feature
`static org.eclipse.emf.ecore.EReference` `TEMPLATEABLE_ELEMENT__TEMPLATE_BINDING` The meta object literal for the 'Template Binding' containment reference list feature
`static org.eclipse.emf.ecore.EClass` `TEST_IDENTITY_ACTION` The meta object literal for the '`Test Identity Action`' class
`static org.eclipse.emf.ecore.EReference` `TEST_IDENTITY_ACTION__FIRST` The meta object literal for the 'First' containment reference feature
`static org.eclipse.emf.ecore.EReference` `TEST_IDENTITY_ACTION__RESULT` The meta object literal for the 'Result' containment reference feature
`static org.eclipse.emf.ecore.EReference` `TEST_IDENTITY_ACTION__SECOND` The meta object literal for the 'Second' containment reference feature
`static org.eclipse.emf.ecore.EClass` `TIME_CONSTRAINT` The meta object literal for the '`Time Constraint`' class
`static org.eclipse.emf.ecore.EAttribute` `TIME_CONSTRAINT__FIRST_EVENT` The meta object literal for the 'First Event' attribute feature
`static org.eclipse.emf.ecore.EClass` `TIME_EVENT` The meta object literal for the '`Time Event`' class
`static org.eclipse.emf.ecore.EAttribute` `TIME_EVENT__IS_RELATIVE` The meta object literal for the 'Is Relative' attribute feature
`static org.eclipse.emf.ecore.EReference` `TIME_EVENT__WHEN` The meta object literal for the 'When' containment reference feature
`static org.eclipse.emf.ecore.EClass` `TIME_EXPRESSION` The meta object literal for the '`Time Expression`' class
`static org.eclipse.emf.ecore.EReference` `TIME_EXPRESSION__EXPR` The meta object literal for the 'Expr' containment reference feature
`static org.eclipse.emf.ecore.EReference` `TIME_EXPRESSION__OBSERVATION` The meta object literal for the 'Observation' reference list feature
`static org.eclipse.emf.ecore.EClass` `TIME_INTERVAL` The meta object literal for the '`Time Interval`' class
`static org.eclipse.emf.ecore.EClass` `TIME_OBSERVATION` The meta object literal for the '`Time Observation`' class
`static org.eclipse.emf.ecore.EReference` `TIME_OBSERVATION__EVENT` The meta object literal for the 'Event' reference feature
`static org.eclipse.emf.ecore.EAttribute` `TIME_OBSERVATION__FIRST_EVENT` The meta object literal for the 'First Event' attribute feature
`static org.eclipse.emf.ecore.EClass` `TRANSITION` The meta object literal for the '`Transition`' class
`static org.eclipse.emf.ecore.EReference` `TRANSITION__CONTAINER` The meta object literal for the 'Container' container reference feature
`static org.eclipse.emf.ecore.EReference` `TRANSITION__EFFECT` The meta object literal for the 'Effect' containment reference feature
`static org.eclipse.emf.ecore.EReference` `TRANSITION__GUARD` The meta object literal for the 'Guard' reference feature
`static org.eclipse.emf.ecore.EAttribute` `TRANSITION__KIND` The meta object literal for the 'Kind' attribute feature
`static org.eclipse.emf.ecore.EReference` `TRANSITION__REDEFINED_TRANSITION` The meta object literal for the 'Redefined Transition' reference feature
`static org.eclipse.emf.ecore.EReference` `TRANSITION__SOURCE` The meta object literal for the 'Source' reference feature
`static org.eclipse.emf.ecore.EReference` `TRANSITION__TARGET` The meta object literal for the 'Target' reference feature
`static org.eclipse.emf.ecore.EReference` `TRANSITION__TRIGGER` The meta object literal for the 'Trigger' containment reference list feature
`static org.eclipse.emf.ecore.EEnum` `TRANSITION_KIND` The meta object literal for the '`Transition Kind`' enum
`static org.eclipse.emf.ecore.EClass` `TRIGGER` The meta object literal for the '`Trigger`' class
`static org.eclipse.emf.ecore.EReference` `TRIGGER__EVENT` The meta object literal for the 'Event' reference feature
`static org.eclipse.emf.ecore.EReference` `TRIGGER__PORT` The meta object literal for the 'Port' reference list feature
`static org.eclipse.emf.ecore.EClass` `TYPE` The meta object literal for the '`Type`' class
`static org.eclipse.emf.ecore.EReference` `TYPE__PACKAGE` The meta object literal for the 'Package' reference feature
`static org.eclipse.emf.ecore.EClass` `TYPED_ELEMENT` The meta object literal for the '`Typed Element`' class
`static org.eclipse.emf.ecore.EReference` `TYPED_ELEMENT__TYPE` The meta object literal for the 'Type' reference feature
`static org.eclipse.emf.ecore.EDataType` `UNLIMITED_NATURAL` The meta object literal for the 'Unlimited Natural' data type
`static org.eclipse.emf.ecore.EClass` `UNMARSHALL_ACTION` The meta object literal for the '`Unmarshall Action`' class
`static org.eclipse.emf.ecore.EReference` `UNMARSHALL_ACTION__OBJECT` The meta object literal for the 'Object' containment reference feature
`static org.eclipse.emf.ecore.EReference` `UNMARSHALL_ACTION__RESULT` The meta object literal for the 'Result' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `UNMARSHALL_ACTION__UNMARSHALL_TYPE` The meta object literal for the 'Unmarshall Type' reference feature
`static org.eclipse.emf.ecore.EClass` `USAGE` The meta object literal for the '`Usage`' class
`static org.eclipse.emf.ecore.EClass` `USE_CASE` The meta object literal for the '`Use Case`' class
`static org.eclipse.emf.ecore.EReference` `USE_CASE__EXTEND` The meta object literal for the 'Extend' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `USE_CASE__EXTENSION_POINT` The meta object literal for the 'Extension Point' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `USE_CASE__INCLUDE` The meta object literal for the 'Include' containment reference list feature
`static org.eclipse.emf.ecore.EReference` `USE_CASE__SUBJECT` The meta object literal for the 'Subject' reference list feature
`static org.eclipse.emf.ecore.EClass` `VALUE_PIN` The meta object literal for the '`Value Pin`' class
`static org.eclipse.emf.ecore.EReference` `VALUE_PIN__VALUE` The meta object literal for the 'Value' containment reference feature
`static org.eclipse.emf.ecore.EClass` `VALUE_SPECIFICATION` The meta object literal for the '`Value Specification`' class
`static org.eclipse.emf.ecore.EClass` `VALUE_SPECIFICATION_ACTION` The meta object literal for the '`Value Specification Action`' class
`static org.eclipse.emf.ecore.EReference` `VALUE_SPECIFICATION_ACTION__RESULT` The meta object literal for the 'Result' containment reference feature
`static org.eclipse.emf.ecore.EReference` `VALUE_SPECIFICATION_ACTION__VALUE` The meta object literal for the 'Value' containment reference feature
`static org.eclipse.emf.ecore.EClass` `VARIABLE` The meta object literal for the '`Variable`' class
`static org.eclipse.emf.ecore.EReference` `VARIABLE__ACTIVITY_SCOPE` The meta object literal for the 'Activity Scope' container reference feature
`static org.eclipse.emf.ecore.EReference` `VARIABLE__SCOPE` The meta object literal for the 'Scope' container reference feature
`static org.eclipse.emf.ecore.EClass` `VARIABLE_ACTION` The meta object literal for the '`Variable Action`' class
`static org.eclipse.emf.ecore.EReference` `VARIABLE_ACTION__VARIABLE` The meta object literal for the 'Variable' reference feature
`static org.eclipse.emf.ecore.EClass` `VERTEX` The meta object literal for the '`Vertex`' class
`static org.eclipse.emf.ecore.EReference` `VERTEX__CONTAINER` The meta object literal for the 'Container' container reference feature
`static org.eclipse.emf.ecore.EReference` `VERTEX__INCOMING` The meta object literal for the 'Incoming' reference list feature
`static org.eclipse.emf.ecore.EReference` `VERTEX__OUTGOING` The meta object literal for the 'Outgoing' reference list feature
`static org.eclipse.emf.ecore.EEnum` `VISIBILITY_KIND` The meta object literal for the '`Visibility Kind`' enum
`static org.eclipse.emf.ecore.EClass` `WRITE_LINK_ACTION` The meta object literal for the '`Write Link Action`' class
`static org.eclipse.emf.ecore.EClass` `WRITE_STRUCTURAL_FEATURE_ACTION` The meta object literal for the '`Write Structural Feature Action`' class
`static org.eclipse.emf.ecore.EReference` `WRITE_STRUCTURAL_FEATURE_ACTION__RESULT` The meta object literal for the 'Result' containment reference feature
`static org.eclipse.emf.ecore.EReference` `WRITE_STRUCTURAL_FEATURE_ACTION__VALUE` The meta object literal for the 'Value' containment reference feature
`static org.eclipse.emf.ecore.EClass` `WRITE_VARIABLE_ACTION` The meta object literal for the '`Write Variable Action`' class
`static org.eclipse.emf.ecore.EReference` `WRITE_VARIABLE_ACTION__VALUE` The meta object literal for the 'Value' containment reference feature

Field Detail

### COMMENT

    static final org.eclipse.emf.ecore.EClass COMMENT

  The meta object literal for the '`Comment`' class.

  See Also:
    `CommentImpl`, `UMLPackageImpl.getComment()`

### COMMENT__BODY

    static final org.eclipse.emf.ecore.EAttribute COMMENT__BODY

  The meta object literal for the 'Body' attribute feature.

### COMMENT__ANNOTATED_ELEMENT

    static final org.eclipse.emf.ecore.EReference COMMENT__ANNOTATED_ELEMENT

  The meta object literal for the 'Annotated Element' reference list feature.

### ELEMENT

    static final org.eclipse.emf.ecore.EClass ELEMENT

  The meta object literal for the '`Element`' class.

  See Also:
    `ElementImpl`, `UMLPackageImpl.getElement()`

### ELEMENT__OWNED_ELEMENT

    static final org.eclipse.emf.ecore.EReference ELEMENT__OWNED_ELEMENT

  The meta object literal for the 'Owned Element' reference list feature.

### ELEMENT__OWNER

    static final org.eclipse.emf.ecore.EReference ELEMENT__OWNER

  The meta object literal for the 'Owner' reference feature.

### ELEMENT__OWNED_COMMENT

    static final org.eclipse.emf.ecore.EReference ELEMENT__OWNED_COMMENT

  The meta object literal for the 'Owned Comment' containment reference list feature.

### PACKAGE

    static final org.eclipse.emf.ecore.EClass PACKAGE

  The meta object literal for the '`Package`' class.

  See Also:
    `PackageImpl`, `UMLPackageImpl.getPackage()`

### PACKAGE__OWNED_TYPE

    static final org.eclipse.emf.ecore.EReference PACKAGE__OWNED_TYPE

  The meta object literal for the 'Owned Type' reference list feature.

### PACKAGE__PACKAGE_MERGE

    static final org.eclipse.emf.ecore.EReference PACKAGE__PACKAGE_MERGE

  The meta object literal for the 'Package Merge' containment reference list feature.

### PACKAGE__PACKAGED_ELEMENT

    static final org.eclipse.emf.ecore.EReference PACKAGE__PACKAGED_ELEMENT

  The meta object literal for the 'Packaged Element' containment reference list feature.

### PACKAGE__NESTED_PACKAGE

    static final org.eclipse.emf.ecore.EReference PACKAGE__NESTED_PACKAGE

  The meta object literal for the 'Nested Package' reference list feature.

### PACKAGE__NESTING_PACKAGE

    static final org.eclipse.emf.ecore.EReference PACKAGE__NESTING_PACKAGE

  The meta object literal for the 'Nesting Package' reference feature.

### PACKAGE__PROFILE_APPLICATION

    static final org.eclipse.emf.ecore.EReference PACKAGE__PROFILE_APPLICATION

  The meta object literal for the 'Profile Application' containment reference list feature.

### PACKAGEABLE_ELEMENT

    static final org.eclipse.emf.ecore.EClass PACKAGEABLE_ELEMENT

  The meta object literal for the '`Packageable Element`' class.

  See Also:
    `PackageableElementImpl`, `UMLPackageImpl.getPackageableElement()`

### NAMED_ELEMENT

    static final org.eclipse.emf.ecore.EClass NAMED_ELEMENT

  The meta object literal for the '`Named Element`' class.

  See Also:
    `NamedElementImpl`, `UMLPackageImpl.getNamedElement()`

### NAMED_ELEMENT__NAME

    static final org.eclipse.emf.ecore.EAttribute NAMED_ELEMENT__NAME

  The meta object literal for the 'Name' attribute feature.

### NAMED_ELEMENT__VISIBILITY

    static final org.eclipse.emf.ecore.EAttribute NAMED_ELEMENT__VISIBILITY

  The meta object literal for the 'Visibility' attribute feature.

### NAMED_ELEMENT__QUALIFIED_NAME

    static final org.eclipse.emf.ecore.EAttribute NAMED_ELEMENT__QUALIFIED_NAME

  The meta object literal for the 'Qualified Name' attribute feature.

### NAMED_ELEMENT__CLIENT_DEPENDENCY

    static final org.eclipse.emf.ecore.EReference NAMED_ELEMENT__CLIENT_DEPENDENCY

  The meta object literal for the 'Client Dependency' reference list feature.

### NAMED_ELEMENT__NAMESPACE

    static final org.eclipse.emf.ecore.EReference NAMED_ELEMENT__NAMESPACE

  The meta object literal for the 'Namespace' reference feature.

### NAMED_ELEMENT__NAME_EXPRESSION

    static final org.eclipse.emf.ecore.EReference NAMED_ELEMENT__NAME_EXPRESSION

  The meta object literal for the 'Name Expression' containment reference feature.

### DEPENDENCY

    static final org.eclipse.emf.ecore.EClass DEPENDENCY

  The meta object literal for the '`Dependency`' class.

  See Also:
    `DependencyImpl`, `UMLPackageImpl.getDependency()`

### DEPENDENCY__SUPPLIER

    static final org.eclipse.emf.ecore.EReference DEPENDENCY__SUPPLIER

  The meta object literal for the 'Supplier' reference list feature.

### DEPENDENCY__CLIENT

    static final org.eclipse.emf.ecore.EReference DEPENDENCY__CLIENT

  The meta object literal for the 'Client' reference list feature.

### DIRECTED_RELATIONSHIP

    static final org.eclipse.emf.ecore.EClass DIRECTED_RELATIONSHIP

  The meta object literal for the '`Directed Relationship`' class.

  See Also:
    `DirectedRelationshipImpl`, `UMLPackageImpl.getDirectedRelationship()`

### DIRECTED_RELATIONSHIP__SOURCE

    static final org.eclipse.emf.ecore.EReference DIRECTED_RELATIONSHIP__SOURCE

  The meta object literal for the 'Source' reference list feature.

### DIRECTED_RELATIONSHIP__TARGET

    static final org.eclipse.emf.ecore.EReference DIRECTED_RELATIONSHIP__TARGET

  The meta object literal for the 'Target' reference list feature.

### RELATIONSHIP

    static final org.eclipse.emf.ecore.EClass RELATIONSHIP

  The meta object literal for the '`Relationship`' class.

  See Also:
    `RelationshipImpl`, `UMLPackageImpl.getRelationship()`

### RELATIONSHIP__RELATED_ELEMENT

    static final org.eclipse.emf.ecore.EReference RELATIONSHIP__RELATED_ELEMENT

  The meta object literal for the 'Related Element' reference list feature.

### NAMESPACE

    static final org.eclipse.emf.ecore.EClass NAMESPACE

  The meta object literal for the '`Namespace`' class.

  See Also:
    `NamespaceImpl`, `UMLPackageImpl.getNamespace()`

### NAMESPACE__ELEMENT_IMPORT

    static final org.eclipse.emf.ecore.EReference NAMESPACE__ELEMENT_IMPORT

  The meta object literal for the 'Element Import' containment reference list feature.

### NAMESPACE__PACKAGE_IMPORT

    static final org.eclipse.emf.ecore.EReference NAMESPACE__PACKAGE_IMPORT

  The meta object literal for the 'Package Import' containment reference list feature.

### NAMESPACE__OWNED_RULE

    static final org.eclipse.emf.ecore.EReference NAMESPACE__OWNED_RULE

  The meta object literal for the 'Owned Rule' containment reference list feature.

### NAMESPACE__MEMBER

    static final org.eclipse.emf.ecore.EReference NAMESPACE__MEMBER

  The meta object literal for the 'Member' reference list feature.

### NAMESPACE__IMPORTED_MEMBER

    static final org.eclipse.emf.ecore.EReference NAMESPACE__IMPORTED_MEMBER

  The meta object literal for the 'Imported Member' reference list feature.

### NAMESPACE__OWNED_MEMBER

    static final org.eclipse.emf.ecore.EReference NAMESPACE__OWNED_MEMBER

  The meta object literal for the 'Owned Member' reference list feature.

### ELEMENT_IMPORT

    static final org.eclipse.emf.ecore.EClass ELEMENT_IMPORT

  The meta object literal for the '`Element Import`' class.

  See Also:
    `ElementImportImpl`, `UMLPackageImpl.getElementImport()`

### ELEMENT_IMPORT__VISIBILITY

    static final org.eclipse.emf.ecore.EAttribute ELEMENT_IMPORT__VISIBILITY

  The meta object literal for the 'Visibility' attribute feature.

### ELEMENT_IMPORT__ALIAS

    static final org.eclipse.emf.ecore.EAttribute ELEMENT_IMPORT__ALIAS

  The meta object literal for the 'Alias' attribute feature.

### ELEMENT_IMPORT__IMPORTED_ELEMENT

    static final org.eclipse.emf.ecore.EReference ELEMENT_IMPORT__IMPORTED_ELEMENT

  The meta object literal for the 'Imported Element' reference feature.

### ELEMENT_IMPORT__IMPORTING_NAMESPACE

    static final org.eclipse.emf.ecore.EReference ELEMENT_IMPORT__IMPORTING_NAMESPACE

  The meta object literal for the 'Importing Namespace' container reference feature.

### PACKAGE_IMPORT

    static final org.eclipse.emf.ecore.EClass PACKAGE_IMPORT

  The meta object literal for the '`Package Import`' class.

  See Also:
    `PackageImportImpl`, `UMLPackageImpl.getPackageImport()`

### PACKAGE_IMPORT__VISIBILITY

    static final org.eclipse.emf.ecore.EAttribute PACKAGE_IMPORT__VISIBILITY

  The meta object literal for the 'Visibility' attribute feature.

### PACKAGE_IMPORT__IMPORTED_PACKAGE

    static final org.eclipse.emf.ecore.EReference PACKAGE_IMPORT__IMPORTED_PACKAGE

  The meta object literal for the 'Imported Package' reference feature.

### PACKAGE_IMPORT__IMPORTING_NAMESPACE

    static final org.eclipse.emf.ecore.EReference PACKAGE_IMPORT__IMPORTING_NAMESPACE

  The meta object literal for the 'Importing Namespace' container reference feature.

### CONSTRAINT

    static final org.eclipse.emf.ecore.EClass CONSTRAINT

  The meta object literal for the '`Constraint`' class.

  See Also:
    `ConstraintImpl`, `UMLPackageImpl.getConstraint()`

### CONSTRAINT__CONSTRAINED_ELEMENT

    static final org.eclipse.emf.ecore.EReference CONSTRAINT__CONSTRAINED_ELEMENT

  The meta object literal for the 'Constrained Element' reference list feature.

### CONSTRAINT__SPECIFICATION

    static final org.eclipse.emf.ecore.EReference CONSTRAINT__SPECIFICATION

  The meta object literal for the 'Specification' containment reference feature.

### CONSTRAINT__CONTEXT

    static final org.eclipse.emf.ecore.EReference CONSTRAINT__CONTEXT

  The meta object literal for the 'Context' container reference feature.

### VALUE_SPECIFICATION

    static final org.eclipse.emf.ecore.EClass VALUE_SPECIFICATION

  The meta object literal for the '`Value Specification`' class.

  See Also:
    `ValueSpecificationImpl`, `UMLPackageImpl.getValueSpecification()`

### TYPED_ELEMENT

    static final org.eclipse.emf.ecore.EClass TYPED_ELEMENT

  The meta object literal for the '`Typed Element`' class.

  See Also:
    `TypedElementImpl`, `UMLPackageImpl.getTypedElement()`

### TYPED_ELEMENT__TYPE

    static final org.eclipse.emf.ecore.EReference TYPED_ELEMENT__TYPE

  The meta object literal for the 'Type' reference feature.

### TYPE

    static final org.eclipse.emf.ecore.EClass TYPE

  The meta object literal for the '`Type`' class.

  See Also:
    `TypeImpl`, `UMLPackageImpl.getType()`

### TYPE__PACKAGE

    static final org.eclipse.emf.ecore.EReference TYPE__PACKAGE

  The meta object literal for the 'Package' reference feature.

### ASSOCIATION

    static final org.eclipse.emf.ecore.EClass ASSOCIATION

  The meta object literal for the '`Association`' class.

  See Also:
    `AssociationImpl`, `UMLPackageImpl.getAssociation()`

### ASSOCIATION__OWNED_END

    static final org.eclipse.emf.ecore.EReference ASSOCIATION__OWNED_END

  The meta object literal for the 'Owned End' containment reference list feature.

### ASSOCIATION__MEMBER_END

    static final org.eclipse.emf.ecore.EReference ASSOCIATION__MEMBER_END

  The meta object literal for the 'Member End' reference list feature.

### ASSOCIATION__IS_DERIVED

    static final org.eclipse.emf.ecore.EAttribute ASSOCIATION__IS_DERIVED

  The meta object literal for the 'Is Derived' attribute feature.

### ASSOCIATION__END_TYPE

    static final org.eclipse.emf.ecore.EReference ASSOCIATION__END_TYPE

  The meta object literal for the 'End Type' reference list feature.

### ASSOCIATION__NAVIGABLE_OWNED_END

    static final org.eclipse.emf.ecore.EReference ASSOCIATION__NAVIGABLE_OWNED_END

  The meta object literal for the 'Navigable Owned End' reference list feature.

### CLASSIFIER

    static final org.eclipse.emf.ecore.EClass CLASSIFIER

  The meta object literal for the '`Classifier`' class.

  See Also:
    `ClassifierImpl`, `UMLPackageImpl.getClassifier()`

### CLASSIFIER__IS_ABSTRACT

    static final org.eclipse.emf.ecore.EAttribute CLASSIFIER__IS_ABSTRACT

  The meta object literal for the 'Is Abstract' attribute feature.

### CLASSIFIER__GENERALIZATION

    static final org.eclipse.emf.ecore.EReference CLASSIFIER__GENERALIZATION

  The meta object literal for the 'Generalization' containment reference list feature.

### CLASSIFIER__POWERTYPE_EXTENT

    static final org.eclipse.emf.ecore.EReference CLASSIFIER__POWERTYPE_EXTENT

  The meta object literal for the 'Powertype Extent' reference list feature.

### CLASSIFIER__FEATURE

    static final org.eclipse.emf.ecore.EReference CLASSIFIER__FEATURE

  The meta object literal for the 'Feature' reference list feature.

### CLASSIFIER__INHERITED_MEMBER

    static final org.eclipse.emf.ecore.EReference CLASSIFIER__INHERITED_MEMBER

  The meta object literal for the 'Inherited Member' reference list feature.

### CLASSIFIER__REDEFINED_CLASSIFIER

    static final org.eclipse.emf.ecore.EReference CLASSIFIER__REDEFINED_CLASSIFIER

  The meta object literal for the 'Redefined Classifier' reference list feature.

### CLASSIFIER__GENERAL

    static final org.eclipse.emf.ecore.EReference CLASSIFIER__GENERAL

  The meta object literal for the 'General' reference list feature.

### CLASSIFIER__SUBSTITUTION

    static final org.eclipse.emf.ecore.EReference CLASSIFIER__SUBSTITUTION

  The meta object literal for the 'Substitution' containment reference list feature.

### CLASSIFIER__ATTRIBUTE

    static final org.eclipse.emf.ecore.EReference CLASSIFIER__ATTRIBUTE

  The meta object literal for the 'Attribute' reference list feature.

### CLASSIFIER__REPRESENTATION

    static final org.eclipse.emf.ecore.EReference CLASSIFIER__REPRESENTATION

  The meta object literal for the 'Representation' reference feature.

### CLASSIFIER__COLLABORATION_USE

    static final org.eclipse.emf.ecore.EReference CLASSIFIER__COLLABORATION_USE

  The meta object literal for the 'Collaboration Use' containment reference list feature.

### CLASSIFIER__OWNED_USE_CASE

    static final org.eclipse.emf.ecore.EReference CLASSIFIER__OWNED_USE_CASE

  The meta object literal for the 'Owned Use Case' containment reference list feature.

### CLASSIFIER__USE_CASE

    static final org.eclipse.emf.ecore.EReference CLASSIFIER__USE_CASE

  The meta object literal for the 'Use Case' reference list feature.

### REDEFINABLE_ELEMENT

    static final org.eclipse.emf.ecore.EClass REDEFINABLE_ELEMENT

  The meta object literal for the '`Redefinable Element`' class.

  See Also:
    `RedefinableElementImpl`, `UMLPackageImpl.getRedefinableElement()`

### REDEFINABLE_ELEMENT__IS_LEAF

    static final org.eclipse.emf.ecore.EAttribute REDEFINABLE_ELEMENT__IS_LEAF

  The meta object literal for the 'Is Leaf' attribute feature.

### REDEFINABLE_ELEMENT__REDEFINED_ELEMENT

    static final org.eclipse.emf.ecore.EReference REDEFINABLE_ELEMENT__REDEFINED_ELEMENT

  The meta object literal for the 'Redefined Element' reference list feature.

### REDEFINABLE_ELEMENT__REDEFINITION_CONTEXT

    static final org.eclipse.emf.ecore.EReference REDEFINABLE_ELEMENT__REDEFINITION_CONTEXT

  The meta object literal for the 'Redefinition Context' reference list feature.

### TEMPLATEABLE_ELEMENT

    static final org.eclipse.emf.ecore.EClass TEMPLATEABLE_ELEMENT

  The meta object literal for the '`Templateable Element`' class.

  See Also:
    `TemplateableElementImpl`, `UMLPackageImpl.getTemplateableElement()`

### TEMPLATEABLE_ELEMENT__TEMPLATE_BINDING

    static final org.eclipse.emf.ecore.EReference TEMPLATEABLE_ELEMENT__TEMPLATE_BINDING

  The meta object literal for the 'Template Binding' containment reference list feature.

### TEMPLATEABLE_ELEMENT__OWNED_TEMPLATE_SIGNATURE

    static final org.eclipse.emf.ecore.EReference TEMPLATEABLE_ELEMENT__OWNED_TEMPLATE_SIGNATURE

  The meta object literal for the 'Owned Template Signature' containment reference feature.

### TEMPLATE_BINDING

    static final org.eclipse.emf.ecore.EClass TEMPLATE_BINDING

  The meta object literal for the '`Template Binding`' class.

  See Also:
    `TemplateBindingImpl`, `UMLPackageImpl.getTemplateBinding()`

### TEMPLATE_BINDING__SIGNATURE

    static final org.eclipse.emf.ecore.EReference TEMPLATE_BINDING__SIGNATURE

  The meta object literal for the 'Signature' reference feature.

### TEMPLATE_BINDING__PARAMETER_SUBSTITUTION

    static final org.eclipse.emf.ecore.EReference TEMPLATE_BINDING__PARAMETER_SUBSTITUTION

  The meta object literal for the 'Parameter Substitution' containment reference list feature.

### TEMPLATE_BINDING__BOUND_ELEMENT

    static final org.eclipse.emf.ecore.EReference TEMPLATE_BINDING__BOUND_ELEMENT

  The meta object literal for the 'Bound Element' container reference feature.

### TEMPLATE_SIGNATURE

    static final org.eclipse.emf.ecore.EClass TEMPLATE_SIGNATURE

  The meta object literal for the '`Template Signature`' class.

  See Also:
    `TemplateSignatureImpl`, `UMLPackageImpl.getTemplateSignature()`

### TEMPLATE_SIGNATURE__PARAMETER

    static final org.eclipse.emf.ecore.EReference TEMPLATE_SIGNATURE__PARAMETER

  The meta object literal for the 'Parameter' reference list feature.

### TEMPLATE_SIGNATURE__OWNED_PARAMETER

    static final org.eclipse.emf.ecore.EReference TEMPLATE_SIGNATURE__OWNED_PARAMETER

  The meta object literal for the 'Owned Parameter' containment reference list feature.

### TEMPLATE_SIGNATURE__TEMPLATE

    static final org.eclipse.emf.ecore.EReference TEMPLATE_SIGNATURE__TEMPLATE

  The meta object literal for the 'Template' container reference feature.

### TEMPLATE_PARAMETER

    static final org.eclipse.emf.ecore.EClass TEMPLATE_PARAMETER

  The meta object literal for the '`Template Parameter`' class.

  See Also:
    `TemplateParameterImpl`, `UMLPackageImpl.getTemplateParameter()`

### TEMPLATE_PARAMETER__SIGNATURE

    static final org.eclipse.emf.ecore.EReference TEMPLATE_PARAMETER__SIGNATURE

  The meta object literal for the 'Signature' container reference feature.

### TEMPLATE_PARAMETER__PARAMETERED_ELEMENT

    static final org.eclipse.emf.ecore.EReference TEMPLATE_PARAMETER__PARAMETERED_ELEMENT

  The meta object literal for the 'Parametered Element' reference feature.

### TEMPLATE_PARAMETER__OWNED_PARAMETERED_ELEMENT

    static final org.eclipse.emf.ecore.EReference TEMPLATE_PARAMETER__OWNED_PARAMETERED_ELEMENT

  The meta object literal for the 'Owned Parametered Element' containment reference feature.

### TEMPLATE_PARAMETER__DEFAULT

    static final org.eclipse.emf.ecore.EReference TEMPLATE_PARAMETER__DEFAULT

  The meta object literal for the 'Default' reference feature.

### TEMPLATE_PARAMETER__OWNED_DEFAULT

    static final org.eclipse.emf.ecore.EReference TEMPLATE_PARAMETER__OWNED_DEFAULT

  The meta object literal for the 'Owned Default' containment reference feature.

### PARAMETERABLE_ELEMENT

    static final org.eclipse.emf.ecore.EClass PARAMETERABLE_ELEMENT

  The meta object literal for the '`Parameterable Element`' class.

  See Also:
    `ParameterableElementImpl`, `UMLPackageImpl.getParameterableElement()`

### PARAMETERABLE_ELEMENT__OWNING_TEMPLATE_PARAMETER

    static final org.eclipse.emf.ecore.EReference PARAMETERABLE_ELEMENT__OWNING_TEMPLATE_PARAMETER

  The meta object literal for the 'Owning Template Parameter' container reference feature.

### PARAMETERABLE_ELEMENT__TEMPLATE_PARAMETER

    static final org.eclipse.emf.ecore.EReference PARAMETERABLE_ELEMENT__TEMPLATE_PARAMETER

  The meta object literal for the 'Template Parameter' reference feature.

### TEMPLATE_PARAMETER_SUBSTITUTION

    static final org.eclipse.emf.ecore.EClass TEMPLATE_PARAMETER_SUBSTITUTION

  The meta object literal for the '`Template Parameter Substitution`' class.

  See Also:
    `TemplateParameterSubstitutionImpl`, `UMLPackageImpl.getTemplateParameterSubstitution()`

### TEMPLATE_PARAMETER_SUBSTITUTION__FORMAL

    static final org.eclipse.emf.ecore.EReference TEMPLATE_PARAMETER_SUBSTITUTION__FORMAL

  The meta object literal for the 'Formal' reference feature.

### TEMPLATE_PARAMETER_SUBSTITUTION__ACTUAL

    static final org.eclipse.emf.ecore.EReference TEMPLATE_PARAMETER_SUBSTITUTION__ACTUAL

  The meta object literal for the 'Actual' reference feature.

### TEMPLATE_PARAMETER_SUBSTITUTION__OWNED_ACTUAL

    static final org.eclipse.emf.ecore.EReference TEMPLATE_PARAMETER_SUBSTITUTION__OWNED_ACTUAL

  The meta object literal for the 'Owned Actual' containment reference feature.

### TEMPLATE_PARAMETER_SUBSTITUTION__TEMPLATE_BINDING

    static final org.eclipse.emf.ecore.EReference TEMPLATE_PARAMETER_SUBSTITUTION__TEMPLATE_BINDING

  The meta object literal for the 'Template Binding' container reference feature.

### GENERALIZATION

    static final org.eclipse.emf.ecore.EClass GENERALIZATION

  The meta object literal for the '`Generalization`' class.

  See Also:
    `GeneralizationImpl`, `UMLPackageImpl.getGeneralization()`

### GENERALIZATION__IS_SUBSTITUTABLE

    static final org.eclipse.emf.ecore.EAttribute GENERALIZATION__IS_SUBSTITUTABLE

  The meta object literal for the 'Is Substitutable' attribute feature.

### GENERALIZATION__GENERAL

    static final org.eclipse.emf.ecore.EReference GENERALIZATION__GENERAL

  The meta object literal for the 'General' reference feature.

### GENERALIZATION__GENERALIZATION_SET

    static final org.eclipse.emf.ecore.EReference GENERALIZATION__GENERALIZATION_SET

  The meta object literal for the 'Generalization Set' reference list feature.

### GENERALIZATION__SPECIFIC

    static final org.eclipse.emf.ecore.EReference GENERALIZATION__SPECIFIC

  The meta object literal for the 'Specific' container reference feature.

### GENERALIZATION_SET

    static final org.eclipse.emf.ecore.EClass GENERALIZATION_SET

  The meta object literal for the '`Generalization Set`' class.

  See Also:
    `GeneralizationSetImpl`, `UMLPackageImpl.getGeneralizationSet()`

### GENERALIZATION_SET__IS_COVERING

    static final org.eclipse.emf.ecore.EAttribute GENERALIZATION_SET__IS_COVERING

  The meta object literal for the 'Is Covering' attribute feature.

### GENERALIZATION_SET__IS_DISJOINT

    static final org.eclipse.emf.ecore.EAttribute GENERALIZATION_SET__IS_DISJOINT

  The meta object literal for the 'Is Disjoint' attribute feature.

### GENERALIZATION_SET__POWERTYPE

    static final org.eclipse.emf.ecore.EReference GENERALIZATION_SET__POWERTYPE

  The meta object literal for the 'Powertype' reference feature.

### GENERALIZATION_SET__GENERALIZATION

    static final org.eclipse.emf.ecore.EReference GENERALIZATION_SET__GENERALIZATION

  The meta object literal for the 'Generalization' reference list feature.

### FEATURE

    static final org.eclipse.emf.ecore.EClass FEATURE

  The meta object literal for the '`Feature`' class.

  See Also:
    `FeatureImpl`, `UMLPackageImpl.getFeature()`

### FEATURE__IS_STATIC

    static final org.eclipse.emf.ecore.EAttribute FEATURE__IS_STATIC

  The meta object literal for the 'Is Static' attribute feature.

### FEATURE__FEATURING_CLASSIFIER

    static final org.eclipse.emf.ecore.EReference FEATURE__FEATURING_CLASSIFIER

  The meta object literal for the 'Featuring Classifier' reference list feature.

### SUBSTITUTION

    static final org.eclipse.emf.ecore.EClass SUBSTITUTION

  The meta object literal for the '`Substitution`' class.

  See Also:
    `SubstitutionImpl`, `UMLPackageImpl.getSubstitution()`

### SUBSTITUTION__CONTRACT

    static final org.eclipse.emf.ecore.EReference SUBSTITUTION__CONTRACT

  The meta object literal for the 'Contract' reference feature.

### SUBSTITUTION__SUBSTITUTING_CLASSIFIER

    static final org.eclipse.emf.ecore.EReference SUBSTITUTION__SUBSTITUTING_CLASSIFIER

  The meta object literal for the 'Substituting Classifier' container reference feature.

### REALIZATION

    static final org.eclipse.emf.ecore.EClass REALIZATION

  The meta object literal for the '`Realization`' class.

  See Also:
    `RealizationImpl`, `UMLPackageImpl.getRealization()`

### ABSTRACTION

    static final org.eclipse.emf.ecore.EClass ABSTRACTION

  The meta object literal for the '`Abstraction`' class.

  See Also:
    `AbstractionImpl`, `UMLPackageImpl.getAbstraction()`

### ABSTRACTION__MAPPING

    static final org.eclipse.emf.ecore.EReference ABSTRACTION__MAPPING

  The meta object literal for the 'Mapping' containment reference feature.

### OPAQUE_EXPRESSION

    static final org.eclipse.emf.ecore.EClass OPAQUE_EXPRESSION

  The meta object literal for the '`Opaque Expression`' class.

  See Also:
    `OpaqueExpressionImpl`, `UMLPackageImpl.getOpaqueExpression()`

### OPAQUE_EXPRESSION__BODY

    static final org.eclipse.emf.ecore.EAttribute OPAQUE_EXPRESSION__BODY

  The meta object literal for the 'Body' attribute list feature.

### OPAQUE_EXPRESSION__LANGUAGE

    static final org.eclipse.emf.ecore.EAttribute OPAQUE_EXPRESSION__LANGUAGE

  The meta object literal for the 'Language' attribute list feature.

### OPAQUE_EXPRESSION__RESULT

    static final org.eclipse.emf.ecore.EReference OPAQUE_EXPRESSION__RESULT

  The meta object literal for the 'Result' reference feature.

### OPAQUE_EXPRESSION__BEHAVIOR

    static final org.eclipse.emf.ecore.EReference OPAQUE_EXPRESSION__BEHAVIOR

  The meta object literal for the 'Behavior' reference feature.

### PARAMETER

    static final org.eclipse.emf.ecore.EClass PARAMETER

  The meta object literal for the '`Parameter`' class.

  See Also:
    `ParameterImpl`, `UMLPackageImpl.getParameter()`

### PARAMETER__PARAMETER_SET

    static final org.eclipse.emf.ecore.EReference PARAMETER__PARAMETER_SET

  The meta object literal for the 'Parameter Set' reference list feature.

### PARAMETER__OPERATION

    static final org.eclipse.emf.ecore.EReference PARAMETER__OPERATION

  The meta object literal for the 'Operation' reference feature.

### PARAMETER__DIRECTION

    static final org.eclipse.emf.ecore.EAttribute PARAMETER__DIRECTION

  The meta object literal for the 'Direction' attribute feature.

### PARAMETER__DEFAULT

    static final org.eclipse.emf.ecore.EAttribute PARAMETER__DEFAULT

  The meta object literal for the 'Default' attribute feature.

### PARAMETER__DEFAULT_VALUE

    static final org.eclipse.emf.ecore.EReference PARAMETER__DEFAULT_VALUE

  The meta object literal for the 'Default Value' containment reference feature.

### PARAMETER__IS_EXCEPTION

    static final org.eclipse.emf.ecore.EAttribute PARAMETER__IS_EXCEPTION

  The meta object literal for the 'Is Exception' attribute feature.

### PARAMETER__IS_STREAM

    static final org.eclipse.emf.ecore.EAttribute PARAMETER__IS_STREAM

  The meta object literal for the 'Is Stream' attribute feature.

### PARAMETER__EFFECT

    static final org.eclipse.emf.ecore.EAttribute PARAMETER__EFFECT

  The meta object literal for the 'Effect' attribute feature.

### MULTIPLICITY_ELEMENT

    static final org.eclipse.emf.ecore.EClass MULTIPLICITY_ELEMENT

  The meta object literal for the '`Multiplicity Element`' class.

  See Also:
    `MultiplicityElementImpl`, `UMLPackageImpl.getMultiplicityElement()`

### MULTIPLICITY_ELEMENT__IS_ORDERED

    static final org.eclipse.emf.ecore.EAttribute MULTIPLICITY_ELEMENT__IS_ORDERED

  The meta object literal for the 'Is Ordered' attribute feature.

### MULTIPLICITY_ELEMENT__IS_UNIQUE

    static final org.eclipse.emf.ecore.EAttribute MULTIPLICITY_ELEMENT__IS_UNIQUE

  The meta object literal for the 'Is Unique' attribute feature.

### MULTIPLICITY_ELEMENT__UPPER

    static final org.eclipse.emf.ecore.EAttribute MULTIPLICITY_ELEMENT__UPPER

  The meta object literal for the 'Upper' attribute feature.

### MULTIPLICITY_ELEMENT__LOWER

    static final org.eclipse.emf.ecore.EAttribute MULTIPLICITY_ELEMENT__LOWER

  The meta object literal for the 'Lower' attribute feature.

### MULTIPLICITY_ELEMENT__UPPER_VALUE

    static final org.eclipse.emf.ecore.EReference MULTIPLICITY_ELEMENT__UPPER_VALUE

  The meta object literal for the 'Upper Value' containment reference feature.

### MULTIPLICITY_ELEMENT__LOWER_VALUE

    static final org.eclipse.emf.ecore.EReference MULTIPLICITY_ELEMENT__LOWER_VALUE

  The meta object literal for the 'Lower Value' containment reference feature.

### CONNECTABLE_ELEMENT

    static final org.eclipse.emf.ecore.EClass CONNECTABLE_ELEMENT

  The meta object literal for the '`Connectable Element`' class.

  See Also:
    `ConnectableElementImpl`, `UMLPackageImpl.getConnectableElement()`

### CONNECTABLE_ELEMENT__END

    static final org.eclipse.emf.ecore.EReference CONNECTABLE_ELEMENT__END

  The meta object literal for the 'End' reference list feature.

### CONNECTOR_END

    static final org.eclipse.emf.ecore.EClass CONNECTOR_END

  The meta object literal for the '`Connector End`' class.

  See Also:
    `ConnectorEndImpl`, `UMLPackageImpl.getConnectorEnd()`

### CONNECTOR_END__DEFINING_END

    static final org.eclipse.emf.ecore.EReference CONNECTOR_END__DEFINING_END

  The meta object literal for the 'Defining End' reference feature.

### CONNECTOR_END__PART_WITH_PORT

    static final org.eclipse.emf.ecore.EReference CONNECTOR_END__PART_WITH_PORT

  The meta object literal for the 'Part With Port' reference feature.

### CONNECTOR_END__ROLE

    static final org.eclipse.emf.ecore.EReference CONNECTOR_END__ROLE

  The meta object literal for the 'Role' reference feature.

### PROPERTY

    static final org.eclipse.emf.ecore.EClass PROPERTY

  The meta object literal for the '`Property`' class.

  See Also:
    `PropertyImpl`, `UMLPackageImpl.getProperty()`

### PROPERTY__CLASS

    static final org.eclipse.emf.ecore.EReference PROPERTY__CLASS

  The meta object literal for the 'Class' reference feature.

### PROPERTY__DATATYPE

    static final org.eclipse.emf.ecore.EReference PROPERTY__DATATYPE

  The meta object literal for the 'Datatype' container reference feature.

### PROPERTY__IS_DERIVED

    static final org.eclipse.emf.ecore.EAttribute PROPERTY__IS_DERIVED

  The meta object literal for the 'Is Derived' attribute feature.

### PROPERTY__IS_DERIVED_UNION

    static final org.eclipse.emf.ecore.EAttribute PROPERTY__IS_DERIVED_UNION

  The meta object literal for the 'Is Derived Union' attribute feature.

### PROPERTY__DEFAULT

    static final org.eclipse.emf.ecore.EAttribute PROPERTY__DEFAULT

  The meta object literal for the 'Default' attribute feature.

### PROPERTY__AGGREGATION

    static final org.eclipse.emf.ecore.EAttribute PROPERTY__AGGREGATION

  The meta object literal for the 'Aggregation' attribute feature.

### PROPERTY__IS_COMPOSITE

    static final org.eclipse.emf.ecore.EAttribute PROPERTY__IS_COMPOSITE

  The meta object literal for the 'Is Composite' attribute feature.

### PROPERTY__REDEFINED_PROPERTY

    static final org.eclipse.emf.ecore.EReference PROPERTY__REDEFINED_PROPERTY

  The meta object literal for the 'Redefined Property' reference list feature.

### PROPERTY__OWNING_ASSOCIATION

    static final org.eclipse.emf.ecore.EReference PROPERTY__OWNING_ASSOCIATION

  The meta object literal for the 'Owning Association' container reference feature.

### PROPERTY__DEFAULT_VALUE

    static final org.eclipse.emf.ecore.EReference PROPERTY__DEFAULT_VALUE

  The meta object literal for the 'Default Value' containment reference feature.

### PROPERTY__OPPOSITE

    static final org.eclipse.emf.ecore.EReference PROPERTY__OPPOSITE

  The meta object literal for the 'Opposite' reference feature.

### PROPERTY__SUBSETTED_PROPERTY

    static final org.eclipse.emf.ecore.EReference PROPERTY__SUBSETTED_PROPERTY

  The meta object literal for the 'Subsetted Property' reference list feature.

### PROPERTY__ASSOCIATION

    static final org.eclipse.emf.ecore.EReference PROPERTY__ASSOCIATION

  The meta object literal for the 'Association' reference feature.

### PROPERTY__QUALIFIER

    static final org.eclipse.emf.ecore.EReference PROPERTY__QUALIFIER

  The meta object literal for the 'Qualifier' containment reference list feature.

### PROPERTY__ASSOCIATION_END

    static final org.eclipse.emf.ecore.EReference PROPERTY__ASSOCIATION_END

  The meta object literal for the 'Association End' container reference feature.

### DEPLOYMENT_TARGET

    static final org.eclipse.emf.ecore.EClass DEPLOYMENT_TARGET

  The meta object literal for the '`Deployment Target`' class.

  See Also:
    `DeploymentTargetImpl`, `UMLPackageImpl.getDeploymentTarget()`

### DEPLOYMENT_TARGET__DEPLOYMENT

    static final org.eclipse.emf.ecore.EReference DEPLOYMENT_TARGET__DEPLOYMENT

  The meta object literal for the 'Deployment' containment reference list feature.

### DEPLOYMENT_TARGET__DEPLOYED_ELEMENT

    static final org.eclipse.emf.ecore.EReference DEPLOYMENT_TARGET__DEPLOYED_ELEMENT

  The meta object literal for the 'Deployed Element' reference list feature.

### DEPLOYMENT

    static final org.eclipse.emf.ecore.EClass DEPLOYMENT

  The meta object literal for the '`Deployment`' class.

  See Also:
    `DeploymentImpl`, `UMLPackageImpl.getDeployment()`

### DEPLOYMENT__DEPLOYED_ARTIFACT

    static final org.eclipse.emf.ecore.EReference DEPLOYMENT__DEPLOYED_ARTIFACT

  The meta object literal for the 'Deployed Artifact' reference list feature.

### DEPLOYMENT__CONFIGURATION

    static final org.eclipse.emf.ecore.EReference DEPLOYMENT__CONFIGURATION

  The meta object literal for the 'Configuration' containment reference list feature.

### DEPLOYMENT__LOCATION

    static final org.eclipse.emf.ecore.EReference DEPLOYMENT__LOCATION

  The meta object literal for the 'Location' container reference feature.

### DEPLOYED_ARTIFACT

    static final org.eclipse.emf.ecore.EClass DEPLOYED_ARTIFACT

  The meta object literal for the '`Deployed Artifact`' class.

  See Also:
    `DeployedArtifactImpl`, `UMLPackageImpl.getDeployedArtifact()`

### DEPLOYMENT_SPECIFICATION

    static final org.eclipse.emf.ecore.EClass DEPLOYMENT_SPECIFICATION

  The meta object literal for the '`Deployment Specification`' class.

  See Also:
    `DeploymentSpecificationImpl`, `UMLPackageImpl.getDeploymentSpecification()`

### DEPLOYMENT_SPECIFICATION__DEPLOYMENT_LOCATION

    static final org.eclipse.emf.ecore.EAttribute DEPLOYMENT_SPECIFICATION__DEPLOYMENT_LOCATION

  The meta object literal for the 'Deployment Location' attribute feature.

### DEPLOYMENT_SPECIFICATION__EXECUTION_LOCATION

    static final org.eclipse.emf.ecore.EAttribute DEPLOYMENT_SPECIFICATION__EXECUTION_LOCATION

  The meta object literal for the 'Execution Location' attribute feature.

### DEPLOYMENT_SPECIFICATION__DEPLOYMENT

    static final org.eclipse.emf.ecore.EReference DEPLOYMENT_SPECIFICATION__DEPLOYMENT

  The meta object literal for the 'Deployment' container reference feature.

### ARTIFACT

    static final org.eclipse.emf.ecore.EClass ARTIFACT

  The meta object literal for the '`Artifact`' class.

  See Also:
    `ArtifactImpl`, `UMLPackageImpl.getArtifact()`

### ARTIFACT__FILE_NAME

    static final org.eclipse.emf.ecore.EAttribute ARTIFACT__FILE_NAME

  The meta object literal for the 'File Name' attribute feature.

### ARTIFACT__NESTED_ARTIFACT

    static final org.eclipse.emf.ecore.EReference ARTIFACT__NESTED_ARTIFACT

  The meta object literal for the 'Nested Artifact' containment reference list feature.

### ARTIFACT__MANIFESTATION

    static final org.eclipse.emf.ecore.EReference ARTIFACT__MANIFESTATION

  The meta object literal for the 'Manifestation' containment reference list feature.

### ARTIFACT__OWNED_OPERATION

    static final org.eclipse.emf.ecore.EReference ARTIFACT__OWNED_OPERATION

  The meta object literal for the 'Owned Operation' containment reference list feature.

### ARTIFACT__OWNED_ATTRIBUTE

    static final org.eclipse.emf.ecore.EReference ARTIFACT__OWNED_ATTRIBUTE

  The meta object literal for the 'Owned Attribute' containment reference list feature.

### MANIFESTATION

    static final org.eclipse.emf.ecore.EClass MANIFESTATION

  The meta object literal for the '`Manifestation`' class.

  See Also:
    `ManifestationImpl`, `UMLPackageImpl.getManifestation()`

### MANIFESTATION__UTILIZED_ELEMENT

    static final org.eclipse.emf.ecore.EReference MANIFESTATION__UTILIZED_ELEMENT

  The meta object literal for the 'Utilized Element' reference feature.

### OPERATION

    static final org.eclipse.emf.ecore.EClass OPERATION

  The meta object literal for the '`Operation`' class.

  See Also:
    `OperationImpl`, `UMLPackageImpl.getOperation()`

### OPERATION__INTERFACE

    static final org.eclipse.emf.ecore.EReference OPERATION__INTERFACE

  The meta object literal for the 'Interface' container reference feature.

### OPERATION__CLASS

    static final org.eclipse.emf.ecore.EReference OPERATION__CLASS

  The meta object literal for the 'Class' container reference feature.

### OPERATION__IS_QUERY

    static final org.eclipse.emf.ecore.EAttribute OPERATION__IS_QUERY

  The meta object literal for the 'Is Query' attribute feature.

### OPERATION__IS_ORDERED

    static final org.eclipse.emf.ecore.EAttribute OPERATION__IS_ORDERED

  The meta object literal for the 'Is Ordered' attribute feature.

### OPERATION__IS_UNIQUE

    static final org.eclipse.emf.ecore.EAttribute OPERATION__IS_UNIQUE

  The meta object literal for the 'Is Unique' attribute feature.

### OPERATION__LOWER

    static final org.eclipse.emf.ecore.EAttribute OPERATION__LOWER

  The meta object literal for the 'Lower' attribute feature.

### OPERATION__UPPER

    static final org.eclipse.emf.ecore.EAttribute OPERATION__UPPER

  The meta object literal for the 'Upper' attribute feature.

### OPERATION__PRECONDITION

    static final org.eclipse.emf.ecore.EReference OPERATION__PRECONDITION

  The meta object literal for the 'Precondition' reference list feature.

### OPERATION__POSTCONDITION

    static final org.eclipse.emf.ecore.EReference OPERATION__POSTCONDITION

  The meta object literal for the 'Postcondition' reference list feature.

### OPERATION__REDEFINED_OPERATION

    static final org.eclipse.emf.ecore.EReference OPERATION__REDEFINED_OPERATION

  The meta object literal for the 'Redefined Operation' reference list feature.

### OPERATION__DATATYPE

    static final org.eclipse.emf.ecore.EReference OPERATION__DATATYPE

  The meta object literal for the 'Datatype' container reference feature.

### OPERATION__BODY_CONDITION

    static final org.eclipse.emf.ecore.EReference OPERATION__BODY_CONDITION

  The meta object literal for the 'Body Condition' reference feature.

### OPERATION__TYPE

    static final org.eclipse.emf.ecore.EReference OPERATION__TYPE

  The meta object literal for the 'Type' reference feature.

### BEHAVIORAL_FEATURE

    static final org.eclipse.emf.ecore.EClass BEHAVIORAL_FEATURE

  The meta object literal for the '`Behavioral Feature`' class.

  See Also:
    `BehavioralFeatureImpl`, `UMLPackageImpl.getBehavioralFeature()`

### BEHAVIORAL_FEATURE__OWNED_PARAMETER

    static final org.eclipse.emf.ecore.EReference BEHAVIORAL_FEATURE__OWNED_PARAMETER

  The meta object literal for the 'Owned Parameter' containment reference list feature.

### BEHAVIORAL_FEATURE__IS_ABSTRACT

    static final org.eclipse.emf.ecore.EAttribute BEHAVIORAL_FEATURE__IS_ABSTRACT

  The meta object literal for the 'Is Abstract' attribute feature.

### BEHAVIORAL_FEATURE__METHOD

    static final org.eclipse.emf.ecore.EReference BEHAVIORAL_FEATURE__METHOD

  The meta object literal for the 'Method' reference list feature.

### BEHAVIORAL_FEATURE__CONCURRENCY

    static final org.eclipse.emf.ecore.EAttribute BEHAVIORAL_FEATURE__CONCURRENCY

  The meta object literal for the 'Concurrency' attribute feature.

### BEHAVIORAL_FEATURE__RAISED_EXCEPTION

    static final org.eclipse.emf.ecore.EReference BEHAVIORAL_FEATURE__RAISED_EXCEPTION

  The meta object literal for the 'Raised Exception' reference list feature.

### BEHAVIORAL_FEATURE__OWNED_PARAMETER_SET

    static final org.eclipse.emf.ecore.EReference BEHAVIORAL_FEATURE__OWNED_PARAMETER_SET

  The meta object literal for the 'Owned Parameter Set' containment reference list feature.

### BEHAVIOR

    static final org.eclipse.emf.ecore.EClass BEHAVIOR

  The meta object literal for the '`Behavior`' class.

  See Also:
    `BehaviorImpl`, `UMLPackageImpl.getBehavior()`

### BEHAVIOR__IS_REENTRANT

    static final org.eclipse.emf.ecore.EAttribute BEHAVIOR__IS_REENTRANT

  The meta object literal for the 'Is Reentrant' attribute feature.

### BEHAVIOR__REDEFINED_BEHAVIOR

    static final org.eclipse.emf.ecore.EReference BEHAVIOR__REDEFINED_BEHAVIOR

  The meta object literal for the 'Redefined Behavior' reference list feature.

### BEHAVIOR__OWNED_PARAMETER

    static final org.eclipse.emf.ecore.EReference BEHAVIOR__OWNED_PARAMETER

  The meta object literal for the 'Owned Parameter' containment reference list feature.

### BEHAVIOR__CONTEXT

    static final org.eclipse.emf.ecore.EReference BEHAVIOR__CONTEXT

  The meta object literal for the 'Context' reference feature.

### BEHAVIOR__PRECONDITION

    static final org.eclipse.emf.ecore.EReference BEHAVIOR__PRECONDITION

  The meta object literal for the 'Precondition' reference list feature.

### BEHAVIOR__POSTCONDITION

    static final org.eclipse.emf.ecore.EReference BEHAVIOR__POSTCONDITION

  The meta object literal for the 'Postcondition' reference list feature.

### BEHAVIOR__OWNED_PARAMETER_SET

    static final org.eclipse.emf.ecore.EReference BEHAVIOR__OWNED_PARAMETER_SET

  The meta object literal for the 'Owned Parameter Set' containment reference list feature.

### BEHAVIOR__SPECIFICATION

    static final org.eclipse.emf.ecore.EReference BEHAVIOR__SPECIFICATION

  The meta object literal for the 'Specification' reference feature.

### CLASS

    static final org.eclipse.emf.ecore.EClass CLASS

  The meta object literal for the '`Class`' class.

  See Also:
    `ClassImpl`, `UMLPackageImpl.getClass_()`

### CLASS__NESTED_CLASSIFIER

    static final org.eclipse.emf.ecore.EReference CLASS__NESTED_CLASSIFIER

  The meta object literal for the 'Nested Classifier' containment reference list feature.

### CLASS__OWNED_OPERATION

    static final org.eclipse.emf.ecore.EReference CLASS__OWNED_OPERATION

  The meta object literal for the 'Owned Operation' containment reference list feature.

### CLASS__SUPER_CLASS

    static final org.eclipse.emf.ecore.EReference CLASS__SUPER_CLASS

  The meta object literal for the 'Super Class' reference list feature.

### CLASS__IS_ACTIVE

    static final org.eclipse.emf.ecore.EAttribute CLASS__IS_ACTIVE

  The meta object literal for the 'Is Active' attribute feature.

### CLASS__OWNED_RECEPTION

    static final org.eclipse.emf.ecore.EReference CLASS__OWNED_RECEPTION

  The meta object literal for the 'Owned Reception' containment reference list feature.

### CLASS__EXTENSION

    static final org.eclipse.emf.ecore.EReference CLASS__EXTENSION

  The meta object literal for the 'Extension' reference list feature.

### BEHAVIORED_CLASSIFIER

    static final org.eclipse.emf.ecore.EClass BEHAVIORED_CLASSIFIER

  The meta object literal for the '`Behaviored Classifier`' class.

  See Also:
    `BehavioredClassifierImpl`, `UMLPackageImpl.getBehavioredClassifier()`

### BEHAVIORED_CLASSIFIER__OWNED_BEHAVIOR

    static final org.eclipse.emf.ecore.EReference BEHAVIORED_CLASSIFIER__OWNED_BEHAVIOR

  The meta object literal for the 'Owned Behavior' containment reference list feature.

### BEHAVIORED_CLASSIFIER__CLASSIFIER_BEHAVIOR

    static final org.eclipse.emf.ecore.EReference BEHAVIORED_CLASSIFIER__CLASSIFIER_BEHAVIOR

  The meta object literal for the 'Classifier Behavior' reference feature.

### BEHAVIORED_CLASSIFIER__INTERFACE_REALIZATION

    static final org.eclipse.emf.ecore.EReference BEHAVIORED_CLASSIFIER__INTERFACE_REALIZATION

  The meta object literal for the 'Interface Realization' containment reference list feature.

### BEHAVIORED_CLASSIFIER__OWNED_TRIGGER

    static final org.eclipse.emf.ecore.EReference BEHAVIORED_CLASSIFIER__OWNED_TRIGGER

  The meta object literal for the 'Owned Trigger' containment reference list feature.

### INTERFACE_REALIZATION

    static final org.eclipse.emf.ecore.EClass INTERFACE_REALIZATION

  The meta object literal for the '`Interface Realization`' class.

  See Also:
    `InterfaceRealizationImpl`, `UMLPackageImpl.getInterfaceRealization()`

### INTERFACE_REALIZATION__CONTRACT

    static final org.eclipse.emf.ecore.EReference INTERFACE_REALIZATION__CONTRACT

  The meta object literal for the 'Contract' reference feature.

### INTERFACE_REALIZATION__IMPLEMENTING_CLASSIFIER

    static final org.eclipse.emf.ecore.EReference INTERFACE_REALIZATION__IMPLEMENTING_CLASSIFIER

  The meta object literal for the 'Implementing Classifier' container reference feature.

### INTERFACE

    static final org.eclipse.emf.ecore.EClass INTERFACE

  The meta object literal for the '`Interface`' class.

  See Also:
    `InterfaceImpl`, `UMLPackageImpl.getInterface()`

### INTERFACE__OWNED_ATTRIBUTE

    static final org.eclipse.emf.ecore.EReference INTERFACE__OWNED_ATTRIBUTE

  The meta object literal for the 'Owned Attribute' containment reference list feature.

### INTERFACE__OWNED_OPERATION

    static final org.eclipse.emf.ecore.EReference INTERFACE__OWNED_OPERATION

  The meta object literal for the 'Owned Operation' containment reference list feature.

### INTERFACE__NESTED_CLASSIFIER

    static final org.eclipse.emf.ecore.EReference INTERFACE__NESTED_CLASSIFIER

  The meta object literal for the 'Nested Classifier' containment reference list feature.

### INTERFACE__REDEFINED_INTERFACE

    static final org.eclipse.emf.ecore.EReference INTERFACE__REDEFINED_INTERFACE

  The meta object literal for the 'Redefined Interface' reference list feature.

### INTERFACE__OWNED_RECEPTION

    static final org.eclipse.emf.ecore.EReference INTERFACE__OWNED_RECEPTION

  The meta object literal for the 'Owned Reception' containment reference list feature.

### INTERFACE__PROTOCOL

    static final org.eclipse.emf.ecore.EReference INTERFACE__PROTOCOL

  The meta object literal for the 'Protocol' containment reference feature.

### RECEPTION

    static final org.eclipse.emf.ecore.EClass RECEPTION

  The meta object literal for the '`Reception`' class.

  See Also:
    `ReceptionImpl`, `UMLPackageImpl.getReception()`

### RECEPTION__SIGNAL

    static final org.eclipse.emf.ecore.EReference RECEPTION__SIGNAL

  The meta object literal for the 'Signal' reference feature.

### SIGNAL

    static final org.eclipse.emf.ecore.EClass SIGNAL

  The meta object literal for the '`Signal`' class.

  See Also:
    `SignalImpl`, `UMLPackageImpl.getSignal()`

### SIGNAL__OWNED_ATTRIBUTE

    static final org.eclipse.emf.ecore.EReference SIGNAL__OWNED_ATTRIBUTE

  The meta object literal for the 'Owned Attribute' containment reference list feature.

### PROTOCOL_STATE_MACHINE

    static final org.eclipse.emf.ecore.EClass PROTOCOL_STATE_MACHINE

  The meta object literal for the '`Protocol State Machine`' class.

  See Also:
    `ProtocolStateMachineImpl`, `UMLPackageImpl.getProtocolStateMachine()`

### PROTOCOL_STATE_MACHINE__CONFORMANCE

    static final org.eclipse.emf.ecore.EReference PROTOCOL_STATE_MACHINE__CONFORMANCE

  The meta object literal for the 'Conformance' containment reference list feature.

### STATE_MACHINE

    static final org.eclipse.emf.ecore.EClass STATE_MACHINE

  The meta object literal for the '`State Machine`' class.

  See Also:
    `StateMachineImpl`, `UMLPackageImpl.getStateMachine()`

### STATE_MACHINE__REGION

    static final org.eclipse.emf.ecore.EReference STATE_MACHINE__REGION

  The meta object literal for the 'Region' containment reference list feature.

### STATE_MACHINE__SUBMACHINE_STATE

    static final org.eclipse.emf.ecore.EReference STATE_MACHINE__SUBMACHINE_STATE

  The meta object literal for the 'Submachine State' reference list feature.

### STATE_MACHINE__CONNECTION_POINT

    static final org.eclipse.emf.ecore.EReference STATE_MACHINE__CONNECTION_POINT

  The meta object literal for the 'Connection Point' containment reference list feature.

### STATE_MACHINE__EXTENDED_STATE_MACHINE

    static final org.eclipse.emf.ecore.EReference STATE_MACHINE__EXTENDED_STATE_MACHINE

  The meta object literal for the 'Extended State Machine' reference list feature.

### REGION

    static final org.eclipse.emf.ecore.EClass REGION

  The meta object literal for the '`Region`' class.

  See Also:
    `RegionImpl`, `UMLPackageImpl.getRegion()`

### REGION__SUBVERTEX

    static final org.eclipse.emf.ecore.EReference REGION__SUBVERTEX

  The meta object literal for the 'Subvertex' containment reference list feature.

### REGION__TRANSITION

    static final org.eclipse.emf.ecore.EReference REGION__TRANSITION

  The meta object literal for the 'Transition' containment reference list feature.

### REGION__STATE

    static final org.eclipse.emf.ecore.EReference REGION__STATE

  The meta object literal for the 'State' container reference feature.

### REGION__EXTENDED_REGION

    static final org.eclipse.emf.ecore.EReference REGION__EXTENDED_REGION

  The meta object literal for the 'Extended Region' reference feature.

### REGION__STATE_MACHINE

    static final org.eclipse.emf.ecore.EReference REGION__STATE_MACHINE

  The meta object literal for the 'State Machine' container reference feature.

### VERTEX

    static final org.eclipse.emf.ecore.EClass VERTEX

  The meta object literal for the '`Vertex`' class.

  See Also:
    `VertexImpl`, `UMLPackageImpl.getVertex()`

### VERTEX__OUTGOING

    static final org.eclipse.emf.ecore.EReference VERTEX__OUTGOING

  The meta object literal for the 'Outgoing' reference list feature.

### VERTEX__INCOMING

    static final org.eclipse.emf.ecore.EReference VERTEX__INCOMING

  The meta object literal for the 'Incoming' reference list feature.

### VERTEX__CONTAINER

    static final org.eclipse.emf.ecore.EReference VERTEX__CONTAINER

  The meta object literal for the 'Container' container reference feature.

### TRANSITION

    static final org.eclipse.emf.ecore.EClass TRANSITION

  The meta object literal for the '`Transition`' class.

  See Also:
    `TransitionImpl`, `UMLPackageImpl.getTransition()`

### TRANSITION__KIND

    static final org.eclipse.emf.ecore.EAttribute TRANSITION__KIND

  The meta object literal for the 'Kind' attribute feature.

### TRANSITION__CONTAINER

    static final org.eclipse.emf.ecore.EReference TRANSITION__CONTAINER

  The meta object literal for the 'Container' container reference feature.

### TRANSITION__TARGET

    static final org.eclipse.emf.ecore.EReference TRANSITION__TARGET

  The meta object literal for the 'Target' reference feature.

### TRANSITION__REDEFINED_TRANSITION

    static final org.eclipse.emf.ecore.EReference TRANSITION__REDEFINED_TRANSITION

  The meta object literal for the 'Redefined Transition' reference feature.

### TRANSITION__GUARD

    static final org.eclipse.emf.ecore.EReference TRANSITION__GUARD

  The meta object literal for the 'Guard' reference feature.

### TRANSITION__EFFECT

    static final org.eclipse.emf.ecore.EReference TRANSITION__EFFECT

  The meta object literal for the 'Effect' containment reference feature.

### TRANSITION__TRIGGER

    static final org.eclipse.emf.ecore.EReference TRANSITION__TRIGGER

  The meta object literal for the 'Trigger' containment reference list feature.

### TRANSITION__SOURCE

    static final org.eclipse.emf.ecore.EReference TRANSITION__SOURCE

  The meta object literal for the 'Source' reference feature.

### TRIGGER

    static final org.eclipse.emf.ecore.EClass TRIGGER

  The meta object literal for the '`Trigger`' class.

  See Also:
    `TriggerImpl`, `UMLPackageImpl.getTrigger()`

### TRIGGER__EVENT

    static final org.eclipse.emf.ecore.EReference TRIGGER__EVENT

  The meta object literal for the 'Event' reference feature.

### TRIGGER__PORT

    static final org.eclipse.emf.ecore.EReference TRIGGER__PORT

  The meta object literal for the 'Port' reference list feature.

### EVENT

    static final org.eclipse.emf.ecore.EClass EVENT

  The meta object literal for the '`Event`' class.

  See Also:
    `EventImpl`, `UMLPackageImpl.getEvent()`

### PORT

    static final org.eclipse.emf.ecore.EClass PORT

  The meta object literal for the '`Port`' class.

  See Also:
    `PortImpl`, `UMLPackageImpl.getPort()`

### PORT__IS_BEHAVIOR

    static final org.eclipse.emf.ecore.EAttribute PORT__IS_BEHAVIOR

  The meta object literal for the 'Is Behavior' attribute feature.

### PORT__IS_SERVICE

    static final org.eclipse.emf.ecore.EAttribute PORT__IS_SERVICE

  The meta object literal for the 'Is Service' attribute feature.

### PORT__REQUIRED

    static final org.eclipse.emf.ecore.EReference PORT__REQUIRED

  The meta object literal for the 'Required' reference list feature.

### PORT__REDEFINED_PORT

    static final org.eclipse.emf.ecore.EReference PORT__REDEFINED_PORT

  The meta object literal for the 'Redefined Port' reference list feature.

### PORT__PROVIDED

    static final org.eclipse.emf.ecore.EReference PORT__PROVIDED

  The meta object literal for the 'Provided' reference list feature.

### PORT__PROTOCOL

    static final org.eclipse.emf.ecore.EReference PORT__PROTOCOL

  The meta object literal for the 'Protocol' reference feature.

### STATE

    static final org.eclipse.emf.ecore.EClass STATE

  The meta object literal for the '`State`' class.

  See Also:
    `StateImpl`, `UMLPackageImpl.getState()`

### STATE__IS_COMPOSITE

    static final org.eclipse.emf.ecore.EAttribute STATE__IS_COMPOSITE

  The meta object literal for the 'Is Composite' attribute feature.

### STATE__IS_ORTHOGONAL

    static final org.eclipse.emf.ecore.EAttribute STATE__IS_ORTHOGONAL

  The meta object literal for the 'Is Orthogonal' attribute feature.

### STATE__IS_SIMPLE

    static final org.eclipse.emf.ecore.EAttribute STATE__IS_SIMPLE

  The meta object literal for the 'Is Simple' attribute feature.

### STATE__IS_SUBMACHINE_STATE

    static final org.eclipse.emf.ecore.EAttribute STATE__IS_SUBMACHINE_STATE

  The meta object literal for the 'Is Submachine State' attribute feature.

### STATE__SUBMACHINE

    static final org.eclipse.emf.ecore.EReference STATE__SUBMACHINE

  The meta object literal for the 'Submachine' reference feature.

### STATE__CONNECTION

    static final org.eclipse.emf.ecore.EReference STATE__CONNECTION

  The meta object literal for the 'Connection' containment reference list feature.

### STATE__CONNECTION_POINT

    static final org.eclipse.emf.ecore.EReference STATE__CONNECTION_POINT

  The meta object literal for the 'Connection Point' containment reference list feature.

### STATE__REDEFINED_STATE

    static final org.eclipse.emf.ecore.EReference STATE__REDEFINED_STATE

  The meta object literal for the 'Redefined State' reference feature.

### STATE__STATE_INVARIANT

    static final org.eclipse.emf.ecore.EReference STATE__STATE_INVARIANT

  The meta object literal for the 'State Invariant' containment reference feature.

### STATE__ENTRY

    static final org.eclipse.emf.ecore.EReference STATE__ENTRY

  The meta object literal for the 'Entry' containment reference feature.

### STATE__EXIT

    static final org.eclipse.emf.ecore.EReference STATE__EXIT

  The meta object literal for the 'Exit' containment reference feature.

### STATE__DO_ACTIVITY

    static final org.eclipse.emf.ecore.EReference STATE__DO_ACTIVITY

  The meta object literal for the 'Do Activity' containment reference feature.

### STATE__DEFERRABLE_TRIGGER

    static final org.eclipse.emf.ecore.EReference STATE__DEFERRABLE_TRIGGER

  The meta object literal for the 'Deferrable Trigger' containment reference list feature.

### STATE__REGION

    static final org.eclipse.emf.ecore.EReference STATE__REGION

  The meta object literal for the 'Region' containment reference list feature.

### CONNECTION_POINT_REFERENCE

    static final org.eclipse.emf.ecore.EClass CONNECTION_POINT_REFERENCE

  The meta object literal for the '`Connection Point Reference`' class.

  See Also:
    `ConnectionPointReferenceImpl`, `UMLPackageImpl.getConnectionPointReference()`

### CONNECTION_POINT_REFERENCE__ENTRY

    static final org.eclipse.emf.ecore.EReference CONNECTION_POINT_REFERENCE__ENTRY

  The meta object literal for the 'Entry' reference list feature.

### CONNECTION_POINT_REFERENCE__EXIT

    static final org.eclipse.emf.ecore.EReference CONNECTION_POINT_REFERENCE__EXIT

  The meta object literal for the 'Exit' reference list feature.

### CONNECTION_POINT_REFERENCE__STATE

    static final org.eclipse.emf.ecore.EReference CONNECTION_POINT_REFERENCE__STATE

  The meta object literal for the 'State' container reference feature.

### PSEUDOSTATE

    static final org.eclipse.emf.ecore.EClass PSEUDOSTATE

  The meta object literal for the '`Pseudostate`' class.

  See Also:
    `PseudostateImpl`, `UMLPackageImpl.getPseudostate()`

### PSEUDOSTATE__KIND

    static final org.eclipse.emf.ecore.EAttribute PSEUDOSTATE__KIND

  The meta object literal for the 'Kind' attribute feature.

### PSEUDOSTATE__STATE_MACHINE

    static final org.eclipse.emf.ecore.EReference PSEUDOSTATE__STATE_MACHINE

  The meta object literal for the 'State Machine' container reference feature.

### PSEUDOSTATE__STATE

    static final org.eclipse.emf.ecore.EReference PSEUDOSTATE__STATE

  The meta object literal for the 'State' container reference feature.

### PROTOCOL_CONFORMANCE

    static final org.eclipse.emf.ecore.EClass PROTOCOL_CONFORMANCE

  The meta object literal for the '`Protocol Conformance`' class.

  See Also:
    `ProtocolConformanceImpl`, `UMLPackageImpl.getProtocolConformance()`

### PROTOCOL_CONFORMANCE__GENERAL_MACHINE

    static final org.eclipse.emf.ecore.EReference PROTOCOL_CONFORMANCE__GENERAL_MACHINE

  The meta object literal for the 'General Machine' reference feature.

### PROTOCOL_CONFORMANCE__SPECIFIC_MACHINE

    static final org.eclipse.emf.ecore.EReference PROTOCOL_CONFORMANCE__SPECIFIC_MACHINE

  The meta object literal for the 'Specific Machine' container reference feature.

### ENCAPSULATED_CLASSIFIER

    static final org.eclipse.emf.ecore.EClass ENCAPSULATED_CLASSIFIER

  The meta object literal for the '`Encapsulated Classifier`' class.

  See Also:
    `EncapsulatedClassifierImpl`, `UMLPackageImpl.getEncapsulatedClassifier()`

### ENCAPSULATED_CLASSIFIER__OWNED_PORT

    static final org.eclipse.emf.ecore.EReference ENCAPSULATED_CLASSIFIER__OWNED_PORT

  The meta object literal for the 'Owned Port' reference list feature.

### STRUCTURED_CLASSIFIER

    static final org.eclipse.emf.ecore.EClass STRUCTURED_CLASSIFIER

  The meta object literal for the '`Structured Classifier`' class.

  See Also:
    `StructuredClassifierImpl`, `UMLPackageImpl.getStructuredClassifier()`

### STRUCTURED_CLASSIFIER__OWNED_ATTRIBUTE

    static final org.eclipse.emf.ecore.EReference STRUCTURED_CLASSIFIER__OWNED_ATTRIBUTE

  The meta object literal for the 'Owned Attribute' containment reference list feature.

### STRUCTURED_CLASSIFIER__PART

    static final org.eclipse.emf.ecore.EReference STRUCTURED_CLASSIFIER__PART

  The meta object literal for the 'Part' reference list feature.

### STRUCTURED_CLASSIFIER__ROLE

    static final org.eclipse.emf.ecore.EReference STRUCTURED_CLASSIFIER__ROLE

  The meta object literal for the 'Role' reference list feature.

### STRUCTURED_CLASSIFIER__OWNED_CONNECTOR

    static final org.eclipse.emf.ecore.EReference STRUCTURED_CLASSIFIER__OWNED_CONNECTOR

  The meta object literal for the 'Owned Connector' containment reference list feature.

### CONNECTOR

    static final org.eclipse.emf.ecore.EClass CONNECTOR

  The meta object literal for the '`Connector`' class.

  See Also:
    `ConnectorImpl`, `UMLPackageImpl.getConnector()`

### CONNECTOR__TYPE

    static final org.eclipse.emf.ecore.EReference CONNECTOR__TYPE

  The meta object literal for the 'Type' reference feature.

### CONNECTOR__REDEFINED_CONNECTOR

    static final org.eclipse.emf.ecore.EReference CONNECTOR__REDEFINED_CONNECTOR

  The meta object literal for the 'Redefined Connector' reference list feature.

### CONNECTOR__END

    static final org.eclipse.emf.ecore.EReference CONNECTOR__END

  The meta object literal for the 'End' containment reference list feature.

### CONNECTOR__KIND

    static final org.eclipse.emf.ecore.EAttribute CONNECTOR__KIND

  The meta object literal for the 'Kind' attribute feature.

### CONNECTOR__CONTRACT

    static final org.eclipse.emf.ecore.EReference CONNECTOR__CONTRACT

  The meta object literal for the 'Contract' reference list feature.

### EXTENSION

    static final org.eclipse.emf.ecore.EClass EXTENSION

  The meta object literal for the '`Extension`' class.

  See Also:
    `ExtensionImpl`, `UMLPackageImpl.getExtension()`

### EXTENSION__IS_REQUIRED

    static final org.eclipse.emf.ecore.EAttribute EXTENSION__IS_REQUIRED

  The meta object literal for the 'Is Required' attribute feature.

### EXTENSION__METACLASS

    static final org.eclipse.emf.ecore.EReference EXTENSION__METACLASS

  The meta object literal for the 'Metaclass' reference feature.

### EXTENSION_END

    static final org.eclipse.emf.ecore.EClass EXTENSION_END

  The meta object literal for the '`Extension End`' class.

  See Also:
    `ExtensionEndImpl`, `UMLPackageImpl.getExtensionEnd()`

### STEREOTYPE

    static final org.eclipse.emf.ecore.EClass STEREOTYPE

  The meta object literal for the '`Stereotype`' class.

  See Also:
    `StereotypeImpl`, `UMLPackageImpl.getStereotype()`

### STEREOTYPE__ICON

    static final org.eclipse.emf.ecore.EReference STEREOTYPE__ICON

  The meta object literal for the 'Icon' containment reference list feature.

### IMAGE

    static final org.eclipse.emf.ecore.EClass IMAGE

  The meta object literal for the '`Image`' class.

  See Also:
    `ImageImpl`, `UMLPackageImpl.getImage()`

### IMAGE__CONTENT

    static final org.eclipse.emf.ecore.EAttribute IMAGE__CONTENT

  The meta object literal for the 'Content' attribute feature.

### IMAGE__LOCATION

    static final org.eclipse.emf.ecore.EAttribute IMAGE__LOCATION

  The meta object literal for the 'Location' attribute feature.

### IMAGE__FORMAT

    static final org.eclipse.emf.ecore.EAttribute IMAGE__FORMAT

  The meta object literal for the 'Format' attribute feature.

### PROFILE

    static final org.eclipse.emf.ecore.EClass PROFILE

  The meta object literal for the '`Profile`' class.

  See Also:
    `ProfileImpl`, `UMLPackageImpl.getProfile()`

### PROFILE__OWNED_STEREOTYPE

    static final org.eclipse.emf.ecore.EReference PROFILE__OWNED_STEREOTYPE

  The meta object literal for the 'Owned Stereotype' reference list feature.

### PROFILE__METACLASS_REFERENCE

    static final org.eclipse.emf.ecore.EReference PROFILE__METACLASS_REFERENCE

  The meta object literal for the 'Metaclass Reference' reference list feature.

### PROFILE__METAMODEL_REFERENCE

    static final org.eclipse.emf.ecore.EReference PROFILE__METAMODEL_REFERENCE

  The meta object literal for the 'Metamodel Reference' reference list feature.

### MODEL

    static final org.eclipse.emf.ecore.EClass MODEL

  The meta object literal for the '`Model`' class.

  See Also:
    `ModelImpl`, `UMLPackageImpl.getModel()`

### MODEL__VIEWPOINT

    static final org.eclipse.emf.ecore.EAttribute MODEL__VIEWPOINT

  The meta object literal for the 'Viewpoint' attribute feature.

### PARAMETER_SET

    static final org.eclipse.emf.ecore.EClass PARAMETER_SET

  The meta object literal for the '`Parameter Set`' class.

  See Also:
    `ParameterSetImpl`, `UMLPackageImpl.getParameterSet()`

### PARAMETER_SET__PARAMETER

    static final org.eclipse.emf.ecore.EReference PARAMETER_SET__PARAMETER

  The meta object literal for the 'Parameter' reference list feature.

### PARAMETER_SET__CONDITION

    static final org.eclipse.emf.ecore.EReference PARAMETER_SET__CONDITION

  The meta object literal for the 'Condition' containment reference list feature.

### DATA_TYPE

    static final org.eclipse.emf.ecore.EClass DATA_TYPE

  The meta object literal for the '`Data Type`' class.

  See Also:
    `DataTypeImpl`, `UMLPackageImpl.getDataType()`

### DATA_TYPE__OWNED_ATTRIBUTE

    static final org.eclipse.emf.ecore.EReference DATA_TYPE__OWNED_ATTRIBUTE

  The meta object literal for the 'Owned Attribute' containment reference list feature.

### DATA_TYPE__OWNED_OPERATION

    static final org.eclipse.emf.ecore.EReference DATA_TYPE__OWNED_OPERATION

  The meta object literal for the 'Owned Operation' containment reference list feature.

### OPERATION_TEMPLATE_PARAMETER

    static final org.eclipse.emf.ecore.EClass OPERATION_TEMPLATE_PARAMETER

  The meta object literal for the '`Operation Template Parameter`' class.

  See Also:
    `OperationTemplateParameterImpl`, `UMLPackageImpl.getOperationTemplateParameter()`

### STRUCTURAL_FEATURE

    static final org.eclipse.emf.ecore.EClass STRUCTURAL_FEATURE

  The meta object literal for the '`Structural Feature`' class.

  See Also:
    `StructuralFeatureImpl`, `UMLPackageImpl.getStructuralFeature()`

### STRUCTURAL_FEATURE__IS_READ_ONLY

    static final org.eclipse.emf.ecore.EAttribute STRUCTURAL_FEATURE__IS_READ_ONLY

  The meta object literal for the 'Is Read Only' attribute feature.

### CONNECTABLE_ELEMENT_TEMPLATE_PARAMETER

    static final org.eclipse.emf.ecore.EClass CONNECTABLE_ELEMENT_TEMPLATE_PARAMETER

  The meta object literal for the '`Connectable Element Template Parameter`' class.

  See Also:
    `ConnectableElementTemplateParameterImpl`, `UMLPackageImpl.getConnectableElementTemplateParameter()`

### COLLABORATION_USE

    static final org.eclipse.emf.ecore.EClass COLLABORATION_USE

  The meta object literal for the '`Collaboration Use`' class.

  See Also:
    `CollaborationUseImpl`, `UMLPackageImpl.getCollaborationUse()`

### COLLABORATION_USE__TYPE

    static final org.eclipse.emf.ecore.EReference COLLABORATION_USE__TYPE

  The meta object literal for the 'Type' reference feature.

### COLLABORATION_USE__ROLE_BINDING

    static final org.eclipse.emf.ecore.EReference COLLABORATION_USE__ROLE_BINDING

  The meta object literal for the 'Role Binding' containment reference list feature.

### COLLABORATION

    static final org.eclipse.emf.ecore.EClass COLLABORATION

  The meta object literal for the '`Collaboration`' class.

  See Also:
    `CollaborationImpl`, `UMLPackageImpl.getCollaboration()`

### COLLABORATION__COLLABORATION_ROLE

    static final org.eclipse.emf.ecore.EReference COLLABORATION__COLLABORATION_ROLE

  The meta object literal for the 'Collaboration Role' reference list feature.

### USE_CASE

    static final org.eclipse.emf.ecore.EClass USE_CASE

  The meta object literal for the '`Use Case`' class.

  See Also:
    `UseCaseImpl`, `UMLPackageImpl.getUseCase()`

### USE_CASE__INCLUDE

    static final org.eclipse.emf.ecore.EReference USE_CASE__INCLUDE

  The meta object literal for the 'Include' containment reference list feature.

### USE_CASE__EXTEND

    static final org.eclipse.emf.ecore.EReference USE_CASE__EXTEND

  The meta object literal for the 'Extend' containment reference list feature.

### USE_CASE__EXTENSION_POINT

    static final org.eclipse.emf.ecore.EReference USE_CASE__EXTENSION_POINT

  The meta object literal for the 'Extension Point' containment reference list feature.

### USE_CASE__SUBJECT

    static final org.eclipse.emf.ecore.EReference USE_CASE__SUBJECT

  The meta object literal for the 'Subject' reference list feature.

### INCLUDE

    static final org.eclipse.emf.ecore.EClass INCLUDE

  The meta object literal for the '`Include`' class.

  See Also:
    `IncludeImpl`, `UMLPackageImpl.getInclude()`

### INCLUDE__ADDITION

    static final org.eclipse.emf.ecore.EReference INCLUDE__ADDITION

  The meta object literal for the 'Addition' reference feature.

### INCLUDE__INCLUDING_CASE

    static final org.eclipse.emf.ecore.EReference INCLUDE__INCLUDING_CASE

  The meta object literal for the 'Including Case' container reference feature.

### EXTEND

    static final org.eclipse.emf.ecore.EClass EXTEND

  The meta object literal for the '`Extend`' class.

  See Also:
    `ExtendImpl`, `UMLPackageImpl.getExtend()`

### EXTEND__EXTENDED_CASE

    static final org.eclipse.emf.ecore.EReference EXTEND__EXTENDED_CASE

  The meta object literal for the 'Extended Case' reference feature.

### EXTEND__CONDITION

    static final org.eclipse.emf.ecore.EReference EXTEND__CONDITION

  The meta object literal for the 'Condition' containment reference feature.

### EXTEND__EXTENSION_LOCATION

    static final org.eclipse.emf.ecore.EReference EXTEND__EXTENSION_LOCATION

  The meta object literal for the 'Extension Location' reference list feature.

### EXTEND__EXTENSION

    static final org.eclipse.emf.ecore.EReference EXTEND__EXTENSION

  The meta object literal for the 'Extension' container reference feature.

### EXTENSION_POINT

    static final org.eclipse.emf.ecore.EClass EXTENSION_POINT

  The meta object literal for the '`Extension Point`' class.

  See Also:
    `ExtensionPointImpl`, `UMLPackageImpl.getExtensionPoint()`

### EXTENSION_POINT__USE_CASE

    static final org.eclipse.emf.ecore.EReference EXTENSION_POINT__USE_CASE

  The meta object literal for the 'Use Case' container reference feature.

### REDEFINABLE_TEMPLATE_SIGNATURE

    static final org.eclipse.emf.ecore.EClass REDEFINABLE_TEMPLATE_SIGNATURE

  The meta object literal for the '`Redefinable Template Signature`' class.

  See Also:
    `RedefinableTemplateSignatureImpl`, `UMLPackageImpl.getRedefinableTemplateSignature()`

### REDEFINABLE_TEMPLATE_SIGNATURE__EXTENDED_SIGNATURE

    static final org.eclipse.emf.ecore.EReference REDEFINABLE_TEMPLATE_SIGNATURE__EXTENDED_SIGNATURE

  The meta object literal for the 'Extended Signature' reference list feature.

### REDEFINABLE_TEMPLATE_SIGNATURE__INHERITED_PARAMETER

    static final org.eclipse.emf.ecore.EReference REDEFINABLE_TEMPLATE_SIGNATURE__INHERITED_PARAMETER

  The meta object literal for the 'Inherited Parameter' reference list feature.

### REDEFINABLE_TEMPLATE_SIGNATURE__CLASSIFIER

    static final org.eclipse.emf.ecore.EReference REDEFINABLE_TEMPLATE_SIGNATURE__CLASSIFIER

  The meta object literal for the 'Classifier' reference feature.

### CLASSIFIER_TEMPLATE_PARAMETER

    static final org.eclipse.emf.ecore.EClass CLASSIFIER_TEMPLATE_PARAMETER

  The meta object literal for the '`Classifier Template Parameter`' class.

  See Also:
    `ClassifierTemplateParameterImpl`, `UMLPackageImpl.getClassifierTemplateParameter()`

### CLASSIFIER_TEMPLATE_PARAMETER__ALLOW_SUBSTITUTABLE

    static final org.eclipse.emf.ecore.EAttribute CLASSIFIER_TEMPLATE_PARAMETER__ALLOW_SUBSTITUTABLE

  The meta object literal for the 'Allow Substitutable' attribute feature.

### CLASSIFIER_TEMPLATE_PARAMETER__CONSTRAINING_CLASSIFIER

    static final org.eclipse.emf.ecore.EReference CLASSIFIER_TEMPLATE_PARAMETER__CONSTRAINING_CLASSIFIER

  The meta object literal for the 'Constraining Classifier' reference list feature.

### STRING_EXPRESSION

    static final org.eclipse.emf.ecore.EClass STRING_EXPRESSION

  The meta object literal for the '`String Expression`' class.

  See Also:
    `StringExpressionImpl`, `UMLPackageImpl.getStringExpression()`

### STRING_EXPRESSION__SUB_EXPRESSION

    static final org.eclipse.emf.ecore.EReference STRING_EXPRESSION__SUB_EXPRESSION

  The meta object literal for the 'Sub Expression' containment reference list feature.

### STRING_EXPRESSION__OWNING_EXPRESSION

    static final org.eclipse.emf.ecore.EReference STRING_EXPRESSION__OWNING_EXPRESSION

  The meta object literal for the 'Owning Expression' container reference feature.

### EXPRESSION

    static final org.eclipse.emf.ecore.EClass EXPRESSION

  The meta object literal for the '`Expression`' class.

  See Also:
    `ExpressionImpl`, `UMLPackageImpl.getExpression()`

### EXPRESSION__SYMBOL

    static final org.eclipse.emf.ecore.EAttribute EXPRESSION__SYMBOL

  The meta object literal for the 'Symbol' attribute feature.

### EXPRESSION__OPERAND

    static final org.eclipse.emf.ecore.EReference EXPRESSION__OPERAND

  The meta object literal for the 'Operand' containment reference list feature.

### USAGE

    static final org.eclipse.emf.ecore.EClass USAGE

  The meta object literal for the '`Usage`' class.

  See Also:
    `UsageImpl`, `UMLPackageImpl.getUsage()`

### PACKAGE_MERGE

    static final org.eclipse.emf.ecore.EClass PACKAGE_MERGE

  The meta object literal for the '`Package Merge`' class.

  See Also:
    `PackageMergeImpl`, `UMLPackageImpl.getPackageMerge()`

### PACKAGE_MERGE__MERGED_PACKAGE

    static final org.eclipse.emf.ecore.EReference PACKAGE_MERGE__MERGED_PACKAGE

  The meta object literal for the 'Merged Package' reference feature.

### PACKAGE_MERGE__RECEIVING_PACKAGE

    static final org.eclipse.emf.ecore.EReference PACKAGE_MERGE__RECEIVING_PACKAGE

  The meta object literal for the 'Receiving Package' container reference feature.

### PROFILE_APPLICATION

    static final org.eclipse.emf.ecore.EClass PROFILE_APPLICATION

  The meta object literal for the '`Profile Application`' class.

  See Also:
    `ProfileApplicationImpl`, `UMLPackageImpl.getProfileApplication()`

### PROFILE_APPLICATION__APPLIED_PROFILE

    static final org.eclipse.emf.ecore.EReference PROFILE_APPLICATION__APPLIED_PROFILE

  The meta object literal for the 'Applied Profile' reference feature.

### PROFILE_APPLICATION__IS_STRICT

    static final org.eclipse.emf.ecore.EAttribute PROFILE_APPLICATION__IS_STRICT

  The meta object literal for the 'Is Strict' attribute feature.

### PROFILE_APPLICATION__APPLYING_PACKAGE

    static final org.eclipse.emf.ecore.EReference PROFILE_APPLICATION__APPLYING_PACKAGE

  The meta object literal for the 'Applying Package' container reference feature.

### ENUMERATION

    static final org.eclipse.emf.ecore.EClass ENUMERATION

  The meta object literal for the '`Enumeration`' class.

  See Also:
    `EnumerationImpl`, `UMLPackageImpl.getEnumeration()`

### ENUMERATION__OWNED_LITERAL

    static final org.eclipse.emf.ecore.EReference ENUMERATION__OWNED_LITERAL

  The meta object literal for the 'Owned Literal' containment reference list feature.

### ENUMERATION_LITERAL

    static final org.eclipse.emf.ecore.EClass ENUMERATION_LITERAL

  The meta object literal for the '`Enumeration Literal`' class.

  See Also:
    `EnumerationLiteralImpl`, `UMLPackageImpl.getEnumerationLiteral()`

### ENUMERATION_LITERAL__ENUMERATION

    static final org.eclipse.emf.ecore.EReference ENUMERATION_LITERAL__ENUMERATION

  The meta object literal for the 'Enumeration' container reference feature.

### INSTANCE_SPECIFICATION

    static final org.eclipse.emf.ecore.EClass INSTANCE_SPECIFICATION

  The meta object literal for the '`Instance Specification`' class.

  See Also:
    `InstanceSpecificationImpl`, `UMLPackageImpl.getInstanceSpecification()`

### INSTANCE_SPECIFICATION__CLASSIFIER

    static final org.eclipse.emf.ecore.EReference INSTANCE_SPECIFICATION__CLASSIFIER

  The meta object literal for the 'Classifier' reference list feature.

### INSTANCE_SPECIFICATION__SLOT

    static final org.eclipse.emf.ecore.EReference INSTANCE_SPECIFICATION__SLOT

  The meta object literal for the 'Slot' containment reference list feature.

### INSTANCE_SPECIFICATION__SPECIFICATION

    static final org.eclipse.emf.ecore.EReference INSTANCE_SPECIFICATION__SPECIFICATION

  The meta object literal for the 'Specification' containment reference feature.

### SLOT

    static final org.eclipse.emf.ecore.EClass SLOT

  The meta object literal for the '`Slot`' class.

  See Also:
    `SlotImpl`, `UMLPackageImpl.getSlot()`

### SLOT__DEFINING_FEATURE

    static final org.eclipse.emf.ecore.EReference SLOT__DEFINING_FEATURE

  The meta object literal for the 'Defining Feature' reference feature.

### SLOT__VALUE

    static final org.eclipse.emf.ecore.EReference SLOT__VALUE

  The meta object literal for the 'Value' containment reference list feature.

### SLOT__OWNING_INSTANCE

    static final org.eclipse.emf.ecore.EReference SLOT__OWNING_INSTANCE

  The meta object literal for the 'Owning Instance' container reference feature.

### PRIMITIVE_TYPE

    static final org.eclipse.emf.ecore.EClass PRIMITIVE_TYPE

  The meta object literal for the '`Primitive Type`' class.

  See Also:
    `PrimitiveTypeImpl`, `UMLPackageImpl.getPrimitiveType()`

### LITERAL_SPECIFICATION

    static final org.eclipse.emf.ecore.EClass LITERAL_SPECIFICATION

  The meta object literal for the '`Literal Specification`' class.

  See Also:
    `LiteralSpecificationImpl`, `UMLPackageImpl.getLiteralSpecification()`

### LITERAL_INTEGER

    static final org.eclipse.emf.ecore.EClass LITERAL_INTEGER

  The meta object literal for the '`Literal Integer`' class.

  See Also:
    `LiteralIntegerImpl`, `UMLPackageImpl.getLiteralInteger()`

### LITERAL_INTEGER__VALUE

    static final org.eclipse.emf.ecore.EAttribute LITERAL_INTEGER__VALUE

  The meta object literal for the 'Value' attribute feature.

### LITERAL_STRING

    static final org.eclipse.emf.ecore.EClass LITERAL_STRING

  The meta object literal for the '`Literal String`' class.

  See Also:
    `LiteralStringImpl`, `UMLPackageImpl.getLiteralString()`

### LITERAL_STRING__VALUE

    static final org.eclipse.emf.ecore.EAttribute LITERAL_STRING__VALUE

  The meta object literal for the 'Value' attribute feature.

### LITERAL_BOOLEAN

    static final org.eclipse.emf.ecore.EClass LITERAL_BOOLEAN

  The meta object literal for the '`Literal Boolean`' class.

  See Also:
    `LiteralBooleanImpl`, `UMLPackageImpl.getLiteralBoolean()`

### LITERAL_BOOLEAN__VALUE

    static final org.eclipse.emf.ecore.EAttribute LITERAL_BOOLEAN__VALUE

  The meta object literal for the 'Value' attribute feature.

### LITERAL_NULL

    static final org.eclipse.emf.ecore.EClass LITERAL_NULL

  The meta object literal for the '`Literal Null`' class.

  See Also:
    `LiteralNullImpl`, `UMLPackageImpl.getLiteralNull()`

### INSTANCE_VALUE

    static final org.eclipse.emf.ecore.EClass INSTANCE_VALUE

  The meta object literal for the '`Instance Value`' class.

  See Also:
    `InstanceValueImpl`, `UMLPackageImpl.getInstanceValue()`

### INSTANCE_VALUE__INSTANCE

    static final org.eclipse.emf.ecore.EReference INSTANCE_VALUE__INSTANCE

  The meta object literal for the 'Instance' reference feature.

### LITERAL_UNLIMITED_NATURAL

    static final org.eclipse.emf.ecore.EClass LITERAL_UNLIMITED_NATURAL

  The meta object literal for the '`Literal Unlimited Natural`' class.

  See Also:
    `LiteralUnlimitedNaturalImpl`, `UMLPackageImpl.getLiteralUnlimitedNatural()`

### LITERAL_UNLIMITED_NATURAL__VALUE

    static final org.eclipse.emf.ecore.EAttribute LITERAL_UNLIMITED_NATURAL__VALUE

  The meta object literal for the 'Value' attribute feature.

### OPAQUE_BEHAVIOR

    static final org.eclipse.emf.ecore.EClass OPAQUE_BEHAVIOR

  The meta object literal for the '`Opaque Behavior`' class.

  See Also:
    `OpaqueBehaviorImpl`, `UMLPackageImpl.getOpaqueBehavior()`

### OPAQUE_BEHAVIOR__BODY

    static final org.eclipse.emf.ecore.EAttribute OPAQUE_BEHAVIOR__BODY

  The meta object literal for the 'Body' attribute list feature.

### OPAQUE_BEHAVIOR__LANGUAGE

    static final org.eclipse.emf.ecore.EAttribute OPAQUE_BEHAVIOR__LANGUAGE

  The meta object literal for the 'Language' attribute list feature.

### FUNCTION_BEHAVIOR

    static final org.eclipse.emf.ecore.EClass FUNCTION_BEHAVIOR

  The meta object literal for the '`Function Behavior`' class.

  See Also:
    `FunctionBehaviorImpl`, `UMLPackageImpl.getFunctionBehavior()`

### OPAQUE_ACTION

    static final org.eclipse.emf.ecore.EClass OPAQUE_ACTION

  The meta object literal for the '`Opaque Action`' class.

  See Also:
    `OpaqueActionImpl`, `UMLPackageImpl.getOpaqueAction()`

### OPAQUE_ACTION__BODY

    static final org.eclipse.emf.ecore.EAttribute OPAQUE_ACTION__BODY

  The meta object literal for the 'Body' attribute list feature.

### OPAQUE_ACTION__LANGUAGE

    static final org.eclipse.emf.ecore.EAttribute OPAQUE_ACTION__LANGUAGE

  The meta object literal for the 'Language' attribute list feature.

### OPAQUE_ACTION__INPUT_VALUE

    static final org.eclipse.emf.ecore.EReference OPAQUE_ACTION__INPUT_VALUE

  The meta object literal for the 'Input Value' containment reference list feature.

### OPAQUE_ACTION__OUTPUT_VALUE

    static final org.eclipse.emf.ecore.EReference OPAQUE_ACTION__OUTPUT_VALUE

  The meta object literal for the 'Output Value' containment reference list feature.

### ACTION

    static final org.eclipse.emf.ecore.EClass ACTION

  The meta object literal for the '`Action`' class.

  See Also:
    `ActionImpl`, `UMLPackageImpl.getAction()`

### ACTION__OUTPUT

    static final org.eclipse.emf.ecore.EReference ACTION__OUTPUT

  The meta object literal for the 'Output' reference list feature.

### ACTION__INPUT

    static final org.eclipse.emf.ecore.EReference ACTION__INPUT

  The meta object literal for the 'Input' reference list feature.

### ACTION__CONTEXT

    static final org.eclipse.emf.ecore.EReference ACTION__CONTEXT

  The meta object literal for the 'Context' reference feature.

### ACTION__LOCAL_PRECONDITION

    static final org.eclipse.emf.ecore.EReference ACTION__LOCAL_PRECONDITION

  The meta object literal for the 'Local Precondition' containment reference list feature.

### ACTION__LOCAL_POSTCONDITION

    static final org.eclipse.emf.ecore.EReference ACTION__LOCAL_POSTCONDITION

  The meta object literal for the 'Local Postcondition' containment reference list feature.

### EXECUTABLE_NODE

    static final org.eclipse.emf.ecore.EClass EXECUTABLE_NODE

  The meta object literal for the '`Executable Node`' class.

  See Also:
    `ExecutableNodeImpl`, `UMLPackageImpl.getExecutableNode()`

### EXECUTABLE_NODE__HANDLER

    static final org.eclipse.emf.ecore.EReference EXECUTABLE_NODE__HANDLER

  The meta object literal for the 'Handler' containment reference list feature.

### ACTIVITY_NODE

    static final org.eclipse.emf.ecore.EClass ACTIVITY_NODE

  The meta object literal for the '`Activity Node`' class.

  See Also:
    `ActivityNodeImpl`, `UMLPackageImpl.getActivityNode()`

### ACTIVITY_NODE__IN_STRUCTURED_NODE

    static final org.eclipse.emf.ecore.EReference ACTIVITY_NODE__IN_STRUCTURED_NODE

  The meta object literal for the 'In Structured Node' container reference feature.

### ACTIVITY_NODE__ACTIVITY

    static final org.eclipse.emf.ecore.EReference ACTIVITY_NODE__ACTIVITY

  The meta object literal for the 'Activity' container reference feature.

### ACTIVITY_NODE__OUTGOING

    static final org.eclipse.emf.ecore.EReference ACTIVITY_NODE__OUTGOING

  The meta object literal for the 'Outgoing' reference list feature.

### ACTIVITY_NODE__INCOMING

    static final org.eclipse.emf.ecore.EReference ACTIVITY_NODE__INCOMING

  The meta object literal for the 'Incoming' reference list feature.

### ACTIVITY_NODE__IN_PARTITION

    static final org.eclipse.emf.ecore.EReference ACTIVITY_NODE__IN_PARTITION

  The meta object literal for the 'In Partition' reference list feature.

### ACTIVITY_NODE__IN_INTERRUPTIBLE_REGION

    static final org.eclipse.emf.ecore.EReference ACTIVITY_NODE__IN_INTERRUPTIBLE_REGION

  The meta object literal for the 'In Interruptible Region' reference list feature.

### ACTIVITY_NODE__IN_GROUP

    static final org.eclipse.emf.ecore.EReference ACTIVITY_NODE__IN_GROUP

  The meta object literal for the 'In Group' reference list feature.

### ACTIVITY_NODE__REDEFINED_NODE

    static final org.eclipse.emf.ecore.EReference ACTIVITY_NODE__REDEFINED_NODE

  The meta object literal for the 'Redefined Node' reference list feature.

### STRUCTURED_ACTIVITY_NODE

    static final org.eclipse.emf.ecore.EClass STRUCTURED_ACTIVITY_NODE

  The meta object literal for the '`Structured Activity Node`' class.

  See Also:
    `StructuredActivityNodeImpl`, `UMLPackageImpl.getStructuredActivityNode()`

### STRUCTURED_ACTIVITY_NODE__VARIABLE

    static final org.eclipse.emf.ecore.EReference STRUCTURED_ACTIVITY_NODE__VARIABLE

  The meta object literal for the 'Variable' containment reference list feature.

### STRUCTURED_ACTIVITY_NODE__EDGE

    static final org.eclipse.emf.ecore.EReference STRUCTURED_ACTIVITY_NODE__EDGE

  The meta object literal for the 'Edge' containment reference list feature.

### STRUCTURED_ACTIVITY_NODE__MUST_ISOLATE

    static final org.eclipse.emf.ecore.EAttribute STRUCTURED_ACTIVITY_NODE__MUST_ISOLATE

  The meta object literal for the 'Must Isolate' attribute feature.

### STRUCTURED_ACTIVITY_NODE__NODE

    static final org.eclipse.emf.ecore.EReference STRUCTURED_ACTIVITY_NODE__NODE

  The meta object literal for the 'Node' containment reference list feature.

### ACTIVITY_GROUP

    static final org.eclipse.emf.ecore.EClass ACTIVITY_GROUP

  The meta object literal for the '`Activity Group`' class.

  See Also:
    `ActivityGroupImpl`, `UMLPackageImpl.getActivityGroup()`

### ACTIVITY_GROUP__SUBGROUP

    static final org.eclipse.emf.ecore.EReference ACTIVITY_GROUP__SUBGROUP

  The meta object literal for the 'Subgroup' reference list feature.

### ACTIVITY_GROUP__SUPER_GROUP

    static final org.eclipse.emf.ecore.EReference ACTIVITY_GROUP__SUPER_GROUP

  The meta object literal for the 'Super Group' reference feature.

### ACTIVITY_GROUP__IN_ACTIVITY

    static final org.eclipse.emf.ecore.EReference ACTIVITY_GROUP__IN_ACTIVITY

  The meta object literal for the 'In Activity' container reference feature.

### ACTIVITY_GROUP__CONTAINED_EDGE

    static final org.eclipse.emf.ecore.EReference ACTIVITY_GROUP__CONTAINED_EDGE

  The meta object literal for the 'Contained Edge' reference list feature.

### ACTIVITY_GROUP__CONTAINED_NODE

    static final org.eclipse.emf.ecore.EReference ACTIVITY_GROUP__CONTAINED_NODE

  The meta object literal for the 'Contained Node' reference list feature.

### ACTIVITY

    static final org.eclipse.emf.ecore.EClass ACTIVITY

  The meta object literal for the '`Activity`' class.

  See Also:
    `ActivityImpl`, `UMLPackageImpl.getActivity()`

### ACTIVITY__STRUCTURED_NODE

    static final org.eclipse.emf.ecore.EReference ACTIVITY__STRUCTURED_NODE

  The meta object literal for the 'Structured Node' reference list feature.

### ACTIVITY__VARIABLE

    static final org.eclipse.emf.ecore.EReference ACTIVITY__VARIABLE

  The meta object literal for the 'Variable' containment reference list feature.

### ACTIVITY__NODE

    static final org.eclipse.emf.ecore.EReference ACTIVITY__NODE

  The meta object literal for the 'Node' containment reference list feature.

### ACTIVITY__IS_READ_ONLY

    static final org.eclipse.emf.ecore.EAttribute ACTIVITY__IS_READ_ONLY

  The meta object literal for the 'Is Read Only' attribute feature.

### ACTIVITY__EDGE

    static final org.eclipse.emf.ecore.EReference ACTIVITY__EDGE

  The meta object literal for the 'Edge' containment reference list feature.

### ACTIVITY__PARTITION

    static final org.eclipse.emf.ecore.EReference ACTIVITY__PARTITION

  The meta object literal for the 'Partition' reference list feature.

### ACTIVITY__IS_SINGLE_EXECUTION

    static final org.eclipse.emf.ecore.EAttribute ACTIVITY__IS_SINGLE_EXECUTION

  The meta object literal for the 'Is Single Execution' attribute feature.

### ACTIVITY__GROUP

    static final org.eclipse.emf.ecore.EReference ACTIVITY__GROUP

  The meta object literal for the 'Group' containment reference list feature.

### VARIABLE

    static final org.eclipse.emf.ecore.EClass VARIABLE

  The meta object literal for the '`Variable`' class.

  See Also:
    `VariableImpl`, `UMLPackageImpl.getVariable()`

### VARIABLE__SCOPE

    static final org.eclipse.emf.ecore.EReference VARIABLE__SCOPE

  The meta object literal for the 'Scope' container reference feature.

### VARIABLE__ACTIVITY_SCOPE

    static final org.eclipse.emf.ecore.EReference VARIABLE__ACTIVITY_SCOPE

  The meta object literal for the 'Activity Scope' container reference feature.

### ACTIVITY_EDGE

    static final org.eclipse.emf.ecore.EClass ACTIVITY_EDGE

  The meta object literal for the '`Activity Edge`' class.

  See Also:
    `ActivityEdgeImpl`, `UMLPackageImpl.getActivityEdge()`

### ACTIVITY_EDGE__SOURCE

    static final org.eclipse.emf.ecore.EReference ACTIVITY_EDGE__SOURCE

  The meta object literal for the 'Source' reference feature.

### ACTIVITY_EDGE__TARGET

    static final org.eclipse.emf.ecore.EReference ACTIVITY_EDGE__TARGET

  The meta object literal for the 'Target' reference feature.

### ACTIVITY_EDGE__REDEFINED_EDGE

    static final org.eclipse.emf.ecore.EReference ACTIVITY_EDGE__REDEFINED_EDGE

  The meta object literal for the 'Redefined Edge' reference list feature.

### ACTIVITY_EDGE__IN_PARTITION

    static final org.eclipse.emf.ecore.EReference ACTIVITY_EDGE__IN_PARTITION

  The meta object literal for the 'In Partition' reference list feature.

### ACTIVITY_EDGE__GUARD

    static final org.eclipse.emf.ecore.EReference ACTIVITY_EDGE__GUARD

  The meta object literal for the 'Guard' containment reference feature.

### ACTIVITY_EDGE__WEIGHT

    static final org.eclipse.emf.ecore.EReference ACTIVITY_EDGE__WEIGHT

  The meta object literal for the 'Weight' containment reference feature.

### ACTIVITY_EDGE__INTERRUPTS

    static final org.eclipse.emf.ecore.EReference ACTIVITY_EDGE__INTERRUPTS

  The meta object literal for the 'Interrupts' reference feature.

### ACTIVITY_EDGE__IN_STRUCTURED_NODE

    static final org.eclipse.emf.ecore.EReference ACTIVITY_EDGE__IN_STRUCTURED_NODE

  The meta object literal for the 'In Structured Node' container reference feature.

### ACTIVITY_EDGE__IN_GROUP

    static final org.eclipse.emf.ecore.EReference ACTIVITY_EDGE__IN_GROUP

  The meta object literal for the 'In Group' reference list feature.

### ACTIVITY_EDGE__ACTIVITY

    static final org.eclipse.emf.ecore.EReference ACTIVITY_EDGE__ACTIVITY

  The meta object literal for the 'Activity' container reference feature.

### ACTIVITY_PARTITION

    static final org.eclipse.emf.ecore.EClass ACTIVITY_PARTITION

  The meta object literal for the '`Activity Partition`' class.

  See Also:
    `ActivityPartitionImpl`, `UMLPackageImpl.getActivityPartition()`

### ACTIVITY_PARTITION__IS_DIMENSION

    static final org.eclipse.emf.ecore.EAttribute ACTIVITY_PARTITION__IS_DIMENSION

  The meta object literal for the 'Is Dimension' attribute feature.

### ACTIVITY_PARTITION__IS_EXTERNAL

    static final org.eclipse.emf.ecore.EAttribute ACTIVITY_PARTITION__IS_EXTERNAL

  The meta object literal for the 'Is External' attribute feature.

### ACTIVITY_PARTITION__NODE

    static final org.eclipse.emf.ecore.EReference ACTIVITY_PARTITION__NODE

  The meta object literal for the 'Node' reference list feature.

### ACTIVITY_PARTITION__SUBPARTITION

    static final org.eclipse.emf.ecore.EReference ACTIVITY_PARTITION__SUBPARTITION

  The meta object literal for the 'Subpartition' containment reference list feature.

### ACTIVITY_PARTITION__SUPER_PARTITION

    static final org.eclipse.emf.ecore.EReference ACTIVITY_PARTITION__SUPER_PARTITION

  The meta object literal for the 'Super Partition' container reference feature.

### ACTIVITY_PARTITION__REPRESENTS

    static final org.eclipse.emf.ecore.EReference ACTIVITY_PARTITION__REPRESENTS

  The meta object literal for the 'Represents' reference feature.

### ACTIVITY_PARTITION__EDGE

    static final org.eclipse.emf.ecore.EReference ACTIVITY_PARTITION__EDGE

  The meta object literal for the 'Edge' reference list feature.

### INTERRUPTIBLE_ACTIVITY_REGION

    static final org.eclipse.emf.ecore.EClass INTERRUPTIBLE_ACTIVITY_REGION

  The meta object literal for the '`Interruptible Activity Region`' class.

  See Also:
    `InterruptibleActivityRegionImpl`, `UMLPackageImpl.getInterruptibleActivityRegion()`

### INTERRUPTIBLE_ACTIVITY_REGION__NODE

    static final org.eclipse.emf.ecore.EReference INTERRUPTIBLE_ACTIVITY_REGION__NODE

  The meta object literal for the 'Node' reference list feature.

### INTERRUPTIBLE_ACTIVITY_REGION__INTERRUPTING_EDGE

    static final org.eclipse.emf.ecore.EReference INTERRUPTIBLE_ACTIVITY_REGION__INTERRUPTING_EDGE

  The meta object literal for the 'Interrupting Edge' reference list feature.

### EXCEPTION_HANDLER

    static final org.eclipse.emf.ecore.EClass EXCEPTION_HANDLER

  The meta object literal for the '`Exception Handler`' class.

  See Also:
    `ExceptionHandlerImpl`, `UMLPackageImpl.getExceptionHandler()`

### EXCEPTION_HANDLER__HANDLER_BODY

    static final org.eclipse.emf.ecore.EReference EXCEPTION_HANDLER__HANDLER_BODY

  The meta object literal for the 'Handler Body' reference feature.

### EXCEPTION_HANDLER__EXCEPTION_INPUT

    static final org.eclipse.emf.ecore.EReference EXCEPTION_HANDLER__EXCEPTION_INPUT

  The meta object literal for the 'Exception Input' reference feature.

### EXCEPTION_HANDLER__EXCEPTION_TYPE

    static final org.eclipse.emf.ecore.EReference EXCEPTION_HANDLER__EXCEPTION_TYPE

  The meta object literal for the 'Exception Type' reference list feature.

### EXCEPTION_HANDLER__PROTECTED_NODE

    static final org.eclipse.emf.ecore.EReference EXCEPTION_HANDLER__PROTECTED_NODE

  The meta object literal for the 'Protected Node' container reference feature.

### OBJECT_NODE

    static final org.eclipse.emf.ecore.EClass OBJECT_NODE

  The meta object literal for the '`Object Node`' class.

  See Also:
    `ObjectNodeImpl`, `UMLPackageImpl.getObjectNode()`

### OBJECT_NODE__ORDERING

    static final org.eclipse.emf.ecore.EAttribute OBJECT_NODE__ORDERING

  The meta object literal for the 'Ordering' attribute feature.

### OBJECT_NODE__IS_CONTROL_TYPE

    static final org.eclipse.emf.ecore.EAttribute OBJECT_NODE__IS_CONTROL_TYPE

  The meta object literal for the 'Is Control Type' attribute feature.

### OBJECT_NODE__UPPER_BOUND

    static final org.eclipse.emf.ecore.EReference OBJECT_NODE__UPPER_BOUND

  The meta object literal for the 'Upper Bound' containment reference feature.

### OBJECT_NODE__IN_STATE

    static final org.eclipse.emf.ecore.EReference OBJECT_NODE__IN_STATE

  The meta object literal for the 'In State' reference list feature.

### OBJECT_NODE__SELECTION

    static final org.eclipse.emf.ecore.EReference OBJECT_NODE__SELECTION

  The meta object literal for the 'Selection' reference feature.

### OUTPUT_PIN

    static final org.eclipse.emf.ecore.EClass OUTPUT_PIN

  The meta object literal for the '`Output Pin`' class.

  See Also:
    `OutputPinImpl`, `UMLPackageImpl.getOutputPin()`

### PIN

    static final org.eclipse.emf.ecore.EClass PIN

  The meta object literal for the '`Pin`' class.

  See Also:
    `PinImpl`, `UMLPackageImpl.getPin()`

### PIN__IS_CONTROL

    static final org.eclipse.emf.ecore.EAttribute PIN__IS_CONTROL

  The meta object literal for the 'Is Control' attribute feature.

### INPUT_PIN

    static final org.eclipse.emf.ecore.EClass INPUT_PIN

  The meta object literal for the '`Input Pin`' class.

  See Also:
    `InputPinImpl`, `UMLPackageImpl.getInputPin()`

### CALL_ACTION

    static final org.eclipse.emf.ecore.EClass CALL_ACTION

  The meta object literal for the '`Call Action`' class.

  See Also:
    `CallActionImpl`, `UMLPackageImpl.getCallAction()`

### CALL_ACTION__IS_SYNCHRONOUS

    static final org.eclipse.emf.ecore.EAttribute CALL_ACTION__IS_SYNCHRONOUS

  The meta object literal for the 'Is Synchronous' attribute feature.

### CALL_ACTION__RESULT

    static final org.eclipse.emf.ecore.EReference CALL_ACTION__RESULT

  The meta object literal for the 'Result' containment reference list feature.

### INVOCATION_ACTION

    static final org.eclipse.emf.ecore.EClass INVOCATION_ACTION

  The meta object literal for the '`Invocation Action`' class.

  See Also:
    `InvocationActionImpl`, `UMLPackageImpl.getInvocationAction()`

### INVOCATION_ACTION__ARGUMENT

    static final org.eclipse.emf.ecore.EReference INVOCATION_ACTION__ARGUMENT

  The meta object literal for the 'Argument' containment reference list feature.

### INVOCATION_ACTION__ON_PORT

    static final org.eclipse.emf.ecore.EReference INVOCATION_ACTION__ON_PORT

  The meta object literal for the 'On Port' reference feature.

### SEND_SIGNAL_ACTION

    static final org.eclipse.emf.ecore.EClass SEND_SIGNAL_ACTION

  The meta object literal for the '`Send Signal Action`' class.

  See Also:
    `SendSignalActionImpl`, `UMLPackageImpl.getSendSignalAction()`

### SEND_SIGNAL_ACTION__TARGET

    static final org.eclipse.emf.ecore.EReference SEND_SIGNAL_ACTION__TARGET

  The meta object literal for the 'Target' containment reference feature.

### SEND_SIGNAL_ACTION__SIGNAL

    static final org.eclipse.emf.ecore.EReference SEND_SIGNAL_ACTION__SIGNAL

  The meta object literal for the 'Signal' reference feature.

### CALL_OPERATION_ACTION

    static final org.eclipse.emf.ecore.EClass CALL_OPERATION_ACTION

  The meta object literal for the '`Call Operation Action`' class.

  See Also:
    `CallOperationActionImpl`, `UMLPackageImpl.getCallOperationAction()`

### CALL_OPERATION_ACTION__OPERATION

    static final org.eclipse.emf.ecore.EReference CALL_OPERATION_ACTION__OPERATION

  The meta object literal for the 'Operation' reference feature.

### CALL_OPERATION_ACTION__TARGET

    static final org.eclipse.emf.ecore.EReference CALL_OPERATION_ACTION__TARGET

  The meta object literal for the 'Target' containment reference feature.

### CALL_BEHAVIOR_ACTION

    static final org.eclipse.emf.ecore.EClass CALL_BEHAVIOR_ACTION

  The meta object literal for the '`Call Behavior Action`' class.

  See Also:
    `CallBehaviorActionImpl`, `UMLPackageImpl.getCallBehaviorAction()`

### CALL_BEHAVIOR_ACTION__BEHAVIOR

    static final org.eclipse.emf.ecore.EReference CALL_BEHAVIOR_ACTION__BEHAVIOR

  The meta object literal for the 'Behavior' reference feature.

### SEQUENCE_NODE

    static final org.eclipse.emf.ecore.EClass SEQUENCE_NODE

  The meta object literal for the '`Sequence Node`' class.

  See Also:
    `SequenceNodeImpl`, `UMLPackageImpl.getSequenceNode()`

### SEQUENCE_NODE__EXECUTABLE_NODE

    static final org.eclipse.emf.ecore.EReference SEQUENCE_NODE__EXECUTABLE_NODE

  The meta object literal for the 'Executable Node' containment reference list feature.

### CONTROL_NODE

    static final org.eclipse.emf.ecore.EClass CONTROL_NODE

  The meta object literal for the '`Control Node`' class.

  See Also:
    `ControlNodeImpl`, `UMLPackageImpl.getControlNode()`

### CONTROL_FLOW

    static final org.eclipse.emf.ecore.EClass CONTROL_FLOW

  The meta object literal for the '`Control Flow`' class.

  See Also:
    `ControlFlowImpl`, `UMLPackageImpl.getControlFlow()`

### INITIAL_NODE

    static final org.eclipse.emf.ecore.EClass INITIAL_NODE

  The meta object literal for the '`Initial Node`' class.

  See Also:
    `InitialNodeImpl`, `UMLPackageImpl.getInitialNode()`

### ACTIVITY_PARAMETER_NODE

    static final org.eclipse.emf.ecore.EClass ACTIVITY_PARAMETER_NODE

  The meta object literal for the '`Activity Parameter Node`' class.

  See Also:
    `ActivityParameterNodeImpl`, `UMLPackageImpl.getActivityParameterNode()`

### ACTIVITY_PARAMETER_NODE__PARAMETER

    static final org.eclipse.emf.ecore.EReference ACTIVITY_PARAMETER_NODE__PARAMETER

  The meta object literal for the 'Parameter' reference feature.

### VALUE_PIN

    static final org.eclipse.emf.ecore.EClass VALUE_PIN

  The meta object literal for the '`Value Pin`' class.

  See Also:
    `ValuePinImpl`, `UMLPackageImpl.getValuePin()`

### VALUE_PIN__VALUE

    static final org.eclipse.emf.ecore.EReference VALUE_PIN__VALUE

  The meta object literal for the 'Value' containment reference feature.

### MESSAGE

    static final org.eclipse.emf.ecore.EClass MESSAGE

  The meta object literal for the '`Message`' class.

  See Also:
    `MessageImpl`, `UMLPackageImpl.getMessage()`

### MESSAGE__MESSAGE_KIND

    static final org.eclipse.emf.ecore.EAttribute MESSAGE__MESSAGE_KIND

  The meta object literal for the 'Message Kind' attribute feature.

### MESSAGE__MESSAGE_SORT

    static final org.eclipse.emf.ecore.EAttribute MESSAGE__MESSAGE_SORT

  The meta object literal for the 'Message Sort' attribute feature.

### MESSAGE__RECEIVE_EVENT

    static final org.eclipse.emf.ecore.EReference MESSAGE__RECEIVE_EVENT

  The meta object literal for the 'Receive Event' reference feature.

### MESSAGE__SEND_EVENT

    static final org.eclipse.emf.ecore.EReference MESSAGE__SEND_EVENT

  The meta object literal for the 'Send Event' reference feature.

### MESSAGE__CONNECTOR

    static final org.eclipse.emf.ecore.EReference MESSAGE__CONNECTOR

  The meta object literal for the 'Connector' reference feature.

### MESSAGE__INTERACTION

    static final org.eclipse.emf.ecore.EReference MESSAGE__INTERACTION

  The meta object literal for the 'Interaction' container reference feature.

### MESSAGE__ARGUMENT

    static final org.eclipse.emf.ecore.EReference MESSAGE__ARGUMENT

  The meta object literal for the 'Argument' containment reference list feature.

### MESSAGE__SIGNATURE

    static final org.eclipse.emf.ecore.EReference MESSAGE__SIGNATURE

  The meta object literal for the 'Signature' reference feature.

### MESSAGE_END

    static final org.eclipse.emf.ecore.EClass MESSAGE_END

  The meta object literal for the '`Message End`' class.

  See Also:
    `MessageEndImpl`, `UMLPackageImpl.getMessageEnd()`

### MESSAGE_END__MESSAGE

    static final org.eclipse.emf.ecore.EReference MESSAGE_END__MESSAGE

  The meta object literal for the 'Message' reference feature.

### INTERACTION

    static final org.eclipse.emf.ecore.EClass INTERACTION

  The meta object literal for the '`Interaction`' class.

  See Also:
    `InteractionImpl`, `UMLPackageImpl.getInteraction()`

### INTERACTION__LIFELINE

    static final org.eclipse.emf.ecore.EReference INTERACTION__LIFELINE

  The meta object literal for the 'Lifeline' containment reference list feature.

### INTERACTION__FRAGMENT

    static final org.eclipse.emf.ecore.EReference INTERACTION__FRAGMENT

  The meta object literal for the 'Fragment' containment reference list feature.

### INTERACTION__ACTION

    static final org.eclipse.emf.ecore.EReference INTERACTION__ACTION

  The meta object literal for the 'Action' containment reference list feature.

### INTERACTION__FORMAL_GATE

    static final org.eclipse.emf.ecore.EReference INTERACTION__FORMAL_GATE

  The meta object literal for the 'Formal Gate' containment reference list feature.

### INTERACTION__MESSAGE

    static final org.eclipse.emf.ecore.EReference INTERACTION__MESSAGE

  The meta object literal for the 'Message' containment reference list feature.

### INTERACTION_FRAGMENT

    static final org.eclipse.emf.ecore.EClass INTERACTION_FRAGMENT

  The meta object literal for the '`Interaction Fragment`' class.

  See Also:
    `InteractionFragmentImpl`, `UMLPackageImpl.getInteractionFragment()`

### INTERACTION_FRAGMENT__COVERED

    static final org.eclipse.emf.ecore.EReference INTERACTION_FRAGMENT__COVERED

  The meta object literal for the 'Covered' reference list feature.

### INTERACTION_FRAGMENT__GENERAL_ORDERING

    static final org.eclipse.emf.ecore.EReference INTERACTION_FRAGMENT__GENERAL_ORDERING

  The meta object literal for the 'General Ordering' containment reference list feature.

### INTERACTION_FRAGMENT__ENCLOSING_INTERACTION

    static final org.eclipse.emf.ecore.EReference INTERACTION_FRAGMENT__ENCLOSING_INTERACTION

  The meta object literal for the 'Enclosing Interaction' container reference feature.

### INTERACTION_FRAGMENT__ENCLOSING_OPERAND

    static final org.eclipse.emf.ecore.EReference INTERACTION_FRAGMENT__ENCLOSING_OPERAND

  The meta object literal for the 'Enclosing Operand' container reference feature.

### LIFELINE

    static final org.eclipse.emf.ecore.EClass LIFELINE

  The meta object literal for the '`Lifeline`' class.

  See Also:
    `LifelineImpl`, `UMLPackageImpl.getLifeline()`

### LIFELINE__REPRESENTS

    static final org.eclipse.emf.ecore.EReference LIFELINE__REPRESENTS

  The meta object literal for the 'Represents' reference feature.

### LIFELINE__INTERACTION

    static final org.eclipse.emf.ecore.EReference LIFELINE__INTERACTION

  The meta object literal for the 'Interaction' container reference feature.

### LIFELINE__SELECTOR

    static final org.eclipse.emf.ecore.EReference LIFELINE__SELECTOR

  The meta object literal for the 'Selector' containment reference feature.

### LIFELINE__DECOMPOSED_AS

    static final org.eclipse.emf.ecore.EReference LIFELINE__DECOMPOSED_AS

  The meta object literal for the 'Decomposed As' reference feature.

### LIFELINE__COVERED_BY

    static final org.eclipse.emf.ecore.EReference LIFELINE__COVERED_BY

  The meta object literal for the 'Covered By' reference list feature.

### PART_DECOMPOSITION

    static final org.eclipse.emf.ecore.EClass PART_DECOMPOSITION

  The meta object literal for the '`Part Decomposition`' class.

  See Also:
    `PartDecompositionImpl`, `UMLPackageImpl.getPartDecomposition()`

### INTERACTION_USE

    static final org.eclipse.emf.ecore.EClass INTERACTION_USE

  The meta object literal for the '`Interaction Use`' class.

  See Also:
    `InteractionUseImpl`, `UMLPackageImpl.getInteractionUse()`

### INTERACTION_USE__REFERS_TO

    static final org.eclipse.emf.ecore.EReference INTERACTION_USE__REFERS_TO

  The meta object literal for the 'Refers To' reference feature.

### INTERACTION_USE__ACTUAL_GATE

    static final org.eclipse.emf.ecore.EReference INTERACTION_USE__ACTUAL_GATE

  The meta object literal for the 'Actual Gate' containment reference list feature.

### INTERACTION_USE__ARGUMENT

    static final org.eclipse.emf.ecore.EReference INTERACTION_USE__ARGUMENT

  The meta object literal for the 'Argument' containment reference list feature.

### GATE

    static final org.eclipse.emf.ecore.EClass GATE

  The meta object literal for the '`Gate`' class.

  See Also:
    `GateImpl`, `UMLPackageImpl.getGate()`

### GENERAL_ORDERING

    static final org.eclipse.emf.ecore.EClass GENERAL_ORDERING

  The meta object literal for the '`General Ordering`' class.

  See Also:
    `GeneralOrderingImpl`, `UMLPackageImpl.getGeneralOrdering()`

### GENERAL_ORDERING__BEFORE

    static final org.eclipse.emf.ecore.EReference GENERAL_ORDERING__BEFORE

  The meta object literal for the 'Before' reference feature.

### GENERAL_ORDERING__AFTER

    static final org.eclipse.emf.ecore.EReference GENERAL_ORDERING__AFTER

  The meta object literal for the 'After' reference feature.

### OCCURRENCE_SPECIFICATION

    static final org.eclipse.emf.ecore.EClass OCCURRENCE_SPECIFICATION

  The meta object literal for the '`Occurrence Specification`' class.

  See Also:
    `OccurrenceSpecificationImpl`, `UMLPackageImpl.getOccurrenceSpecification()`

### OCCURRENCE_SPECIFICATION__TO_BEFORE

    static final org.eclipse.emf.ecore.EReference OCCURRENCE_SPECIFICATION__TO_BEFORE

  The meta object literal for the 'To Before' reference list feature.

### OCCURRENCE_SPECIFICATION__EVENT

    static final org.eclipse.emf.ecore.EReference OCCURRENCE_SPECIFICATION__EVENT

  The meta object literal for the 'Event' reference feature.

### OCCURRENCE_SPECIFICATION__TO_AFTER

    static final org.eclipse.emf.ecore.EReference OCCURRENCE_SPECIFICATION__TO_AFTER

  The meta object literal for the 'To After' reference list feature.

### INTERACTION_OPERAND

    static final org.eclipse.emf.ecore.EClass INTERACTION_OPERAND

  The meta object literal for the '`Interaction Operand`' class.

  See Also:
    `InteractionOperandImpl`, `UMLPackageImpl.getInteractionOperand()`

### INTERACTION_OPERAND__GUARD

    static final org.eclipse.emf.ecore.EReference INTERACTION_OPERAND__GUARD

  The meta object literal for the 'Guard' containment reference feature.

### INTERACTION_OPERAND__FRAGMENT

    static final org.eclipse.emf.ecore.EReference INTERACTION_OPERAND__FRAGMENT

  The meta object literal for the 'Fragment' containment reference list feature.

### INTERACTION_CONSTRAINT

    static final org.eclipse.emf.ecore.EClass INTERACTION_CONSTRAINT

  The meta object literal for the '`Interaction Constraint`' class.

  See Also:
    `InteractionConstraintImpl`, `UMLPackageImpl.getInteractionConstraint()`

### INTERACTION_CONSTRAINT__MININT

    static final org.eclipse.emf.ecore.EReference INTERACTION_CONSTRAINT__MININT

  The meta object literal for the 'Minint' containment reference feature.

### INTERACTION_CONSTRAINT__MAXINT

    static final org.eclipse.emf.ecore.EReference INTERACTION_CONSTRAINT__MAXINT

  The meta object literal for the 'Maxint' containment reference feature.

### EXECUTION_SPECIFICATION

    static final org.eclipse.emf.ecore.EClass EXECUTION_SPECIFICATION

  The meta object literal for the '`Execution Specification`' class.

  See Also:
    `ExecutionSpecificationImpl`, `UMLPackageImpl.getExecutionSpecification()`

### EXECUTION_SPECIFICATION__START

    static final org.eclipse.emf.ecore.EReference EXECUTION_SPECIFICATION__START

  The meta object literal for the 'Start' reference feature.

### EXECUTION_SPECIFICATION__FINISH

    static final org.eclipse.emf.ecore.EReference EXECUTION_SPECIFICATION__FINISH

  The meta object literal for the 'Finish' reference feature.

### STATE_INVARIANT

    static final org.eclipse.emf.ecore.EClass STATE_INVARIANT

  The meta object literal for the '`State Invariant`' class.

  See Also:
    `StateInvariantImpl`, `UMLPackageImpl.getStateInvariant()`

### STATE_INVARIANT__INVARIANT

    static final org.eclipse.emf.ecore.EReference STATE_INVARIANT__INVARIANT

  The meta object literal for the 'Invariant' containment reference feature.

### ACTION_EXECUTION_SPECIFICATION

    static final org.eclipse.emf.ecore.EClass ACTION_EXECUTION_SPECIFICATION

  The meta object literal for the '`Action Execution Specification`' class.

  See Also:
    `ActionExecutionSpecificationImpl`, `UMLPackageImpl.getActionExecutionSpecification()`

### ACTION_EXECUTION_SPECIFICATION__ACTION

    static final org.eclipse.emf.ecore.EReference ACTION_EXECUTION_SPECIFICATION__ACTION

  The meta object literal for the 'Action' reference feature.

### BEHAVIOR_EXECUTION_SPECIFICATION

    static final org.eclipse.emf.ecore.EClass BEHAVIOR_EXECUTION_SPECIFICATION

  The meta object literal for the '`Behavior Execution Specification`' class.

  See Also:
    `BehaviorExecutionSpecificationImpl`, `UMLPackageImpl.getBehaviorExecutionSpecification()`

### BEHAVIOR_EXECUTION_SPECIFICATION__BEHAVIOR

    static final org.eclipse.emf.ecore.EReference BEHAVIOR_EXECUTION_SPECIFICATION__BEHAVIOR

  The meta object literal for the 'Behavior' reference feature.

### EXECUTION_EVENT

    static final org.eclipse.emf.ecore.EClass EXECUTION_EVENT

  The meta object literal for the '`Execution Event`' class.

  See Also:
    `ExecutionEventImpl`, `UMLPackageImpl.getExecutionEvent()`

### CREATION_EVENT

    static final org.eclipse.emf.ecore.EClass CREATION_EVENT

  The meta object literal for the '`Creation Event`' class.

  See Also:
    `CreationEventImpl`, `UMLPackageImpl.getCreationEvent()`

### DESTRUCTION_EVENT

    static final org.eclipse.emf.ecore.EClass DESTRUCTION_EVENT

  The meta object literal for the '`Destruction Event`' class.

  See Also:
    `DestructionEventImpl`, `UMLPackageImpl.getDestructionEvent()`

### SEND_OPERATION_EVENT

    static final org.eclipse.emf.ecore.EClass SEND_OPERATION_EVENT

  The meta object literal for the '`Send Operation Event`' class.

  See Also:
    `SendOperationEventImpl`, `UMLPackageImpl.getSendOperationEvent()`

### SEND_OPERATION_EVENT__OPERATION

    static final org.eclipse.emf.ecore.EReference SEND_OPERATION_EVENT__OPERATION

  The meta object literal for the 'Operation' reference feature.

### MESSAGE_EVENT

    static final org.eclipse.emf.ecore.EClass MESSAGE_EVENT

  The meta object literal for the '`Message Event`' class.

  See Also:
    `MessageEventImpl`, `UMLPackageImpl.getMessageEvent()`

### SEND_SIGNAL_EVENT

    static final org.eclipse.emf.ecore.EClass SEND_SIGNAL_EVENT

  The meta object literal for the '`Send Signal Event`' class.

  See Also:
    `SendSignalEventImpl`, `UMLPackageImpl.getSendSignalEvent()`

### SEND_SIGNAL_EVENT__SIGNAL

    static final org.eclipse.emf.ecore.EReference SEND_SIGNAL_EVENT__SIGNAL

  The meta object literal for the 'Signal' reference feature.

### MESSAGE_OCCURRENCE_SPECIFICATION

    static final org.eclipse.emf.ecore.EClass MESSAGE_OCCURRENCE_SPECIFICATION

  The meta object literal for the '`Message Occurrence Specification`' class.

  See Also:
    `MessageOccurrenceSpecificationImpl`, `UMLPackageImpl.getMessageOccurrenceSpecification()`

### EXECUTION_OCCURRENCE_SPECIFICATION

    static final org.eclipse.emf.ecore.EClass EXECUTION_OCCURRENCE_SPECIFICATION

  The meta object literal for the '`Execution Occurrence Specification`' class.

  See Also:
    `ExecutionOccurrenceSpecificationImpl`, `UMLPackageImpl.getExecutionOccurrenceSpecification()`

### EXECUTION_OCCURRENCE_SPECIFICATION__EXECUTION

    static final org.eclipse.emf.ecore.EReference EXECUTION_OCCURRENCE_SPECIFICATION__EXECUTION

  The meta object literal for the 'Execution' reference feature.

### RECEIVE_OPERATION_EVENT

    static final org.eclipse.emf.ecore.EClass RECEIVE_OPERATION_EVENT

  The meta object literal for the '`Receive Operation Event`' class.

  See Also:
    `ReceiveOperationEventImpl`, `UMLPackageImpl.getReceiveOperationEvent()`

### RECEIVE_OPERATION_EVENT__OPERATION

    static final org.eclipse.emf.ecore.EReference RECEIVE_OPERATION_EVENT__OPERATION

  The meta object literal for the 'Operation' reference feature.

### RECEIVE_SIGNAL_EVENT

    static final org.eclipse.emf.ecore.EClass RECEIVE_SIGNAL_EVENT

  The meta object literal for the '`Receive Signal Event`' class.

  See Also:
    `ReceiveSignalEventImpl`, `UMLPackageImpl.getReceiveSignalEvent()`

### RECEIVE_SIGNAL_EVENT__SIGNAL

    static final org.eclipse.emf.ecore.EReference RECEIVE_SIGNAL_EVENT__SIGNAL

  The meta object literal for the 'Signal' reference feature.

### ACTOR

    static final org.eclipse.emf.ecore.EClass ACTOR

  The meta object literal for the '`Actor`' class.

  See Also:
    `ActorImpl`, `UMLPackageImpl.getActor()`

### CALL_EVENT

    static final org.eclipse.emf.ecore.EClass CALL_EVENT

  The meta object literal for the '`Call Event`' class.

  See Also:
    `CallEventImpl`, `UMLPackageImpl.getCallEvent()`

### CALL_EVENT__OPERATION

    static final org.eclipse.emf.ecore.EReference CALL_EVENT__OPERATION

  The meta object literal for the 'Operation' reference feature.

### CHANGE_EVENT

    static final org.eclipse.emf.ecore.EClass CHANGE_EVENT

  The meta object literal for the '`Change Event`' class.

  See Also:
    `ChangeEventImpl`, `UMLPackageImpl.getChangeEvent()`

### CHANGE_EVENT__CHANGE_EXPRESSION

    static final org.eclipse.emf.ecore.EReference CHANGE_EVENT__CHANGE_EXPRESSION

  The meta object literal for the 'Change Expression' containment reference feature.

### SIGNAL_EVENT

    static final org.eclipse.emf.ecore.EClass SIGNAL_EVENT

  The meta object literal for the '`Signal Event`' class.

  See Also:
    `SignalEventImpl`, `UMLPackageImpl.getSignalEvent()`

### SIGNAL_EVENT__SIGNAL

    static final org.eclipse.emf.ecore.EReference SIGNAL_EVENT__SIGNAL

  The meta object literal for the 'Signal' reference feature.

### ANY_RECEIVE_EVENT

    static final org.eclipse.emf.ecore.EClass ANY_RECEIVE_EVENT

  The meta object literal for the '`Any Receive Event`' class.

  See Also:
    `AnyReceiveEventImpl`, `UMLPackageImpl.getAnyReceiveEvent()`

### FORK_NODE

    static final org.eclipse.emf.ecore.EClass FORK_NODE

  The meta object literal for the '`Fork Node`' class.

  See Also:
    `ForkNodeImpl`, `UMLPackageImpl.getForkNode()`

### FLOW_FINAL_NODE

    static final org.eclipse.emf.ecore.EClass FLOW_FINAL_NODE

  The meta object literal for the '`Flow Final Node`' class.

  See Also:
    `FlowFinalNodeImpl`, `UMLPackageImpl.getFlowFinalNode()`

### FINAL_NODE

    static final org.eclipse.emf.ecore.EClass FINAL_NODE

  The meta object literal for the '`Final Node`' class.

  See Also:
    `FinalNodeImpl`, `UMLPackageImpl.getFinalNode()`

### CENTRAL_BUFFER_NODE

    static final org.eclipse.emf.ecore.EClass CENTRAL_BUFFER_NODE

  The meta object literal for the '`Central Buffer Node`' class.

  See Also:
    `CentralBufferNodeImpl`, `UMLPackageImpl.getCentralBufferNode()`

### MERGE_NODE

    static final org.eclipse.emf.ecore.EClass MERGE_NODE

  The meta object literal for the '`Merge Node`' class.

  See Also:
    `MergeNodeImpl`, `UMLPackageImpl.getMergeNode()`

### DECISION_NODE

    static final org.eclipse.emf.ecore.EClass DECISION_NODE

  The meta object literal for the '`Decision Node`' class.

  See Also:
    `DecisionNodeImpl`, `UMLPackageImpl.getDecisionNode()`

### DECISION_NODE__DECISION_INPUT

    static final org.eclipse.emf.ecore.EReference DECISION_NODE__DECISION_INPUT

  The meta object literal for the 'Decision Input' reference feature.

### DECISION_NODE__DECISION_INPUT_FLOW

    static final org.eclipse.emf.ecore.EReference DECISION_NODE__DECISION_INPUT_FLOW

  The meta object literal for the 'Decision Input Flow' reference feature.

### OBJECT_FLOW

    static final org.eclipse.emf.ecore.EClass OBJECT_FLOW

  The meta object literal for the '`Object Flow`' class.

  See Also:
    `ObjectFlowImpl`, `UMLPackageImpl.getObjectFlow()`

### OBJECT_FLOW__IS_MULTICAST

    static final org.eclipse.emf.ecore.EAttribute OBJECT_FLOW__IS_MULTICAST

  The meta object literal for the 'Is Multicast' attribute feature.

### OBJECT_FLOW__IS_MULTIRECEIVE

    static final org.eclipse.emf.ecore.EAttribute OBJECT_FLOW__IS_MULTIRECEIVE

  The meta object literal for the 'Is Multireceive' attribute feature.

### OBJECT_FLOW__TRANSFORMATION

    static final org.eclipse.emf.ecore.EReference OBJECT_FLOW__TRANSFORMATION

  The meta object literal for the 'Transformation' reference feature.

### OBJECT_FLOW__SELECTION

    static final org.eclipse.emf.ecore.EReference OBJECT_FLOW__SELECTION

  The meta object literal for the 'Selection' reference feature.

### ACTIVITY_FINAL_NODE

    static final org.eclipse.emf.ecore.EClass ACTIVITY_FINAL_NODE

  The meta object literal for the '`Activity Final Node`' class.

  See Also:
    `ActivityFinalNodeImpl`, `UMLPackageImpl.getActivityFinalNode()`

### COMPONENT_REALIZATION

    static final org.eclipse.emf.ecore.EClass COMPONENT_REALIZATION

  The meta object literal for the '`Component Realization`' class.

  See Also:
    `ComponentRealizationImpl`, `UMLPackageImpl.getComponentRealization()`

### COMPONENT_REALIZATION__ABSTRACTION

    static final org.eclipse.emf.ecore.EReference COMPONENT_REALIZATION__ABSTRACTION

  The meta object literal for the 'Abstraction' container reference feature.

### COMPONENT_REALIZATION__REALIZING_CLASSIFIER

    static final org.eclipse.emf.ecore.EReference COMPONENT_REALIZATION__REALIZING_CLASSIFIER

  The meta object literal for the 'Realizing Classifier' reference list feature.

### COMPONENT

    static final org.eclipse.emf.ecore.EClass COMPONENT

  The meta object literal for the '`Component`' class.

  See Also:
    `ComponentImpl`, `UMLPackageImpl.getComponent()`

### COMPONENT__IS_INDIRECTLY_INSTANTIATED

    static final org.eclipse.emf.ecore.EAttribute COMPONENT__IS_INDIRECTLY_INSTANTIATED

  The meta object literal for the 'Is Indirectly Instantiated' attribute feature.

### COMPONENT__REQUIRED

    static final org.eclipse.emf.ecore.EReference COMPONENT__REQUIRED

  The meta object literal for the 'Required' reference list feature.

### COMPONENT__PROVIDED

    static final org.eclipse.emf.ecore.EReference COMPONENT__PROVIDED

  The meta object literal for the 'Provided' reference list feature.

### COMPONENT__PACKAGED_ELEMENT

    static final org.eclipse.emf.ecore.EReference COMPONENT__PACKAGED_ELEMENT

  The meta object literal for the 'Packaged Element' containment reference list feature.

### COMPONENT__REALIZATION

    static final org.eclipse.emf.ecore.EReference COMPONENT__REALIZATION

  The meta object literal for the 'Realization' containment reference list feature.

### NODE

    static final org.eclipse.emf.ecore.EClass NODE

  The meta object literal for the '`Node`' class.

  See Also:
    `NodeImpl`, `UMLPackageImpl.getNode()`

### NODE__NESTED_NODE

    static final org.eclipse.emf.ecore.EReference NODE__NESTED_NODE

  The meta object literal for the 'Nested Node' containment reference list feature.

### COMMUNICATION_PATH

    static final org.eclipse.emf.ecore.EClass COMMUNICATION_PATH

  The meta object literal for the '`Communication Path`' class.

  See Also:
    `CommunicationPathImpl`, `UMLPackageImpl.getCommunicationPath()`

### DEVICE

    static final org.eclipse.emf.ecore.EClass DEVICE

  The meta object literal for the '`Device`' class.

  See Also:
    `DeviceImpl`, `UMLPackageImpl.getDevice()`

### EXECUTION_ENVIRONMENT

    static final org.eclipse.emf.ecore.EClass EXECUTION_ENVIRONMENT

  The meta object literal for the '`Execution Environment`' class.

  See Also:
    `ExecutionEnvironmentImpl`, `UMLPackageImpl.getExecutionEnvironment()`

### COMBINED_FRAGMENT

    static final org.eclipse.emf.ecore.EClass COMBINED_FRAGMENT

  The meta object literal for the '`Combined Fragment`' class.

  See Also:
    `CombinedFragmentImpl`, `UMLPackageImpl.getCombinedFragment()`

### COMBINED_FRAGMENT__INTERACTION_OPERATOR

    static final org.eclipse.emf.ecore.EAttribute COMBINED_FRAGMENT__INTERACTION_OPERATOR

  The meta object literal for the 'Interaction Operator' attribute feature.

### COMBINED_FRAGMENT__OPERAND

    static final org.eclipse.emf.ecore.EReference COMBINED_FRAGMENT__OPERAND

  The meta object literal for the 'Operand' containment reference list feature.

### COMBINED_FRAGMENT__CFRAGMENT_GATE

    static final org.eclipse.emf.ecore.EReference COMBINED_FRAGMENT__CFRAGMENT_GATE

  The meta object literal for the 'Cfragment Gate' containment reference list feature.

### CONTINUATION

    static final org.eclipse.emf.ecore.EClass CONTINUATION

  The meta object literal for the '`Continuation`' class.

  See Also:
    `ContinuationImpl`, `UMLPackageImpl.getContinuation()`

### CONTINUATION__SETTING

    static final org.eclipse.emf.ecore.EAttribute CONTINUATION__SETTING

  The meta object literal for the 'Setting' attribute feature.

### CONSIDER_IGNORE_FRAGMENT

    static final org.eclipse.emf.ecore.EClass CONSIDER_IGNORE_FRAGMENT

  The meta object literal for the '`Consider Ignore Fragment`' class.

  See Also:
    `ConsiderIgnoreFragmentImpl`, `UMLPackageImpl.getConsiderIgnoreFragment()`

### CONSIDER_IGNORE_FRAGMENT__MESSAGE

    static final org.eclipse.emf.ecore.EReference CONSIDER_IGNORE_FRAGMENT__MESSAGE

  The meta object literal for the 'Message' reference list feature.

### CREATE_OBJECT_ACTION

    static final org.eclipse.emf.ecore.EClass CREATE_OBJECT_ACTION

  The meta object literal for the '`Create Object Action`' class.

  See Also:
    `CreateObjectActionImpl`, `UMLPackageImpl.getCreateObjectAction()`

### CREATE_OBJECT_ACTION__CLASSIFIER

    static final org.eclipse.emf.ecore.EReference CREATE_OBJECT_ACTION__CLASSIFIER

  The meta object literal for the 'Classifier' reference feature.

### CREATE_OBJECT_ACTION__RESULT

    static final org.eclipse.emf.ecore.EReference CREATE_OBJECT_ACTION__RESULT

  The meta object literal for the 'Result' containment reference feature.

### DESTROY_OBJECT_ACTION

    static final org.eclipse.emf.ecore.EClass DESTROY_OBJECT_ACTION

  The meta object literal for the '`Destroy Object Action`' class.

  See Also:
    `DestroyObjectActionImpl`, `UMLPackageImpl.getDestroyObjectAction()`

### DESTROY_OBJECT_ACTION__IS_DESTROY_LINKS

    static final org.eclipse.emf.ecore.EAttribute DESTROY_OBJECT_ACTION__IS_DESTROY_LINKS

  The meta object literal for the 'Is Destroy Links' attribute feature.

### DESTROY_OBJECT_ACTION__IS_DESTROY_OWNED_OBJECTS

    static final org.eclipse.emf.ecore.EAttribute DESTROY_OBJECT_ACTION__IS_DESTROY_OWNED_OBJECTS

  The meta object literal for the 'Is Destroy Owned Objects' attribute feature.

### DESTROY_OBJECT_ACTION__TARGET

    static final org.eclipse.emf.ecore.EReference DESTROY_OBJECT_ACTION__TARGET

  The meta object literal for the 'Target' containment reference feature.

### TEST_IDENTITY_ACTION

    static final org.eclipse.emf.ecore.EClass TEST_IDENTITY_ACTION

  The meta object literal for the '`Test Identity Action`' class.

  See Also:
    `TestIdentityActionImpl`, `UMLPackageImpl.getTestIdentityAction()`

### TEST_IDENTITY_ACTION__FIRST

    static final org.eclipse.emf.ecore.EReference TEST_IDENTITY_ACTION__FIRST

  The meta object literal for the 'First' containment reference feature.

### TEST_IDENTITY_ACTION__SECOND

    static final org.eclipse.emf.ecore.EReference TEST_IDENTITY_ACTION__SECOND

  The meta object literal for the 'Second' containment reference feature.

### TEST_IDENTITY_ACTION__RESULT

    static final org.eclipse.emf.ecore.EReference TEST_IDENTITY_ACTION__RESULT

  The meta object literal for the 'Result' containment reference feature.

### READ_SELF_ACTION

    static final org.eclipse.emf.ecore.EClass READ_SELF_ACTION

  The meta object literal for the '`Read Self Action`' class.

  See Also:
    `ReadSelfActionImpl`, `UMLPackageImpl.getReadSelfAction()`

### READ_SELF_ACTION__RESULT

    static final org.eclipse.emf.ecore.EReference READ_SELF_ACTION__RESULT

  The meta object literal for the 'Result' containment reference feature.

### STRUCTURAL_FEATURE_ACTION

    static final org.eclipse.emf.ecore.EClass STRUCTURAL_FEATURE_ACTION

  The meta object literal for the '`Structural Feature Action`' class.

  See Also:
    `StructuralFeatureActionImpl`, `UMLPackageImpl.getStructuralFeatureAction()`

### STRUCTURAL_FEATURE_ACTION__STRUCTURAL_FEATURE

    static final org.eclipse.emf.ecore.EReference STRUCTURAL_FEATURE_ACTION__STRUCTURAL_FEATURE

  The meta object literal for the 'Structural Feature' reference feature.

### STRUCTURAL_FEATURE_ACTION__OBJECT

    static final org.eclipse.emf.ecore.EReference STRUCTURAL_FEATURE_ACTION__OBJECT

  The meta object literal for the 'Object' containment reference feature.

### READ_STRUCTURAL_FEATURE_ACTION

    static final org.eclipse.emf.ecore.EClass READ_STRUCTURAL_FEATURE_ACTION

  The meta object literal for the '`Read Structural Feature Action`' class.

  See Also:
    `ReadStructuralFeatureActionImpl`, `UMLPackageImpl.getReadStructuralFeatureAction()`

### READ_STRUCTURAL_FEATURE_ACTION__RESULT

    static final org.eclipse.emf.ecore.EReference READ_STRUCTURAL_FEATURE_ACTION__RESULT

  The meta object literal for the 'Result' containment reference feature.

### WRITE_STRUCTURAL_FEATURE_ACTION

    static final org.eclipse.emf.ecore.EClass WRITE_STRUCTURAL_FEATURE_ACTION

  The meta object literal for the '`Write Structural Feature Action`' class.

  See Also:
    `WriteStructuralFeatureActionImpl`, `UMLPackageImpl.getWriteStructuralFeatureAction()`

### WRITE_STRUCTURAL_FEATURE_ACTION__VALUE

    static final org.eclipse.emf.ecore.EReference WRITE_STRUCTURAL_FEATURE_ACTION__VALUE

  The meta object literal for the 'Value' containment reference feature.

### WRITE_STRUCTURAL_FEATURE_ACTION__RESULT

    static final org.eclipse.emf.ecore.EReference WRITE_STRUCTURAL_FEATURE_ACTION__RESULT

  The meta object literal for the 'Result' containment reference feature.

### CLEAR_STRUCTURAL_FEATURE_ACTION

    static final org.eclipse.emf.ecore.EClass CLEAR_STRUCTURAL_FEATURE_ACTION

  The meta object literal for the '`Clear Structural Feature Action`' class.

  See Also:
    `ClearStructuralFeatureActionImpl`, `UMLPackageImpl.getClearStructuralFeatureAction()`

### CLEAR_STRUCTURAL_FEATURE_ACTION__RESULT

    static final org.eclipse.emf.ecore.EReference CLEAR_STRUCTURAL_FEATURE_ACTION__RESULT

  The meta object literal for the 'Result' containment reference feature.

### REMOVE_STRUCTURAL_FEATURE_VALUE_ACTION

    static final org.eclipse.emf.ecore.EClass REMOVE_STRUCTURAL_FEATURE_VALUE_ACTION

  The meta object literal for the '`Remove Structural Feature Value Action`' class.

  See Also:
    `RemoveStructuralFeatureValueActionImpl`, `UMLPackageImpl.getRemoveStructuralFeatureValueAction()`

### REMOVE_STRUCTURAL_FEATURE_VALUE_ACTION__IS_REMOVE_DUPLICATES

    static final org.eclipse.emf.ecore.EAttribute REMOVE_STRUCTURAL_FEATURE_VALUE_ACTION__IS_REMOVE_DUPLICATES

  The meta object literal for the 'Is Remove Duplicates' attribute feature.

### REMOVE_STRUCTURAL_FEATURE_VALUE_ACTION__REMOVE_AT

    static final org.eclipse.emf.ecore.EReference REMOVE_STRUCTURAL_FEATURE_VALUE_ACTION__REMOVE_AT

  The meta object literal for the 'Remove At' containment reference feature.

### ADD_STRUCTURAL_FEATURE_VALUE_ACTION

    static final org.eclipse.emf.ecore.EClass ADD_STRUCTURAL_FEATURE_VALUE_ACTION

  The meta object literal for the '`Add Structural Feature Value Action`' class.

  See Also:
    `AddStructuralFeatureValueActionImpl`, `UMLPackageImpl.getAddStructuralFeatureValueAction()`

### ADD_STRUCTURAL_FEATURE_VALUE_ACTION__IS_REPLACE_ALL

    static final org.eclipse.emf.ecore.EAttribute ADD_STRUCTURAL_FEATURE_VALUE_ACTION__IS_REPLACE_ALL

  The meta object literal for the 'Is Replace All' attribute feature.

### ADD_STRUCTURAL_FEATURE_VALUE_ACTION__INSERT_AT

    static final org.eclipse.emf.ecore.EReference ADD_STRUCTURAL_FEATURE_VALUE_ACTION__INSERT_AT

  The meta object literal for the 'Insert At' containment reference feature.

### LINK_ACTION

    static final org.eclipse.emf.ecore.EClass LINK_ACTION

  The meta object literal for the '`Link Action`' class.

  See Also:
    `LinkActionImpl`, `UMLPackageImpl.getLinkAction()`

### LINK_ACTION__END_DATA

    static final org.eclipse.emf.ecore.EReference LINK_ACTION__END_DATA

  The meta object literal for the 'End Data' containment reference list feature.

### LINK_ACTION__INPUT_VALUE

    static final org.eclipse.emf.ecore.EReference LINK_ACTION__INPUT_VALUE

  The meta object literal for the 'Input Value' containment reference list feature.

### LINK_END_DATA

    static final org.eclipse.emf.ecore.EClass LINK_END_DATA

  The meta object literal for the '`Link End Data`' class.

  See Also:
    `LinkEndDataImpl`, `UMLPackageImpl.getLinkEndData()`

### LINK_END_DATA__VALUE

    static final org.eclipse.emf.ecore.EReference LINK_END_DATA__VALUE

  The meta object literal for the 'Value' reference feature.

### LINK_END_DATA__END

    static final org.eclipse.emf.ecore.EReference LINK_END_DATA__END

  The meta object literal for the 'End' reference feature.

### LINK_END_DATA__QUALIFIER

    static final org.eclipse.emf.ecore.EReference LINK_END_DATA__QUALIFIER

  The meta object literal for the 'Qualifier' containment reference list feature.

### QUALIFIER_VALUE

    static final org.eclipse.emf.ecore.EClass QUALIFIER_VALUE

  The meta object literal for the '`Qualifier Value`' class.

  See Also:
    `QualifierValueImpl`, `UMLPackageImpl.getQualifierValue()`

### QUALIFIER_VALUE__QUALIFIER

    static final org.eclipse.emf.ecore.EReference QUALIFIER_VALUE__QUALIFIER

  The meta object literal for the 'Qualifier' reference feature.

### QUALIFIER_VALUE__VALUE

    static final org.eclipse.emf.ecore.EReference QUALIFIER_VALUE__VALUE

  The meta object literal for the 'Value' reference feature.

### READ_LINK_ACTION

    static final org.eclipse.emf.ecore.EClass READ_LINK_ACTION

  The meta object literal for the '`Read Link Action`' class.

  See Also:
    `ReadLinkActionImpl`, `UMLPackageImpl.getReadLinkAction()`

### READ_LINK_ACTION__RESULT

    static final org.eclipse.emf.ecore.EReference READ_LINK_ACTION__RESULT

  The meta object literal for the 'Result' containment reference feature.

### LINK_END_CREATION_DATA

    static final org.eclipse.emf.ecore.EClass LINK_END_CREATION_DATA

  The meta object literal for the '`Link End Creation Data`' class.

  See Also:
    `LinkEndCreationDataImpl`, `UMLPackageImpl.getLinkEndCreationData()`

### LINK_END_CREATION_DATA__IS_REPLACE_ALL

    static final org.eclipse.emf.ecore.EAttribute LINK_END_CREATION_DATA__IS_REPLACE_ALL

  The meta object literal for the 'Is Replace All' attribute feature.

### LINK_END_CREATION_DATA__INSERT_AT

    static final org.eclipse.emf.ecore.EReference LINK_END_CREATION_DATA__INSERT_AT

  The meta object literal for the 'Insert At' reference feature.

### CREATE_LINK_ACTION

    static final org.eclipse.emf.ecore.EClass CREATE_LINK_ACTION

  The meta object literal for the '`Create Link Action`' class.

  See Also:
    `CreateLinkActionImpl`, `UMLPackageImpl.getCreateLinkAction()`

### WRITE_LINK_ACTION

    static final org.eclipse.emf.ecore.EClass WRITE_LINK_ACTION

  The meta object literal for the '`Write Link Action`' class.

  See Also:
    `WriteLinkActionImpl`, `UMLPackageImpl.getWriteLinkAction()`

### DESTROY_LINK_ACTION

    static final org.eclipse.emf.ecore.EClass DESTROY_LINK_ACTION

  The meta object literal for the '`Destroy Link Action`' class.

  See Also:
    `DestroyLinkActionImpl`, `UMLPackageImpl.getDestroyLinkAction()`

### LINK_END_DESTRUCTION_DATA

    static final org.eclipse.emf.ecore.EClass LINK_END_DESTRUCTION_DATA

  The meta object literal for the '`Link End Destruction Data`' class.

  See Also:
    `LinkEndDestructionDataImpl`, `UMLPackageImpl.getLinkEndDestructionData()`

### LINK_END_DESTRUCTION_DATA__IS_DESTROY_DUPLICATES

    static final org.eclipse.emf.ecore.EAttribute LINK_END_DESTRUCTION_DATA__IS_DESTROY_DUPLICATES

  The meta object literal for the 'Is Destroy Duplicates' attribute feature.

### LINK_END_DESTRUCTION_DATA__DESTROY_AT

    static final org.eclipse.emf.ecore.EReference LINK_END_DESTRUCTION_DATA__DESTROY_AT

  The meta object literal for the 'Destroy At' reference feature.

### CLEAR_ASSOCIATION_ACTION

    static final org.eclipse.emf.ecore.EClass CLEAR_ASSOCIATION_ACTION

  The meta object literal for the '`Clear Association Action`' class.

  See Also:
    `ClearAssociationActionImpl`, `UMLPackageImpl.getClearAssociationAction()`

### CLEAR_ASSOCIATION_ACTION__OBJECT

    static final org.eclipse.emf.ecore.EReference CLEAR_ASSOCIATION_ACTION__OBJECT

  The meta object literal for the 'Object' containment reference feature.

### CLEAR_ASSOCIATION_ACTION__ASSOCIATION

    static final org.eclipse.emf.ecore.EReference CLEAR_ASSOCIATION_ACTION__ASSOCIATION

  The meta object literal for the 'Association' reference feature.

### BROADCAST_SIGNAL_ACTION

    static final org.eclipse.emf.ecore.EClass BROADCAST_SIGNAL_ACTION

  The meta object literal for the '`Broadcast Signal Action`' class.

  See Also:
    `BroadcastSignalActionImpl`, `UMLPackageImpl.getBroadcastSignalAction()`

### BROADCAST_SIGNAL_ACTION__SIGNAL

    static final org.eclipse.emf.ecore.EReference BROADCAST_SIGNAL_ACTION__SIGNAL

  The meta object literal for the 'Signal' reference feature.

### SEND_OBJECT_ACTION

    static final org.eclipse.emf.ecore.EClass SEND_OBJECT_ACTION

  The meta object literal for the '`Send Object Action`' class.

  See Also:
    `SendObjectActionImpl`, `UMLPackageImpl.getSendObjectAction()`

### SEND_OBJECT_ACTION__TARGET

    static final org.eclipse.emf.ecore.EReference SEND_OBJECT_ACTION__TARGET

  The meta object literal for the 'Target' containment reference feature.

### SEND_OBJECT_ACTION__REQUEST

    static final org.eclipse.emf.ecore.EReference SEND_OBJECT_ACTION__REQUEST

  The meta object literal for the 'Request' containment reference feature.

### VALUE_SPECIFICATION_ACTION

    static final org.eclipse.emf.ecore.EClass VALUE_SPECIFICATION_ACTION

  The meta object literal for the '`Value Specification Action`' class.

  See Also:
    `ValueSpecificationActionImpl`, `UMLPackageImpl.getValueSpecificationAction()`

### VALUE_SPECIFICATION_ACTION__VALUE

    static final org.eclipse.emf.ecore.EReference VALUE_SPECIFICATION_ACTION__VALUE

  The meta object literal for the 'Value' containment reference feature.

### VALUE_SPECIFICATION_ACTION__RESULT

    static final org.eclipse.emf.ecore.EReference VALUE_SPECIFICATION_ACTION__RESULT

  The meta object literal for the 'Result' containment reference feature.

### TIME_EXPRESSION

    static final org.eclipse.emf.ecore.EClass TIME_EXPRESSION

  The meta object literal for the '`Time Expression`' class.

  See Also:
    `TimeExpressionImpl`, `UMLPackageImpl.getTimeExpression()`

### TIME_EXPRESSION__EXPR

    static final org.eclipse.emf.ecore.EReference TIME_EXPRESSION__EXPR

  The meta object literal for the 'Expr' containment reference feature.

### TIME_EXPRESSION__OBSERVATION

    static final org.eclipse.emf.ecore.EReference TIME_EXPRESSION__OBSERVATION

  The meta object literal for the 'Observation' reference list feature.

### OBSERVATION

    static final org.eclipse.emf.ecore.EClass OBSERVATION

  The meta object literal for the '`Observation`' class.

  See Also:
    `ObservationImpl`, `UMLPackageImpl.getObservation()`

### DURATION

    static final org.eclipse.emf.ecore.EClass DURATION

  The meta object literal for the '`Duration`' class.

  See Also:
    `DurationImpl`, `UMLPackageImpl.getDuration()`

### DURATION__EXPR

    static final org.eclipse.emf.ecore.EReference DURATION__EXPR

  The meta object literal for the 'Expr' containment reference feature.

### DURATION__OBSERVATION

    static final org.eclipse.emf.ecore.EReference DURATION__OBSERVATION

  The meta object literal for the 'Observation' reference list feature.

### DURATION_INTERVAL

    static final org.eclipse.emf.ecore.EClass DURATION_INTERVAL

  The meta object literal for the '`Duration Interval`' class.

  See Also:
    `DurationIntervalImpl`, `UMLPackageImpl.getDurationInterval()`

### INTERVAL

    static final org.eclipse.emf.ecore.EClass INTERVAL

  The meta object literal for the '`Interval`' class.

  See Also:
    `IntervalImpl`, `UMLPackageImpl.getInterval()`

### INTERVAL__MIN

    static final org.eclipse.emf.ecore.EReference INTERVAL__MIN

  The meta object literal for the 'Min' reference feature.

### INTERVAL__MAX

    static final org.eclipse.emf.ecore.EReference INTERVAL__MAX

  The meta object literal for the 'Max' reference feature.

### TIME_CONSTRAINT

    static final org.eclipse.emf.ecore.EClass TIME_CONSTRAINT

  The meta object literal for the '`Time Constraint`' class.

  See Also:
    `TimeConstraintImpl`, `UMLPackageImpl.getTimeConstraint()`

### TIME_CONSTRAINT__FIRST_EVENT

    static final org.eclipse.emf.ecore.EAttribute TIME_CONSTRAINT__FIRST_EVENT

  The meta object literal for the 'First Event' attribute feature.

### INTERVAL_CONSTRAINT

    static final org.eclipse.emf.ecore.EClass INTERVAL_CONSTRAINT

  The meta object literal for the '`Interval Constraint`' class.

  See Also:
    `IntervalConstraintImpl`, `UMLPackageImpl.getIntervalConstraint()`

### TIME_INTERVAL

    static final org.eclipse.emf.ecore.EClass TIME_INTERVAL

  The meta object literal for the '`Time Interval`' class.

  See Also:
    `TimeIntervalImpl`, `UMLPackageImpl.getTimeInterval()`

### DURATION_CONSTRAINT

    static final org.eclipse.emf.ecore.EClass DURATION_CONSTRAINT

  The meta object literal for the '`Duration Constraint`' class.

  See Also:
    `DurationConstraintImpl`, `UMLPackageImpl.getDurationConstraint()`

### DURATION_CONSTRAINT__FIRST_EVENT

    static final org.eclipse.emf.ecore.EAttribute DURATION_CONSTRAINT__FIRST_EVENT

  The meta object literal for the 'First Event' attribute list feature.

### TIME_OBSERVATION

    static final org.eclipse.emf.ecore.EClass TIME_OBSERVATION

  The meta object literal for the '`Time Observation`' class.

  See Also:
    `TimeObservationImpl`, `UMLPackageImpl.getTimeObservation()`

### TIME_OBSERVATION__EVENT

    static final org.eclipse.emf.ecore.EReference TIME_OBSERVATION__EVENT

  The meta object literal for the 'Event' reference feature.

### TIME_OBSERVATION__FIRST_EVENT

    static final org.eclipse.emf.ecore.EAttribute TIME_OBSERVATION__FIRST_EVENT

  The meta object literal for the 'First Event' attribute feature.

### DURATION_OBSERVATION

    static final org.eclipse.emf.ecore.EClass DURATION_OBSERVATION

  The meta object literal for the '`Duration Observation`' class.

  See Also:
    `DurationObservationImpl`, `UMLPackageImpl.getDurationObservation()`

### DURATION_OBSERVATION__EVENT

    static final org.eclipse.emf.ecore.EReference DURATION_OBSERVATION__EVENT

  The meta object literal for the 'Event' reference list feature.

### DURATION_OBSERVATION__FIRST_EVENT

    static final org.eclipse.emf.ecore.EAttribute DURATION_OBSERVATION__FIRST_EVENT

  The meta object literal for the 'First Event' attribute list feature.

### FINAL_STATE

    static final org.eclipse.emf.ecore.EClass FINAL_STATE

  The meta object literal for the '`Final State`' class.

  See Also:
    `FinalStateImpl`, `UMLPackageImpl.getFinalState()`

### TIME_EVENT

    static final org.eclipse.emf.ecore.EClass TIME_EVENT

  The meta object literal for the '`Time Event`' class.

  See Also:
    `TimeEventImpl`, `UMLPackageImpl.getTimeEvent()`

### TIME_EVENT__IS_RELATIVE

    static final org.eclipse.emf.ecore.EAttribute TIME_EVENT__IS_RELATIVE

  The meta object literal for the 'Is Relative' attribute feature.

### TIME_EVENT__WHEN

    static final org.eclipse.emf.ecore.EReference TIME_EVENT__WHEN

  The meta object literal for the 'When' containment reference feature.

### VARIABLE_ACTION

    static final org.eclipse.emf.ecore.EClass VARIABLE_ACTION

  The meta object literal for the '`Variable Action`' class.

  See Also:
    `VariableActionImpl`, `UMLPackageImpl.getVariableAction()`

### VARIABLE_ACTION__VARIABLE

    static final org.eclipse.emf.ecore.EReference VARIABLE_ACTION__VARIABLE

  The meta object literal for the 'Variable' reference feature.

### READ_VARIABLE_ACTION

    static final org.eclipse.emf.ecore.EClass READ_VARIABLE_ACTION

  The meta object literal for the '`Read Variable Action`' class.

  See Also:
    `ReadVariableActionImpl`, `UMLPackageImpl.getReadVariableAction()`

### READ_VARIABLE_ACTION__RESULT

    static final org.eclipse.emf.ecore.EReference READ_VARIABLE_ACTION__RESULT

  The meta object literal for the 'Result' containment reference feature.

### WRITE_VARIABLE_ACTION

    static final org.eclipse.emf.ecore.EClass WRITE_VARIABLE_ACTION

  The meta object literal for the '`Write Variable Action`' class.

  See Also:
    `WriteVariableActionImpl`, `UMLPackageImpl.getWriteVariableAction()`

### WRITE_VARIABLE_ACTION__VALUE

    static final org.eclipse.emf.ecore.EReference WRITE_VARIABLE_ACTION__VALUE

  The meta object literal for the 'Value' containment reference feature.

### CLEAR_VARIABLE_ACTION

    static final org.eclipse.emf.ecore.EClass CLEAR_VARIABLE_ACTION

  The meta object literal for the '`Clear Variable Action`' class.

  See Also:
    `ClearVariableActionImpl`, `UMLPackageImpl.getClearVariableAction()`

### ADD_VARIABLE_VALUE_ACTION

    static final org.eclipse.emf.ecore.EClass ADD_VARIABLE_VALUE_ACTION

  The meta object literal for the '`Add Variable Value Action`' class.

  See Also:
    `AddVariableValueActionImpl`, `UMLPackageImpl.getAddVariableValueAction()`

### ADD_VARIABLE_VALUE_ACTION__IS_REPLACE_ALL

    static final org.eclipse.emf.ecore.EAttribute ADD_VARIABLE_VALUE_ACTION__IS_REPLACE_ALL

  The meta object literal for the 'Is Replace All' attribute feature.

### ADD_VARIABLE_VALUE_ACTION__INSERT_AT

    static final org.eclipse.emf.ecore.EReference ADD_VARIABLE_VALUE_ACTION__INSERT_AT

  The meta object literal for the 'Insert At' containment reference feature.

### REMOVE_VARIABLE_VALUE_ACTION

    static final org.eclipse.emf.ecore.EClass REMOVE_VARIABLE_VALUE_ACTION

  The meta object literal for the '`Remove Variable Value Action`' class.

  See Also:
    `RemoveVariableValueActionImpl`, `UMLPackageImpl.getRemoveVariableValueAction()`

### REMOVE_VARIABLE_VALUE_ACTION__IS_REMOVE_DUPLICATES

    static final org.eclipse.emf.ecore.EAttribute REMOVE_VARIABLE_VALUE_ACTION__IS_REMOVE_DUPLICATES

  The meta object literal for the 'Is Remove Duplicates' attribute feature.

### REMOVE_VARIABLE_VALUE_ACTION__REMOVE_AT

    static final org.eclipse.emf.ecore.EReference REMOVE_VARIABLE_VALUE_ACTION__REMOVE_AT

  The meta object literal for the 'Remove At' containment reference feature.

### RAISE_EXCEPTION_ACTION

    static final org.eclipse.emf.ecore.EClass RAISE_EXCEPTION_ACTION

  The meta object literal for the '`Raise Exception Action`' class.

  See Also:
    `RaiseExceptionActionImpl`, `UMLPackageImpl.getRaiseExceptionAction()`

### RAISE_EXCEPTION_ACTION__EXCEPTION

    static final org.eclipse.emf.ecore.EReference RAISE_EXCEPTION_ACTION__EXCEPTION

  The meta object literal for the 'Exception' containment reference feature.

### ACTION_INPUT_PIN

    static final org.eclipse.emf.ecore.EClass ACTION_INPUT_PIN

  The meta object literal for the '`Action Input Pin`' class.

  See Also:
    `ActionInputPinImpl`, `UMLPackageImpl.getActionInputPin()`

### ACTION_INPUT_PIN__FROM_ACTION

    static final org.eclipse.emf.ecore.EReference ACTION_INPUT_PIN__FROM_ACTION

  The meta object literal for the 'From Action' containment reference feature.

### INFORMATION_ITEM

    static final org.eclipse.emf.ecore.EClass INFORMATION_ITEM

  The meta object literal for the '`Information Item`' class.

  See Also:
    `InformationItemImpl`, `UMLPackageImpl.getInformationItem()`

### INFORMATION_ITEM__REPRESENTED

    static final org.eclipse.emf.ecore.EReference INFORMATION_ITEM__REPRESENTED

  The meta object literal for the 'Represented' reference list feature.

### INFORMATION_FLOW

    static final org.eclipse.emf.ecore.EClass INFORMATION_FLOW

  The meta object literal for the '`Information Flow`' class.

  See Also:
    `InformationFlowImpl`, `UMLPackageImpl.getInformationFlow()`

### INFORMATION_FLOW__REALIZATION

    static final org.eclipse.emf.ecore.EReference INFORMATION_FLOW__REALIZATION

  The meta object literal for the 'Realization' reference list feature.

### INFORMATION_FLOW__CONVEYED

    static final org.eclipse.emf.ecore.EReference INFORMATION_FLOW__CONVEYED

  The meta object literal for the 'Conveyed' reference list feature.

### INFORMATION_FLOW__INFORMATION_SOURCE

    static final org.eclipse.emf.ecore.EReference INFORMATION_FLOW__INFORMATION_SOURCE

  The meta object literal for the 'Information Source' reference list feature.

### INFORMATION_FLOW__INFORMATION_TARGET

    static final org.eclipse.emf.ecore.EReference INFORMATION_FLOW__INFORMATION_TARGET

  The meta object literal for the 'Information Target' reference list feature.

### INFORMATION_FLOW__REALIZING_ACTIVITY_EDGE

    static final org.eclipse.emf.ecore.EReference INFORMATION_FLOW__REALIZING_ACTIVITY_EDGE

  The meta object literal for the 'Realizing Activity Edge' reference list feature.

### INFORMATION_FLOW__REALIZING_CONNECTOR

    static final org.eclipse.emf.ecore.EReference INFORMATION_FLOW__REALIZING_CONNECTOR

  The meta object literal for the 'Realizing Connector' reference list feature.

### INFORMATION_FLOW__REALIZING_MESSAGE

    static final org.eclipse.emf.ecore.EReference INFORMATION_FLOW__REALIZING_MESSAGE

  The meta object literal for the 'Realizing Message' reference list feature.

### READ_EXTENT_ACTION

    static final org.eclipse.emf.ecore.EClass READ_EXTENT_ACTION

  The meta object literal for the '`Read Extent Action`' class.

  See Also:
    `ReadExtentActionImpl`, `UMLPackageImpl.getReadExtentAction()`

### READ_EXTENT_ACTION__RESULT

    static final org.eclipse.emf.ecore.EReference READ_EXTENT_ACTION__RESULT

  The meta object literal for the 'Result' containment reference feature.

### READ_EXTENT_ACTION__CLASSIFIER

    static final org.eclipse.emf.ecore.EReference READ_EXTENT_ACTION__CLASSIFIER

  The meta object literal for the 'Classifier' reference feature.

### RECLASSIFY_OBJECT_ACTION

    static final org.eclipse.emf.ecore.EClass RECLASSIFY_OBJECT_ACTION

  The meta object literal for the '`Reclassify Object Action`' class.

  See Also:
    `ReclassifyObjectActionImpl`, `UMLPackageImpl.getReclassifyObjectAction()`

### RECLASSIFY_OBJECT_ACTION__IS_REPLACE_ALL

    static final org.eclipse.emf.ecore.EAttribute RECLASSIFY_OBJECT_ACTION__IS_REPLACE_ALL

  The meta object literal for the 'Is Replace All' attribute feature.

### RECLASSIFY_OBJECT_ACTION__OLD_CLASSIFIER

    static final org.eclipse.emf.ecore.EReference RECLASSIFY_OBJECT_ACTION__OLD_CLASSIFIER

  The meta object literal for the 'Old Classifier' reference list feature.

### RECLASSIFY_OBJECT_ACTION__NEW_CLASSIFIER

    static final org.eclipse.emf.ecore.EReference RECLASSIFY_OBJECT_ACTION__NEW_CLASSIFIER

  The meta object literal for the 'New Classifier' reference list feature.

### RECLASSIFY_OBJECT_ACTION__OBJECT

    static final org.eclipse.emf.ecore.EReference RECLASSIFY_OBJECT_ACTION__OBJECT

  The meta object literal for the 'Object' containment reference feature.

### READ_IS_CLASSIFIED_OBJECT_ACTION

    static final org.eclipse.emf.ecore.EClass READ_IS_CLASSIFIED_OBJECT_ACTION

  The meta object literal for the '`Read Is Classified Object Action`' class.

  See Also:
    `ReadIsClassifiedObjectActionImpl`, `UMLPackageImpl.getReadIsClassifiedObjectAction()`

### READ_IS_CLASSIFIED_OBJECT_ACTION__IS_DIRECT

    static final org.eclipse.emf.ecore.EAttribute READ_IS_CLASSIFIED_OBJECT_ACTION__IS_DIRECT

  The meta object literal for the 'Is Direct' attribute feature.

### READ_IS_CLASSIFIED_OBJECT_ACTION__CLASSIFIER

    static final org.eclipse.emf.ecore.EReference READ_IS_CLASSIFIED_OBJECT_ACTION__CLASSIFIER

  The meta object literal for the 'Classifier' reference feature.

### READ_IS_CLASSIFIED_OBJECT_ACTION__RESULT

    static final org.eclipse.emf.ecore.EReference READ_IS_CLASSIFIED_OBJECT_ACTION__RESULT

  The meta object literal for the 'Result' containment reference feature.

### READ_IS_CLASSIFIED_OBJECT_ACTION__OBJECT

    static final org.eclipse.emf.ecore.EReference READ_IS_CLASSIFIED_OBJECT_ACTION__OBJECT

  The meta object literal for the 'Object' containment reference feature.

### START_CLASSIFIER_BEHAVIOR_ACTION

    static final org.eclipse.emf.ecore.EClass START_CLASSIFIER_BEHAVIOR_ACTION

  The meta object literal for the '`Start Classifier Behavior Action`' class.

  See Also:
    `StartClassifierBehaviorActionImpl`, `UMLPackageImpl.getStartClassifierBehaviorAction()`

### START_CLASSIFIER_BEHAVIOR_ACTION__OBJECT

    static final org.eclipse.emf.ecore.EReference START_CLASSIFIER_BEHAVIOR_ACTION__OBJECT

  The meta object literal for the 'Object' containment reference feature.

### READ_LINK_OBJECT_END_ACTION

    static final org.eclipse.emf.ecore.EClass READ_LINK_OBJECT_END_ACTION

  The meta object literal for the '`Read Link Object End Action`' class.

  See Also:
    `ReadLinkObjectEndActionImpl`, `UMLPackageImpl.getReadLinkObjectEndAction()`

### READ_LINK_OBJECT_END_ACTION__OBJECT

    static final org.eclipse.emf.ecore.EReference READ_LINK_OBJECT_END_ACTION__OBJECT

  The meta object literal for the 'Object' containment reference feature.

### READ_LINK_OBJECT_END_ACTION__END

    static final org.eclipse.emf.ecore.EReference READ_LINK_OBJECT_END_ACTION__END

  The meta object literal for the 'End' reference feature.

### READ_LINK_OBJECT_END_ACTION__RESULT

    static final org.eclipse.emf.ecore.EReference READ_LINK_OBJECT_END_ACTION__RESULT

  The meta object literal for the 'Result' containment reference feature.

### READ_LINK_OBJECT_END_QUALIFIER_ACTION

    static final org.eclipse.emf.ecore.EClass READ_LINK_OBJECT_END_QUALIFIER_ACTION

  The meta object literal for the '`Read Link Object End Qualifier Action`' class.

  See Also:
    `ReadLinkObjectEndQualifierActionImpl`, `UMLPackageImpl.getReadLinkObjectEndQualifierAction()`

### READ_LINK_OBJECT_END_QUALIFIER_ACTION__OBJECT

    static final org.eclipse.emf.ecore.EReference READ_LINK_OBJECT_END_QUALIFIER_ACTION__OBJECT

  The meta object literal for the 'Object' containment reference feature.

### READ_LINK_OBJECT_END_QUALIFIER_ACTION__RESULT

    static final org.eclipse.emf.ecore.EReference READ_LINK_OBJECT_END_QUALIFIER_ACTION__RESULT

  The meta object literal for the 'Result' containment reference feature.

### READ_LINK_OBJECT_END_QUALIFIER_ACTION__QUALIFIER

    static final org.eclipse.emf.ecore.EReference READ_LINK_OBJECT_END_QUALIFIER_ACTION__QUALIFIER

  The meta object literal for the 'Qualifier' reference feature.

### CREATE_LINK_OBJECT_ACTION

    static final org.eclipse.emf.ecore.EClass CREATE_LINK_OBJECT_ACTION

  The meta object literal for the '`Create Link Object Action`' class.

  See Also:
    `CreateLinkObjectActionImpl`, `UMLPackageImpl.getCreateLinkObjectAction()`

### CREATE_LINK_OBJECT_ACTION__RESULT

    static final org.eclipse.emf.ecore.EReference CREATE_LINK_OBJECT_ACTION__RESULT

  The meta object literal for the 'Result' containment reference feature.

### ACCEPT_EVENT_ACTION

    static final org.eclipse.emf.ecore.EClass ACCEPT_EVENT_ACTION

  The meta object literal for the '`Accept Event Action`' class.

  See Also:
    `AcceptEventActionImpl`, `UMLPackageImpl.getAcceptEventAction()`

### ACCEPT_EVENT_ACTION__IS_UNMARSHALL

    static final org.eclipse.emf.ecore.EAttribute ACCEPT_EVENT_ACTION__IS_UNMARSHALL

  The meta object literal for the 'Is Unmarshall' attribute feature.

### ACCEPT_EVENT_ACTION__RESULT

    static final org.eclipse.emf.ecore.EReference ACCEPT_EVENT_ACTION__RESULT

  The meta object literal for the 'Result' containment reference list feature.

### ACCEPT_EVENT_ACTION__TRIGGER

    static final org.eclipse.emf.ecore.EReference ACCEPT_EVENT_ACTION__TRIGGER

  The meta object literal for the 'Trigger' containment reference list feature.

### ACCEPT_CALL_ACTION

    static final org.eclipse.emf.ecore.EClass ACCEPT_CALL_ACTION

  The meta object literal for the '`Accept Call Action`' class.

  See Also:
    `AcceptCallActionImpl`, `UMLPackageImpl.getAcceptCallAction()`

### ACCEPT_CALL_ACTION__RETURN_INFORMATION

    static final org.eclipse.emf.ecore.EReference ACCEPT_CALL_ACTION__RETURN_INFORMATION

  The meta object literal for the 'Return Information' containment reference feature.

### REPLY_ACTION

    static final org.eclipse.emf.ecore.EClass REPLY_ACTION

  The meta object literal for the '`Reply Action`' class.

  See Also:
    `ReplyActionImpl`, `UMLPackageImpl.getReplyAction()`

### REPLY_ACTION__REPLY_TO_CALL

    static final org.eclipse.emf.ecore.EReference REPLY_ACTION__REPLY_TO_CALL

  The meta object literal for the 'Reply To Call' reference feature.

### REPLY_ACTION__RETURN_INFORMATION

    static final org.eclipse.emf.ecore.EReference REPLY_ACTION__RETURN_INFORMATION

  The meta object literal for the 'Return Information' containment reference feature.

### REPLY_ACTION__REPLY_VALUE

    static final org.eclipse.emf.ecore.EReference REPLY_ACTION__REPLY_VALUE

  The meta object literal for the 'Reply Value' containment reference list feature.

### UNMARSHALL_ACTION

    static final org.eclipse.emf.ecore.EClass UNMARSHALL_ACTION

  The meta object literal for the '`Unmarshall Action`' class.

  See Also:
    `UnmarshallActionImpl`, `UMLPackageImpl.getUnmarshallAction()`

### UNMARSHALL_ACTION__RESULT

    static final org.eclipse.emf.ecore.EReference UNMARSHALL_ACTION__RESULT

  The meta object literal for the 'Result' containment reference list feature.

### UNMARSHALL_ACTION__UNMARSHALL_TYPE

    static final org.eclipse.emf.ecore.EReference UNMARSHALL_ACTION__UNMARSHALL_TYPE

  The meta object literal for the 'Unmarshall Type' reference feature.

### UNMARSHALL_ACTION__OBJECT

    static final org.eclipse.emf.ecore.EReference UNMARSHALL_ACTION__OBJECT

  The meta object literal for the 'Object' containment reference feature.

### REDUCE_ACTION

    static final org.eclipse.emf.ecore.EClass REDUCE_ACTION

  The meta object literal for the '`Reduce Action`' class.

  See Also:
    `ReduceActionImpl`, `UMLPackageImpl.getReduceAction()`

### REDUCE_ACTION__REDUCER

    static final org.eclipse.emf.ecore.EReference REDUCE_ACTION__REDUCER

  The meta object literal for the 'Reducer' reference feature.

### REDUCE_ACTION__RESULT

    static final org.eclipse.emf.ecore.EReference REDUCE_ACTION__RESULT

  The meta object literal for the 'Result' containment reference feature.

### REDUCE_ACTION__COLLECTION

    static final org.eclipse.emf.ecore.EReference REDUCE_ACTION__COLLECTION

  The meta object literal for the 'Collection' containment reference feature.

### REDUCE_ACTION__IS_ORDERED

    static final org.eclipse.emf.ecore.EAttribute REDUCE_ACTION__IS_ORDERED

  The meta object literal for the 'Is Ordered' attribute feature.

### START_OBJECT_BEHAVIOR_ACTION

    static final org.eclipse.emf.ecore.EClass START_OBJECT_BEHAVIOR_ACTION

  The meta object literal for the '`Start Object Behavior Action`' class.

  See Also:
    `StartObjectBehaviorActionImpl`, `UMLPackageImpl.getStartObjectBehaviorAction()`

### START_OBJECT_BEHAVIOR_ACTION__OBJECT

    static final org.eclipse.emf.ecore.EReference START_OBJECT_BEHAVIOR_ACTION__OBJECT

  The meta object literal for the 'Object' containment reference feature.

### JOIN_NODE

    static final org.eclipse.emf.ecore.EClass JOIN_NODE

  The meta object literal for the '`Join Node`' class.

  See Also:
    `JoinNodeImpl`, `UMLPackageImpl.getJoinNode()`

### JOIN_NODE__IS_COMBINE_DUPLICATE

    static final org.eclipse.emf.ecore.EAttribute JOIN_NODE__IS_COMBINE_DUPLICATE

  The meta object literal for the 'Is Combine Duplicate' attribute feature.

### JOIN_NODE__JOIN_SPEC

    static final org.eclipse.emf.ecore.EReference JOIN_NODE__JOIN_SPEC

  The meta object literal for the 'Join Spec' containment reference feature.

### DATA_STORE_NODE

    static final org.eclipse.emf.ecore.EClass DATA_STORE_NODE

  The meta object literal for the '`Data Store Node`' class.

  See Also:
    `DataStoreNodeImpl`, `UMLPackageImpl.getDataStoreNode()`

### CONDITIONAL_NODE

    static final org.eclipse.emf.ecore.EClass CONDITIONAL_NODE

  The meta object literal for the '`Conditional Node`' class.

  See Also:
    `ConditionalNodeImpl`, `UMLPackageImpl.getConditionalNode()`

### CONDITIONAL_NODE__IS_DETERMINATE

    static final org.eclipse.emf.ecore.EAttribute CONDITIONAL_NODE__IS_DETERMINATE

  The meta object literal for the 'Is Determinate' attribute feature.

### CONDITIONAL_NODE__IS_ASSURED

    static final org.eclipse.emf.ecore.EAttribute CONDITIONAL_NODE__IS_ASSURED

  The meta object literal for the 'Is Assured' attribute feature.

### CONDITIONAL_NODE__CLAUSE

    static final org.eclipse.emf.ecore.EReference CONDITIONAL_NODE__CLAUSE

  The meta object literal for the 'Clause' containment reference list feature.

### CONDITIONAL_NODE__RESULT

    static final org.eclipse.emf.ecore.EReference CONDITIONAL_NODE__RESULT

  The meta object literal for the 'Result' containment reference list feature.

### CLAUSE

    static final org.eclipse.emf.ecore.EClass CLAUSE

  The meta object literal for the '`Clause`' class.

  See Also:
    `ClauseImpl`, `UMLPackageImpl.getClause()`

### CLAUSE__TEST

    static final org.eclipse.emf.ecore.EReference CLAUSE__TEST

  The meta object literal for the 'Test' reference list feature.

### CLAUSE__BODY

    static final org.eclipse.emf.ecore.EReference CLAUSE__BODY

  The meta object literal for the 'Body' reference list feature.

### CLAUSE__PREDECESSOR_CLAUSE

    static final org.eclipse.emf.ecore.EReference CLAUSE__PREDECESSOR_CLAUSE

  The meta object literal for the 'Predecessor Clause' reference list feature.

### CLAUSE__SUCCESSOR_CLAUSE

    static final org.eclipse.emf.ecore.EReference CLAUSE__SUCCESSOR_CLAUSE

  The meta object literal for the 'Successor Clause' reference list feature.

### CLAUSE__DECIDER

    static final org.eclipse.emf.ecore.EReference CLAUSE__DECIDER

  The meta object literal for the 'Decider' reference feature.

### CLAUSE__BODY_OUTPUT

    static final org.eclipse.emf.ecore.EReference CLAUSE__BODY_OUTPUT

  The meta object literal for the 'Body Output' reference list feature.

### LOOP_NODE

    static final org.eclipse.emf.ecore.EClass LOOP_NODE

  The meta object literal for the '`Loop Node`' class.

  See Also:
    `LoopNodeImpl`, `UMLPackageImpl.getLoopNode()`

### LOOP_NODE__IS_TESTED_FIRST

    static final org.eclipse.emf.ecore.EAttribute LOOP_NODE__IS_TESTED_FIRST

  The meta object literal for the 'Is Tested First' attribute feature.

### LOOP_NODE__BODY_PART

    static final org.eclipse.emf.ecore.EReference LOOP_NODE__BODY_PART

  The meta object literal for the 'Body Part' reference list feature.

### LOOP_NODE__SETUP_PART

    static final org.eclipse.emf.ecore.EReference LOOP_NODE__SETUP_PART

  The meta object literal for the 'Setup Part' reference list feature.

### LOOP_NODE__DECIDER

    static final org.eclipse.emf.ecore.EReference LOOP_NODE__DECIDER

  The meta object literal for the 'Decider' reference feature.

### LOOP_NODE__TEST

    static final org.eclipse.emf.ecore.EReference LOOP_NODE__TEST

  The meta object literal for the 'Test' reference list feature.

### LOOP_NODE__RESULT

    static final org.eclipse.emf.ecore.EReference LOOP_NODE__RESULT

  The meta object literal for the 'Result' containment reference list feature.

### LOOP_NODE__LOOP_VARIABLE

    static final org.eclipse.emf.ecore.EReference LOOP_NODE__LOOP_VARIABLE

  The meta object literal for the 'Loop Variable' reference list feature.

### LOOP_NODE__BODY_OUTPUT

    static final org.eclipse.emf.ecore.EReference LOOP_NODE__BODY_OUTPUT

  The meta object literal for the 'Body Output' reference list feature.

### LOOP_NODE__LOOP_VARIABLE_INPUT

    static final org.eclipse.emf.ecore.EReference LOOP_NODE__LOOP_VARIABLE_INPUT

  The meta object literal for the 'Loop Variable Input' containment reference list feature.

### EXPANSION_NODE

    static final org.eclipse.emf.ecore.EClass EXPANSION_NODE

  The meta object literal for the '`Expansion Node`' class.

  See Also:
    `ExpansionNodeImpl`, `UMLPackageImpl.getExpansionNode()`

### EXPANSION_NODE__REGION_AS_OUTPUT

    static final org.eclipse.emf.ecore.EReference EXPANSION_NODE__REGION_AS_OUTPUT

  The meta object literal for the 'Region As Output' reference feature.

### EXPANSION_NODE__REGION_AS_INPUT

    static final org.eclipse.emf.ecore.EReference EXPANSION_NODE__REGION_AS_INPUT

  The meta object literal for the 'Region As Input' reference feature.

### EXPANSION_REGION

    static final org.eclipse.emf.ecore.EClass EXPANSION_REGION

  The meta object literal for the '`Expansion Region`' class.

  See Also:
    `ExpansionRegionImpl`, `UMLPackageImpl.getExpansionRegion()`

### EXPANSION_REGION__MODE

    static final org.eclipse.emf.ecore.EAttribute EXPANSION_REGION__MODE

  The meta object literal for the 'Mode' attribute feature.

### EXPANSION_REGION__INPUT_ELEMENT

    static final org.eclipse.emf.ecore.EReference EXPANSION_REGION__INPUT_ELEMENT

  The meta object literal for the 'Input Element' reference list feature.

### EXPANSION_REGION__OUTPUT_ELEMENT

    static final org.eclipse.emf.ecore.EReference EXPANSION_REGION__OUTPUT_ELEMENT

  The meta object literal for the 'Output Element' reference list feature.

### PROTOCOL_TRANSITION

    static final org.eclipse.emf.ecore.EClass PROTOCOL_TRANSITION

  The meta object literal for the '`Protocol Transition`' class.

  See Also:
    `ProtocolTransitionImpl`, `UMLPackageImpl.getProtocolTransition()`

### PROTOCOL_TRANSITION__POST_CONDITION

    static final org.eclipse.emf.ecore.EReference PROTOCOL_TRANSITION__POST_CONDITION

  The meta object literal for the 'Post Condition' reference feature.

### PROTOCOL_TRANSITION__REFERRED

    static final org.eclipse.emf.ecore.EReference PROTOCOL_TRANSITION__REFERRED

  The meta object literal for the 'Referred' reference list feature.

### PROTOCOL_TRANSITION__PRE_CONDITION

    static final org.eclipse.emf.ecore.EReference PROTOCOL_TRANSITION__PRE_CONDITION

  The meta object literal for the 'Pre Condition' reference feature.

### ASSOCIATION_CLASS

    static final org.eclipse.emf.ecore.EClass ASSOCIATION_CLASS

  The meta object literal for the '`Association Class`' class.

  See Also:
    `AssociationClassImpl`, `UMLPackageImpl.getAssociationClass()`

### VISIBILITY_KIND

    static final org.eclipse.emf.ecore.EEnum VISIBILITY_KIND

  The meta object literal for the '`Visibility Kind`' enum.

  See Also:
    `VisibilityKind`, `UMLPackageImpl.getVisibilityKind()`

### TRANSITION_KIND

    static final org.eclipse.emf.ecore.EEnum TRANSITION_KIND

  The meta object literal for the '`Transition Kind`' enum.

  See Also:
    `TransitionKind`, `UMLPackageImpl.getTransitionKind()`

### PSEUDOSTATE_KIND

    static final org.eclipse.emf.ecore.EEnum PSEUDOSTATE_KIND

  The meta object literal for the '`Pseudostate Kind`' enum.

  See Also:
    `PseudostateKind`, `UMLPackageImpl.getPseudostateKind()`

### CONNECTOR_KIND

    static final org.eclipse.emf.ecore.EEnum CONNECTOR_KIND

  The meta object literal for the '`Connector Kind`' enum.

  See Also:
    `ConnectorKind`, `UMLPackageImpl.getConnectorKind()`

### CALL_CONCURRENCY_KIND

    static final org.eclipse.emf.ecore.EEnum CALL_CONCURRENCY_KIND

  The meta object literal for the '`Call Concurrency Kind`' enum.

  See Also:
    `CallConcurrencyKind`, `UMLPackageImpl.getCallConcurrencyKind()`

### AGGREGATION_KIND

    static final org.eclipse.emf.ecore.EEnum AGGREGATION_KIND

  The meta object literal for the '`Aggregation Kind`' enum.

  See Also:
    `AggregationKind`, `UMLPackageImpl.getAggregationKind()`

### PARAMETER_DIRECTION_KIND

    static final org.eclipse.emf.ecore.EEnum PARAMETER_DIRECTION_KIND

  The meta object literal for the '`Parameter Direction Kind`' enum.

  See Also:
    `ParameterDirectionKind`, `UMLPackageImpl.getParameterDirectionKind()`

### PARAMETER_EFFECT_KIND

    static final org.eclipse.emf.ecore.EEnum PARAMETER_EFFECT_KIND

  The meta object literal for the '`Parameter Effect Kind`' enum.

  See Also:
    `ParameterEffectKind`, `UMLPackageImpl.getParameterEffectKind()`

### OBJECT_NODE_ORDERING_KIND

    static final org.eclipse.emf.ecore.EEnum OBJECT_NODE_ORDERING_KIND

  The meta object literal for the '`Object Node Ordering Kind`' enum.

  See Also:
    `ObjectNodeOrderingKind`, `UMLPackageImpl.getObjectNodeOrderingKind()`

### MESSAGE_KIND

    static final org.eclipse.emf.ecore.EEnum MESSAGE_KIND

  The meta object literal for the '`Message Kind`' enum.

  See Also:
    `MessageKind`, `UMLPackageImpl.getMessageKind()`

### MESSAGE_SORT

    static final org.eclipse.emf.ecore.EEnum MESSAGE_SORT

  The meta object literal for the '`Message Sort`' enum.

  See Also:
    `MessageSort`, `UMLPackageImpl.getMessageSort()`

### INTERACTION_OPERATOR_KIND

    static final org.eclipse.emf.ecore.EEnum INTERACTION_OPERATOR_KIND

  The meta object literal for the '`Interaction Operator Kind`' enum.

  See Also:
    `InteractionOperatorKind`, `UMLPackageImpl.getInteractionOperatorKind()`

### EXPANSION_KIND

    static final org.eclipse.emf.ecore.EEnum EXPANSION_KIND

  The meta object literal for the '`Expansion Kind`' enum.

  See Also:
    `ExpansionKind`, `UMLPackageImpl.getExpansionKind()`

### INTEGER

    static final org.eclipse.emf.ecore.EDataType INTEGER

  The meta object literal for the 'Integer' data type.

  See Also:
    `UMLPackageImpl.getInteger()`

### BOOLEAN

    static final org.eclipse.emf.ecore.EDataType BOOLEAN

  The meta object literal for the 'Boolean' data type.

  See Also:
    `UMLPackageImpl.getBoolean()`

### STRING

    static final org.eclipse.emf.ecore.EDataType STRING

  The meta object literal for the 'String' data type.

  See Also:
    `String`, `UMLPackageImpl.getString()`

### UNLIMITED_NATURAL

    static final org.eclipse.emf.ecore.EDataType UNLIMITED_NATURAL

  The meta object literal for the 'Unlimited Natural' data type.

  See Also:
    `UMLPackageImpl.getUnlimitedNatural()`

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.